Overview of Changes in GTK+ 3.24.52, 22-03-2026
===============================================

Note: We are going to decrease the frequency of GTK3
releases and limit changes to important bug and crash
fixes, going forward. The next GTK3 release is expected
in March 2027.

* Bugs fixed:
  - #6306 [GTK3] Zlib required when broadway is enabled. (Dmytro Meleshko)
  - #7796 [GTK 3] Invalid a11y events when calling `gtk_tree_view_set_cursor` on
    an unfocused GtkTreeView (Michael Weghorn)
  - #7976 Firefox crashes at gdk_wayland_drag_context_manage_dnd() when missing
    toplevel wl_surface (Matthias Clasen)
  - #8103 gtk3 refresh_rate calculation overflows on 32-bit targets (Alberto
    Garcia)
  - #8114 Images for recolored icons are constantly being reloaded (Sebastian
    Keller)
  - GNOME/gimp#14901 Wild strobing in multi window mode (Lukas Oberhuber)
  - GNOME/gimp#15480 GIMP does not focus on dialogue boxes on Mac (Lukas
    Oberhuber)
  - !7332 quartz: add automagic uti<->mime conversion for clipboard (Friedrich
    Beckmann)
  - !8216 Fix position of child tooltips in GTK3 custom windows (Ingo Brückl)
  - !9005 a11y: Don't send focus-related events for unfocused treeview
  - !9012 quartz: gtkwindow - fix windows fighting focus (Lukas Oberhuber)
  - !9022 gtkmenu: Await more motion events before deactivating on release
    (Carlos Garnacho)
  - !9044 wayland: Handle XKB initialization failures gracefully
  - !9067 gdk/win32: Add missing EGL conditional compilation guard (Dan Yeaw)
  - !9098 gdk: do not run gdk_wayland_window_export_handle() callback when
    window is already destroyed. (Jehan)
  - !9119 Declare an explicit dependency on zlib when broadway is enabled
    (Dmytro Meleshko)
  - !9141 [GTK 3] wayland: Try to open the display even if XDG_RUNTIME_DIR is
    unset (Ludovico de Nittis)
  - !9155 [gtk3] emoji: Update data to CLDR 48 (Jeremy Bícha)
  - !9214 display/wayland: Gracefully handle dispose being called twice (Jonas
    Ådahl)
  - !9284 gdk/wayland: Map stylus buttons for BTN_BACK and BTN_FORWARD (Peter
    Hutterer)
  - !9322 [Quartz] Fix dialog keyboard focus while preventing focus fighting
    (Lukas Oberhuber)
  - !9344 Fix a couple of leaks (Jonas Ådahl)
  - !9394 gdk/wayland: Map stylus buttons for BTN_BACK and BTN_FORWARD
  - !9397 wayland: Avoid a crash (Matthias Clasen)
  - !9600 Replace outdated freedesktop.org Window Manager spec links (balooii
    balooii)
  - !9676 x11: fix overflow in refresh_rate calculation on 32-bit systems
    (Alberto Garcia)
  - !9706 cssimage: Store and reuse icon info for recolored images (Sebastian
    Keller)
  - !9707 wayland: Fix uninitialized value when no cursor (Robert Ancell)
  - !9708 fontchooser: Fix signedness of axes count (Robert Ancell)
  - !9709 fontchooser: Remove const on float return values (Robert Ancell)
  - !9710 print: Remove unused variable (Robert Ancell)

* Translation updates:
  - Basque (Asier Saratsua Garmendia)
  - Bokmål, Norwegian (Kjartan Maraas)
  - Occitan (post 1500) (Quentin PAGÈS)
  - Uighur (Abduqadir Abliz)


Overview of Changes in GTK+ 3.24.51, 29-09-2025
===============================================

* Wayland:
 - Force window titles to be valid utf8
 - Flush tablet events when neccessary

* X11:
 - Avoid a use-after-free with threads

* Windows:
 - Avoid min/max buttons for dialogs

* Images:
 - Replace a few calls to gdk_pixbuf_get_pixels
   with read_pixels to avoid thread-safety issues

* GL:
 - Try harder to keep the GL context current

* Input:
 - Make compose file parsing more robust

* Translation updates:
 Catalan
 Esperanto
 Persian


Overview of Changes in GTK+ 3.24.50, 07-08-2025
===============================================

* Themes:
 - Add a progress-working-symbolic icon
 - Support strokes in symbolic icons
 - Update theme CSS
 - Remove hardcoded Cantarell font

* GtkShortcutsWindow:
 - Differentiate all keypad symbols visually

* GtkApplication:
 - Register unsandboxed apps with the portals

* macOS:
 - Remove redundant NSView calls
 - Fix some memory leaks
 - Don't try to use the file transfer portal

* Windows:
 - Always mark windows as minimizable

* X11
 - Fix problems with gtk_window_get_geometry

* Wayland:
 - Fix a crash

* Input:
 - Make compose sequence visuals configurable

* Printing:
 - Fix the build with libcups 3
 - Support gnome-papers as previewer

* Translation updates
 Nepali
 Persian
 Uzbek (Latin)


Overview of Changes in GTK+ 3.24.49, 05-03-2025
===============================================

* Fix a crash in GtkIMContext

* Fix crashes in DND with GtkPlug/GtkSocket

* Wayland:
 - Fix erroneous crossing events, causing menus to malfunction
 - Support the cursor-shape protocol

* X11:
 - Enforce size limits on windows, preventing lockups

* macOS:
 - Fix pen tilt handling

* Translation updates
 Bulgarian
 Thai


Overview of Changes in GTK+ 3.24.48, 25-02-2025
===============================================

* Switch to the new ci-based release process

Overview of Changes in GTK+ 3.24.44, 24-01-2025
===============================================

* GtkFileChooser:
 - Stop replacing : (colon) with U+2236 (ratio)

* GtkEmojiChooser:
 - Update to Unicode 16 / CLDR 46

* GtkSpinButton:
 - Use semantically appropriate icon names
 - Make numeric spin buttons always LTR

* GtkEntry:
 - Stop guessing text direction from keyboard layout
 - Add a shortcut and context menu item to change text direction

* GtkEventControllerMotion:
 - Make enter and leave signals work

* Accessibility:
 - Use message dialog titles as names

* GDK:
 - Fix portal handling of gvfs files

* Wayland:
 - Support the xdg_foreign_v2 protocol
 - Try to fix monitor geometry on sway
 - Improve font setting fallback
 - Use a better default cursor size
 - Fix a crash during DND

* macOS:
 - Fix a UI hang

* Translation updates:
 Bulgarian
 Farsi
 Hindi
 Hungarian
 Icelandic
 Latvian
 Serbian


Overview of Changes in GTK+ 3.24.43, 10-07-2024
===============================================

* Stop looking for modules in cwd (CVE-2024-6655)

* Translation updates:
 Czech
 Hungarian
 Persian
 

Overview of Changes in GTK+ 3.24.42, 15-05-2024
===============================================

* GtkFileChooser:
 - Avoid warnings about floating refs
 - Improve performance of recursive search
 - Populate search model in an idle

* GtkGLArea:
 - Fix a regression in transparency handling

* Printing:
 - Avoid accessing freed printers

* Accessibility:
 - Drop support for the deprecated atk_focus_tracker

* Wayland:
 - Fix monitor sizes
 - Fix a crash related to tablet removal
 - Infer resizable edges for tiled windows
 - Always commit soon after acking a configure

* Windows:
 - Avoid committing NULL strings to IME

* gdk:
 - Use css cursor names as far as possible
 - Sync DND cursor use with GTK4

* macOs:
 - Fix cocoa pasteboard constants

* build:
 - Allow building against sysprof-capture-4

* Translation updates:
 Georgian
 Hebrew
 Kabyle
 Persian


Overview of Changes in GTK+ 3.24.41, 23-01-2024
===============================================

* Fix a crash introduced in the X11 changes in 3.24.40

* Build fixes

* Wayland: Fix interpretation of gtk-shell protocol


Overview of Changes in GTK+ 3.24.40, 17-01-2024
===============================================

* GtkEmojiChooser:
 - Update to CLDR v44
 - Add more translations

* GtkGestures:
 - Preserve accuracy when translating events

* X11
 - Support 'virtual' XRANDR monitors

* MacOs:
 - Use consistent event coordinates

* Translation updates:
 Georgian
 Hebrew
 Swedish


Overview of Changes in GTK+ 3.24.39, 19-12-2023
===============================================

* GtkMountOperation:
 - Avoid a segfault

* GtkTooltip:
 - Fix some positioning problems

* GtkFileChooser:
 - Handle webdav in the pathbar

* GtkFileChooserNative:
 - Fix closing portal file choosers

* GDK:
 - Handle offscreen windows better in some places

* Wayland:
 - Create pad devices on enter
 - Ensure device-added/removed are emitted
 - Make stylus button mappings compatible with X11
 - Try harder to preserve cursor size with scaling
 - Avoid oob access to cursor images
 - Support tiling in xdg-shell
 - Avoid using legacy cursor names
 - Fix buffer size for scaled custom cursors

* X11:
 - Remove slow path in gdk_cairo_draw_from_gl
 - Trap more XRANDR errors

* MacOs:
 - Make gdkquartz-cocoa-access.h usable again
 - Silence secure-restore message

* Translation updates
 Belarusian
 British English
 Catalan
 Chinese (China)
 Czech
 Danish
 Esperanto
 Farsi
 Georgian
 Greek
 Hebrew
 Icelandic
 Kazakh
 Korean
 Polish
 Punjabi
 Romanian
 Slovak
 Slovenian
 Spanish
 Turkish


Overview of Changes in GTK+ 3.24.38, 21-05-2023
===============================================

* GtkFileChooser:
 - Avoid warnings with GLib 2.76

* Theme:
 - Set caret color in the dark theme

* Windows:
 - Fix running under GLES

* Wayland:
 - Notify on initial setting changes
 - Don't crash on 0 size cursors
 - Don't crash if xdg_activation_v1 is missing

* Debugging:
 - Show more information in the inspector

* Translation updates
 Abkhazian
 Basque
 Brazilian Portuguese
 Bulgarian
 Catalan
 Danish
 Dutch
 French
 Galician
 Georgian
 German
 Hebrew
 Hungarian
 Indonesian
 ITalian
 Korean
 Lithuanian
 Persian
 Polish
 Portuguese
 Russian
 Serbian
 Slovenian
 Spanish
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.37, 02-03-2023
===============================================

* Support the file transfer portal for copy-paste and DND

* Treat XKB_MODE_NAME_LODO as super key

* Refactor startup notification handling to be in sync with GTK 4

* GL: Synchronie when calling MakeCurrent

* CSS: Fix a problem with stopping animations

* Wayland: Drop the legacy text input module

* Windows: Set the default file extension in the native file chooser

* Translation updates:
 Abkhazian
 Turkish


Overview of Changes in GTK+ 3.24.36, 12-22-2022
===============================================

This release is the first GTK 3 release to exclusively
use the meson build system.

* GtkLabel:
 - Tweak selection behavior

* GtkEmojiChooser:
 - Properly handle empty recent section

* GtkFileChooser:
 - Make ~ key work regardless of dead keys

* build:
 - Improve handling of flaky tests
 - Drop the autotools build

* Wayland:
 - Fix problems with X<>Wayland DND
 - Revert cursor changes from 3.24.35
 - Fix handling of surrounding text in input

* Windows:
 - Improve handling of line ends in clipboard

* MacOS:
 - Use NSTrackingArea

* Translation updates:
 Abkhazian
 Basque
 Brazilian Portuguese
 Catalan
 Interlingue
 Persian


Overview of Changes in GTK+ 3.24.35, 11-22-2022
===============================================

* GtkFontChooserWidget:
 - Fix a critical

* GtkAccelLabel:
 - Differentiate keypad keysyms in accelerators

* Input:
 - Recognize stylus devices as pens
 - Fix problems with motion compression

* Windows:
 - Build system improvements

* Wayland:
 - Fix problems with unreliable DND
 - Use GLES if required
 - Add support for titlebar gestures
 - Refactor handling of IM client updates
 - Fix cursor hotspots with scaled surfaces
 - Use the xdg-activation protocol
 - Load cursors on demand
 - Fix cursor size on hi-dpi displays

* MacOS:
 - Use a CVDisplayLink based frame clock

- Translation updates:
 Abkhazian
 Bulgarian
 Catalan
 Chinese (Taiwan)
 Croatian
 Dutch
 Friulian
 Georgian
 German
 Hungarian
 Indonesian
 Occitan
 Persian
 Portuguese
 Polish
 Russian
 Serbian
 Slovenian
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.34, 05-18-2022
===============================================

* Include legacy hicolor icons

* Fix the build with gcc 12

* MacOS:
 - Restore QUARTZ_RELOCATION support

* X11:
 - Trap errors when getting output properties

* Wayland:
 - Ignore empty preedit updates This fixes a problem with
   textview scrolling

* Translation updates
 Danish
 Dutch
 French
 German
 Hungarian
 Italian
 Kazakh
 Latvian
 Lithuanian
 Norwegian Bokmål
 Swedish

Overview of Changes in GTK+ 3.24.33, 04-03-2022
===============================================

* No changes

Overview of Changes in GTK+ 3.24.32, 03-03-2022
===============================================

* GtkCellRendererProgress:
 - Use tabular figures

* GtkFontChooser:
 - Fix the build with older Pango
 - Fix axis name handling

* Theme:
 - Fix border color for tiled windows

* Accessibility:
 - Fix cell accessible leak

* Wayland:
 - Support new high-contrast setting
 - Only update scale when on any outputs

* Windows:
 - Various build fixes
 - Fix keyboard state handling
 - Fix capslock handling
 - Fix AltGr not working

* MacOS:
 - Fix the build on 10.11
 - Make Dock "Quit" invoke the app.quit action
 - Correctly handle HiDPI cursors

* Translation updates
 Basque
 Brazilian Portuguese
 Catalan
 Chinese (China)
 Croatian
 Czech
 French
 Galician
 Hebrew
 Indonesian
 Korean
 Persian
 Polish
 Portuguese
 Romanian
 Russian
 Serbian
 Slovenian
 Spanish
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.31, 20-12-2021
===============================================

* input:
 - Fix a crash with touch on GtkScale

* clipboard:
 - Avoid a double-free

* css:
 - Avoid a crash with radial gradients

* GtkFileChooser:
 - Don't leak search results

* GtkTextView:
 - Support css letterspacing

* Wayland:
 - Reset position when hiding popups
 - Ignore globals we did not bind ourselves
 - Avoid infinite loops when hiding surfaces
 - Avoid clipboard-related lockups

* X11:
 - Trap errors while doing XRANDR calls
 - Support touchpad gestures with XI 2.4

* win32:
 - Some OpenGL setup fixes
 - Fall back to GLES for OpenGL
 - Fix MinGW autotools build
 - Fix building on Windows 11
 - Support building with Visual Studio 2022
 - Improve DND across monitors
 - Rewrite keymap handling code

* macOS:
 - Accept NSPasteboardTypeFileURL drops
 - Build on macOS 12
 - Fix display on macOS 12
 - Fix keyboard layout notifications
 - Fix a crash
 - Improve performance on Big Sur

* Translation updates:
 Basque
 Brazilian Portuguese
 Chinese (China)
 Chinese (Taiwan)
 Croatian
 Czech
 Danish
 Dutch
 Finnish
 French
 Friulian
 Galician
 German
 Hungarian
 Icelandic
 Italian
 Kazakh
 Korean
 Latvian
 Occitan
 Persian
 Russian
 Serbian
 Spanish
 Swedish


Overview of Changes in GTK+ 3.24.30
===================================

* Input:
 - Ignore NoSymbol key events (happens with some XKB options)
 - Fix incomplete reset in some cases

* GtkEmojiChooser:
 - Update data from CLDR 39
 - Support translated keywords for multiple languages
 - Allow inserting multiple Emoji with Ctrl
 - Match keywords for search
 - Fix a memory leak

* GtkFileChooser:
 - Accessibility improvements

* GtkTreeView
 - Fix an accessibility-related memory leak
 - Fix assertion failures in some cases

* Printing:
 - Remove the Google Cloud Print backend, since the
   service was shut down

* Wayland:
 - Work with pointer-gestures v1 protocol

* Win32:
 - Fix using GL with Mesa drivers
 - Add support for Windows Pointer Input stack

* MacOS:
 - Fix a crash with Drag-and-Drop

* Translation updates:
 Belarusian
 Brazilian Portuguese
 British English
 Catalan
 Indonesian
 Lithuanian
 Nepali
 Norwegian Bokmål
 Occitan
 Portuguese
 Romanian
 Russian
 Serbian
 Slovenian
 Spanish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.29
===================================

* Input:
 - Look for a Compose file in the right place (~/.config/gtk-3.0)
 - Revert some Compose sequence changes (mainly around dead
   acute and apostrophe)
 - Consume all key events during preedit, to avoid unexpected
   interactions
 - Ignore more modifiers during preedit, to allow using 3rd and
   5th level choosers
 - Fix handling of cursor positions in non-ASCII preedit text

* GtkSpinButton:
 - Interpret localized digits

* GtkScale:
 - Fix sporadic criticals

* GtkScrolledWindow:
 - Cancel overshoot on size changes
 - Avoid criticals with non-overlay scrollbars

* GtkFileChooser:
 - Handle smb mounts better

* GtkListBox:
 - Fix extending multi-selections

* Fix a possible crash in gtk_show_uri

* Wayland:
 - Improve font settings fallback

* X11:
 - Avoid log spam on exit
 - Don't beep on untrusted displays

* OS X:
 - Fix building on OS X 10.11
 - Add gdk-quartz-cocoa-access.h with api that provides
   access to native objects

* Translation updates:
 Dutch
 Nepali
 Swedish


Overview of Changes in GTK+ 3.24.28
===================================

* Input:
 - Improve dead key handling

* CSS:
 - Fix rendering of scaled text shadows

* Wayland:
 - Fix matching of accelerators with multiple layouts

* X11:
 - Trap errors from the COW

* Build:
 - Make gtk3-update-icon-cache output reproducible

* Translation updates:
 Serbian


Overview of Changes in GTK+ 3.24.27
===================================

* Input: Ensure preedit-start and preedit-end
  are emitted properly

* GtkScrolledWindow:
 - Revert a change that broke touch scrolling

* Theme:
 - Fix a problem with size changes in SSD decorations
   that caused mutter crashes
 - Use transparent black for window border in the dark theme

* Windows:
 - Memory leak fixes
 - Fix unresponsive windows after tablet input
 - Add support for wheel and rotation axes

* Translation updates:
 Belarusian
 German
 Kazakh
 Korean
 Latvian
 Turkish


Overview of Changes in GTK+ 3.24.26
===================================

* Input:
 - Fix a few oversights in Compose file parsing
 - Fine-tune Compose preedit display

* Theme:
 - Fine-tune scrollbar size and transitions
 - Reinstate invisible borders for tiled windows

* Wayland:
 - Fix a problem with font settings not being found

* Translation updates
 French
 Hungarian
 Turkish


Overview of Changes in GTK+ 3.24.25
===================================

* Settings:
 - Make cursor aspect ratio setting work

* Broadway:
 - Fix touchscreen event handling
 - Support Android / Chrome on-screen keyboard

* Windows:
 - Fix issues with Intel graphics drivers
 - Avoid UAC for gtk-update-icon-cache

* Wayland:
 - Avoid crashes with tablet input
 - Add api to support clients with subsurfaces better

* Inspector:
 - Make the inspector available in non-debug builds

* Theme:
 - Make scrollbars larger
 - Disable shadows on maximized, fullscreen and tiled windows

* Printing:
 - Support Avahi-discovered printers better

* Input:
 - Show preedit for compose sequences
 - Support long compose sequences
 - Support compose sequences producing multiple characters

* Translation updates
 Belarusian
 British English
 Catalan
 Friulian
 Galician
 Japanese
 Persian
 Serbian


Overview of Changes in GTK+ 3.24.24
===================================

* GtkColorChooser:
 - Update the default color palette

* GtkFontChooser:
 - Fix family-only mode to return regular style

* GtkTreeView:
 - Don't set focus-on-click for header buttons

* Accessibility:
 - Implement scrollSubstringTo
 - Add a11y support to GtkPlug/GtkSocket

* Printing:
 - Allow the lpr backend to print pdf and ps files

* Theme:
 - Update gesture graphics
 - Update HighContrast css

* Wayland:
 - Support the primary-selection-unstable-v1 protocol

* X11:
 - Fix a crash with parent-relative backgrounds

* Broadway:
 - Set modifier state of scroll events

* Build:
 - Fix pc file generation on NixOS

* OS X:
 - Restore command-key bindings

* Windows:
 - Fix meson build with epoxy subproject

* Translation updates:
 Basque
 Brazilian Portuguese
 British English
 Catalan
 Croatian
 Czech
 French
 Galician
 German
 Greek
 Hebrew
 Hungarian
 Indonesian
 Italian
 Kazakh
 Latvian
 Lithuanian
 Persian
 Polish
 Portuguese
 Slovak
 Slovenian
 Spanish
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.23
===================================

* Adwaita:
 - Support error states for labels and entries

* Printing:
 - Use the correct names for remote printers

* File choser:
 - Default to tracker2 for search to prevent
   symbol clashes in tracker-using applications

* Wayland:
 - Support newer schemas for settings
 - Fix DND hotspot handling
 - Disconnect on display close

* X11:
 - Fix a possible crash with disabled devices

* Translation updates:
 Basque
 Chinese (China)
 Croatian
 Dutch
 Finnish
 Friulian
 Galician
 Hungarian
 Japanese
 Korean
 Portuguese
 Serbian


Overview of Changes in GTK+ 3.24.22
===================================

* GtkTextView:
 - Fix some corner cases of pixelcache invalidation
 - Make select-all work on touch

* Fix print portal support

* Adwaita:
 - Tweak title style class
 - Add a public color for text view background

* Windows:
 - Limit the size of the corner mask cache
 - Use native API for keycode conversion
 - Use GLES on arm64

* Wayland: Add a way to change the application id

* Quartz: Add axes to master devices

* Add --enable-tracker3 option to configure

* Translation updates:
 Catalan
 German
 Indonesian
 Italian
 Kazakh
 Spanish
 Turkish


Overview of Changes in GTK+ 3.24.21
===================================

* Wayland:
 - Prevent crashes with offscreen windows
 - Handle disorderly tablet/pad disconnects

* GtkFileChooser:
 - Translate the type column
 - Add a tracker3 search engine
 - Rate-limit trash monitoring
 - Make get_filter work for native chooser

* GtkGLArea:
 - Fix a redraw problem

* GtkScrolledWindow:
 - Fix kinetic scrolling

* Add a gtk-cursor-aspect-ratio setting

* GDK:
 - Improve frame clock smoothness
 - Fix frame clock monotonicity

* OS X:
 - Support Pen / Eraser input
 - Support openfiles in GtkApplication

* Adwaita:
 - Improve notebook tab legibility

* Translation updates:
 Basque
 Brazilian Portuguese
 Catalan
 Chinese (Taiwan)
 German
 Indonesian
 Italian
 Japanese
 Kazakh
 Lithuanian
 Polish
 Romanian
 Slovak
 Slovenian
 Swedish
 Ukrainian


Overview of Changes in GTK+ 3.24.20
===================================

* GtkFileChooser:
 - Prevent selection changes after overwrite confirmation
 - Don't grab focus to the sidebar on click
 - Avoid a use-after-free in GtkFileSystemModel

* GtkEmojiChooser:
 - Remove blacklist

* GtkAboutDialog:
 - Add more licenses

* Adwaita:
 - Lower the contrast of checkboxes

* HighContrast:
 - Export the same public colors as Adwaita

* OS X:
 - Don't filter Escape in input methods

* Windows:
 - Infer font settings from system settings

* Translation updates
 Brazilian Portuguese
 Chinese
 Croatian
 French
 Japanese
 Lithuanian
 Polish
 Spanish
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.24.18
===================================

* Wayland:
 - Fix more sizing regressions in Epiphany and LibreOffice
   menus, and popups in general

* Build:
 - Make resource build reproducible

* Translation updates
 Basque
 Latvian


Overview of Changes in GTK+ 3.24.17
===================================

* GtkFileChooser: Fix some keynav issues

* GtkMenuButton: disable focus-on-click

* Derive the HighContrast and HighContrastInverse themes from Adwaita

* Wayland:
 - Fix firefox sizing problems
 - Prevent Alt lingering after Alt-Tab
 - Load compose sequences from ~/.Compose
 - Fix a crash in the Wayland input method

* Translation updates
 Finnish
 Hebrew


Overview of Changes in GTK+ 3.24.16
===================================

* Fix the build


Overview of Changes in GTK+ 3.24.15
===================================

* filechooser:
 - Fix a crash
 - Support selecting directories with a new enough
   file chooser portal

* textview:
 - Speed up tag handling

* wayland:
 - Fix problems with clipboard handling
 - Fix a crash in the Wayland input method
 - Support cursor scale of 400%
 - Fix a crash in glade

* css: Support font-feature-settings

* Adwaita:
 - Use tabular figures where appropriate
 - Color tweaks for dark mode
 - Improve rendering of rounded corners

* Translation updates
 Dutch
 German
 Japanese
 Korean
 Lithuanian
 Norwegian Bokmål
 Persian
 Ukrainian


Overview of Changes in GTK+ 3.24.14
===================================

* Fix the opaque region for windows on X11

* theme:
 - Fix flat buttons in backdrop
 - Make popovers look more similar to menus
 - Tweak checkbox & radiobutton appearance
 - Add general typography classes (heading, title-1, etc)

* language bindings:
 - Fix annotations for gtk_tree_model_sort_new_with_model

* switch: Fix touch support

* infobar: Make clickable for default action

* emojichooser:
 - respect a no-emoji input hint

* fontchooser:
 - Fix an oversight with hiding the size label

* filechooser:
 - Disable recursive search without a system indexer

* modelbutton:
 - Fix a11y support to reflect button state

* input:
 - Fix touchpad gesture center calculation

* x11:
 - Fix root window scaling
 - Support _GTK_WORKAREAS_Dn property

* wayland:
 - Support a terminal purpose in input methods
 - Fix preedit cursor positioning
 - Fix enabling/disabling of text inputs
 - Support simultaneous selection requests
 - Require Wayland 1.14.91

* OS X:
 - Fix fullscreen state
 - Fix an Inkscape crash at startup
 - Fix OpenGL extension detection

* Printing:
 - Fix a crash with Avahi

* Translation updates:
 Basque
 British English
 Catalan
 Finnish
 French 
 Galician
 Japanese
 Kurdish Sorani
 Malay
 Russian
 Slovak
 Spanish
 Turkish


Overview of Changes in GTK+ 3.24.13
===================================

* listbox: Fix header row reuse

* wayland: Fix handling of tablets

* theme:
 - Adwaita: Fix menu rounding
 - Adwaita: Various improvements for the Emoji chooser
 - Adwaita: Refresh check and radio buttons
 - HighContrast: Fix entry colors

* input:
 - Properly handle bubbling of scroll events
 - Handle modifier key events properly
 - Run key controllers in the bubble phase
 - Do not use VIQR for Vietnamese by default 

* statusicons: Render sharply on hi-dpi

* wayland: Fix handling of selection ownership

* win32:
 - Set WS_BORDER for fullscreen GL windows if requested
 - Fix clipboard handling

* quartz:
 - Handle titlebar events properly
 - Handle page up/down key events properly

* broadway: Fix (lack of) clipboard handling

* Translation updates:
 Catalan
 Chinese (Taiwan)
 Croatian
 Danish
 French
 German
 Hungarian
 Indonesian
 Russian
 Swedish


Overview of Changes in GTK+ 3.24.12
===================================

* file chooser: allow sorting by file type

* dnd: fix pointer offsets under X11 and Wayland

* broadway: Fix a font problem

* mir Drop this backend

* printing: Get PPD from original host if needed

* a11y: Fix interference with clutter a11y impl

* Translation updates:
 Brazilian Portuguese
 Czech
 Danish
 Dutch
 Italian
 Greek
 Lithuanian
 Norwegian Bokmål
 Polish
 Romanian
 Slovenian
 Spanish
 Turkish


Overview of Changes in GTK+ 3.24.11
===================================

* Adwaita:
 - Add drop shadow to icons
 - Small color fixes
 - Make title buttons round

* OS X: Fix the monitors-changed signal

* Win32:
 - Build fixes
 - Support choices in the native file chooser
 - Fix icon cache freshness checks on 64bit

* Wayland:
 - Support xdg-output v3
 - Fix clipboard ownership handling

* X11: Improve monitor metadata

* Build: Require GLib 2.57.2

* Translation updates:
 Basque
 Brazilian Portuguese
 British English
 Catalan
 Croatian
 French
 Friulian
 Galician
 German
 Greek
 Hungarian
 Indonesian
 Japanese
 Korean
 Latvian
 Lithuanian
 Polish
 Punjabi
 Romanian
 Serbian
 Slovenian
 Spanish
 Swedish


Overview of Changes in GTK+ 3.24.10
===================================

* Make gtk_widget_get_action_group behave as documented

* Make gdk_screen_get_monitor_plug_name works as before

* Adwaita:
  - Update infobar look
  - Fix some issues with submenus and popovers

* Wayland: Use the xdg-output protocol

* Fix build issues around cups

* Quartz: Build fixes

* treeview: Bring the pixel cache back, since its removal
  was causing problems in some applications

* Various documentation improvements

* Translation updates:
 Slovenian
 Croatian
 Spanish


Overview of Changes in GTK+ 3.24.9
==================================

* GTK can now be built with the meson build system

* Quartz:
 - Build fixes
 - Fix a crash with DND

* Win32:
 - Enable GLES via libANGLE
 - Fix preedit window placement on hi-dpi screens

* Wayland:
 - Support the xdg-output protocol for correct
   monitor sizes with scaled displays
 - Fix handling of cursor hotspots that was reading
   uninitialized memory
 - Update tablet cursors when scale changes

* CSS:
 - Use multiple font-family values

* Emoji:
 - Populate the Emoji chooser incrementally

* Printing:
 - Require CUPS 1.7

* Scrolling:
 - Add a gtk-overlay-scrolling setting that can be
   used to force traditional (non-overlay) scrollbars

* GtkTreeView:
 - Update rubberband rectangles more often
 - Remove the pixel cache, to avoid the redraw
   issues that it causes

* Tooling:
 - Support sysprof profiling

* Themes:
 - Adwaita: Small tweaks to the theme refresh
 - Adwaita: Update treeview progress bars
 - HighContrast: Improve notebook tabs

* Translation updates:
 Brazilian Portuguese
 Friulian
 Hungarian
 Indonesian
 Italian
 Lithuanian


Overview of Changes in GTK+ 3.24.8
==================================

* Color editor: don't warn if editing is cancelled

* Always redraw on allocate - not doing so is

  not safe when any widget can have a background

* Use GLSL 3.30 for shaders

* Quartz: add a preliminary GdkGLContext implementation

* Win32: Fix a bug that prevented storing printer driver prefs

* Wayland: properly place window menus

* GtkApplication: support session state changes in
  sandboxes, using the inhibit portal

* Fix a problem with autostart notification

* Places: Show loop devices as reported by gvfs

* Translation updates:
  Brazilian Portuguese
  Catalan
  Czech
  German
  Hungarian
  Indonesian
  Italian
  Polish
  Romanian
  Spanish
  Swedish
  Turkish


Overview of Changes in GTK+ 3.24.7
==================================

* Undeprecate gtk_window_present


Overview of Changes in GTK+ 3.24.6
==================================

* Link against fribidi

* Broadway: Ensure focus on click

* Fix some compiler warnings

* Improve menu positioning with move-to-rect

* Improve activation of the onscreen keyboard

* Use C locale when generating code

* Treeview: Make sure separator nodes have height > 0

* theme
 - Fix some inconsistences for radii

* quartz:
 - Full-screen only normal windows
 - Restore key-window switching when changing windows
 - Change monitor geometry calculation
 - search: Limit the cop of Spotlight search

* Translation updates:
 Basque
 Dutch
 Finnish
 Icelandic
 Kazakh
 Korean
 Romanian
 Serbian
 Slovenian


Overview of Changes in GTK+ 3.24.5
==================================

* Adwaita: Refresh the theme

* HighContrast: Refresh the theme

* Wayland: Implement gdk_window_present

* GtkSwitch: Use icons instead of glyphs

* Translation updates:
 Hungarian


Overview of Changes in GTK+ 3.24.4
==================================

* Support gtk_file_chooser_set_filter in GtkFileChooserNative

* Bugs fixed:
 wayland: Fix long combobox positioning
 about dialog: Activate all links in the same way
 switch: Add fallbacks for symbols
 spinbutton: Fix background color

* Translation updates:
 Africaans


Overview of Changes in GTK+ 3.24.3
==================================

* Bugs fixed:
 wayland: Respect length limits in text protocol
 wayland: Support key themes
 wayland: Fix hi-dpi cursor scaling
 quartz: Make point-to-pixel conversions work on all versions
 quartz: Re-add support for hidpi scaling
 quartz: Fix search engine integration
 win32: Fix ime change hangling
 placessidebar: Insert drops in the right place
 x11: Fix problems gdk_x11_get_parent_relative
 x11: Fix Wacom tool types
 icons: Recolor polygons as well in symbolic icons
 switch: Use Unicode symbols for I/O instead of translations
 
* Translation updates:
 Japanese


Overview of Changes in GTK+ 3.24.2
==================================

* new api: gdk_x11_display_get_parent_relative pattern

* wayland: Use the settings portal when sandboxed

* Bugs fixed:
 widget-factory: Move app menu contents to primary menu
 Make dashed border-style work correctly
 gtkstack: fix null pointer dereference
 GDK W32: Support switching input modules at runtime
 Tooltip: Fix the used cursor size if 0 in Settings
 quartz: Fix crash when realizing GtkOffscreenWindow
 win32 dnd: Fix setting icon on drag-begin
 Fix race in GtkPlug window creation
 widget-factory: Add Keyboard Shortcuts menu item
 quartz: do not cache the screen in the gdkmonitor
 Trash in side bar sometimes contains a home icon
 wayland: Avoid crashes inside wl_proxy_marshal
 gtkimcontextime.c: Fix Korean input
 entry: Handle no-window events in gtk_entry_event
 Tooltip: Fix the used cursor size if 0 in Setting
 Notebook: Ensure menu_label updates with tab_label
 Adwaita: Improve headerbar theming
 win32: Make scroll behavior similar to Linux
 fix symbolic icon rendering with new librsvg
 emoji selector: force Emoji presentation
 a11y: fix a crash under wayland
 
* Translation updates:
 - Africaans
 - Basque
 - Brazilian Portuguese
 - Chinese (Taiwan)
 - Esperanto
 - Lithuanian
 - Slovak
 - Slovenian
 - Spanish
 - Turkish


Overview of Changes in GTK+ 3.24.1
==================================

* Adwaita:
 - Improvements to headerbar styling

* Wayland:
 - Fix handling of preedit text

* Windows:
 - Implement smooth scrolling

* Fix critical warnings on shutdown

* Translation updates:
 - Czech
 - Friulian
 - Russian
 - Spanish


Overview of Changes in GTK+ 3.24.0
==================================

* GtkApplication can now track screensaver state

* Translation updates:
 - Brazilian Portuguese
 - Croatian
 - Czech
 - Danish
 - French
 - Galician
 - German
 - Greek
 - Hungarian
 - Indonesian
 - Italian
 - Latvian
 - Lithuanian
 - Polish
 - Swedish
 - Turkish


Overview of Changes in GTK+ 3.23.3
==================================

* Deprecate a few APIs that are gone in GTK+ 4:
 - focus chains in GtkContainer
 - stepper sensitivity in GtkRange

* Allow picking colors under kwin

* Bug fixes:
  #404 window: Fallback to CSD titlebar in focus-chain
  #770 scrolledwindow: Fix horizontal decleration
 #1263 win32: Implement smooth scrolling
  #134 #432 #574 #579 #878
       tooltip: Position using move-to-rect
  #844 wayland: avoid idempotent wl_subsurface_set_position
 #2393 Fix a typo
  #125 combobox: Fix a critical warning
  !290 fontchooser: Add missing build flags
  !172 filechooser: Don't show private recent items

* Translation updates:
 - Brazilian Portuguese
 - British English
 - Catalan
 - Chinese (Taiwan)
 - French
 - German
 - Indonesian
 - Italian
 - Kazakh
 - Korean
 - Lithuanian
 - Polish
 - Turkish


Overview of Changes in GTK+ 3.23.2
==================================

* Emoji chooser improvements
 - Try harder to avoid fallback rendering
 - Avoid hex boxes
 - Use icons for sections

* Color chooser improvements
 - Allow picking colors from the screen again. The current
   implementation can use either the screnshot portal or
   a recent gnome-shell API

* GtkPlacesSidebar now shows a spinner during mount operations

* Wayland
 - Support both gtk-text-input and text-input-unstable-v3 as
   input protocol

* Bug fixes:
 #628 TextView: spaces acting as non-breaking whitespace...
 !248 win32: Correct handling of transient state changes
 !272 Replace gtk_text_input with text_input_unstable_v3 support

* Translation updates:
 - German
 - Lithuanian
 - Polish
 - Spanish
 - Turkish


Overview of Changes in GTK+ 3.23.1
==================================

* Backported event controllers from GTK+ 4:
 - GtkEventControllerScroll
 - GtkEventControllerMotion
 - GtkEventControllerKey
 - GtkGestureStylus

* Support markup in GtkModelButtons

* Themes
 - The Raleigh theme has been removed
 - Expander size in HighContrast has been increased
 
* Wayland
 - Update cursor scale when needed
 - Decoration negotiation protocol fixes

* Windows
 - Add an EGL renderer based on ANGLE

* Translation updates:
 - Brazilian Portuguese
 - German
 - Hungarian


Overview of Changes in GTK+ 3.23.0
==================================

* Dependency bumps:
 - Require libepoxy 1.4
 - Require pango 1.41

* New font chooser features:
 - Allow setting OpenType font features
 - Show examples for OpenType font features
 - Allow selecting OpenType font variations
 - Support levels of details for selection

* New Emoji features:
 - Support a completion popup for Emoji
 - Drop Ctrl-Shift-e shortcut

* Other new apis:
 - gdk_window_move_to_rect

* Wayland:
 - Use anonymous shared memory on FreeBSD

* Bugs fixed:
 #85 widgetDragDestFindTarget introspection data does not show nullable...
 #154 Documentation: Lifecycle of Editables inside GtkCellRenderers is no... 
 #193 Document that GtkUIManager is deprecated by GtkBuilder
 #199 MenuButton not notified when its Popover is destroyed, still access...
 #292 GtkRanges should send ::change-value even if not realized
 #450 Menu navigation triangle doesn't work anymore
 #792 Focus events are not always matched
 #898 emoji-chooser: search for flags doesn't work
 #997 gdk: Make gdk_window_move_to_rect public
 #1053 Scroll cursor gets left behind if a child widget steals the scroll
 #1059 -Wparentheses warnings in GTK+ headers when compiling C++ code with...
 #1065 GtkScrollbar horizontal mouse wheel scroll direction is wrong
 #1069 Thread 1 "glade" received signal SIGFPE, Arithmetic exception.
 #1088 CssGadget: Round px values up for min-width|height
 #1115 gtk icon theme searches system dirs before user dirs
 #1134 x11: Always set None pixmap for no background
 #1160 a11y/entry: Fix copy-pasteo re 2ndary icon tooltip
 #1165 InfoBar: Fix wrong type in copy-pasted param doc
 #1166 EmojiCompletion: Use Box:spacing instead of CSS
 !125 HC: Avoid same BG/FG colors in flat treeview entry
 !157 wayland: Implement 'gtk-fontconfig-timestamp' & 'gtk-modules'
 !181 W32: Don't forget to check VK_MENU and set MK_ALT
 !206 searchenginetracker: Don't leak the hits' GFiles
 407242 GtkScale: Up/Down keys decrease/increase value, which is opposite...
 686109 gtk_print_context_get_hard_margins should return page size specif...
 765327 GtkPlug scaled to half the expected size on HiDPI screens
 772817 File Chooser: Path arrow button frames are reversed and detached ...
 773299 gtk/language-names.c: Fix build on non-GCC/CLang
 775279 early calls to libepoxy cause all gtk3 programs to abort when the...
 786524 ocument GTK_OVERLAY_SCROLLING environment variable
 787867 OSX macports pango text size appears to vary between version 1.40...
 789215 GtkScrolledWindow and GtkIconView atk objects can cause a segfaul...
 791542 GDK 3 Selections documentation makes references to X
 791802 Fix direction value moves on scroll/keypress over RTL/inverted ra...

* Translation updates:
 Catalan
 Finnish
 Polish
 Russian
 Spanish


Overview of Changes in GTK+ 3.22.30
===================================

* gtk-demo has a new 'Widgetbowl' demo

* The wayland backend now supports the stable xdg-shell protocol

* Bugs fixed:
  #28 Adwaita: Selection mode styling flickers
  #83 Completion popup on non-default GdkDisplay freezes GtkFileChooserDialog
  #88 GtkSpinButton: Buttons aren't de/sensitised as they were in GTK+ 3
 #114 All Wayland apps crash when focused (gtk_gesture_multi_press_end→...
 #129 Segfault in `wl_proxy_marshal()`
 #132 GtkTextView auto-scrolling to insert mark upon focus changes due to...
 #141 GtkEntry: add a way to set the font to monospace
 #146 GtkExpander arrow is not dimmed when the Expander is not :sensitive
 #156 Transfer annotation for gtk_gl_area_new is incorrect
 #157 Crashes in gdkdisplay-wayland when clicking any button/menu item
 #163 Unable to explicitly set GtkModelButton role
 705509	notebook popup window on tabs shows underscores
 745128	Search is useless for translated app names
 748784	GtkProgressBar text cannot be superimposed on the progress bar
 791939	Add xdg-shell (stable) support
 792632	Emoji Chooser: section buttons have no tooltips
 793062	Crash under gdk_wayland_window_attach_image() 

* Translation updates:
 Brazilian Portuguese
 Catalan
 Chinese
 Chinese (Taiwan)
 Dutch
 French
 German
 Hungarian
 Indonesian
 Italian
 Latvian
 Serbian
 Slovak
 Slovenian
 Turkish


Overview of Changes in GTK+ 3.22.29
====================================

* Wayland 
 - add an input method based on the text protocol

* File chooser
 - Stop activating without double-click

* Bugs fixed:
 710888 GtkInfoBar not shown after calling gtk_widget_show
 743975 Better deprecation information for GtkStatusIcon
 775546 gdkscreen-x11: Don't try to calculate a refresh rate for RandR 1.3...
 794008 GtkListBoxRow signal poorly documented 

* Translation updates:
 Brazilian Portuguese
 British English
 Catalan
 Croatian
 Czech
 Danish
 Dutch
 Esperanto
 Estonian
 French
 Friulian
 Galician
 German
 Hungarian
 Icelandic
 Indonesian
 Italian
 Kazakh
 Korean
 Latvian
 Lithuanian
 Polish
 Russian
 Scottish Gaelic
 Serbian
 Serbian Latin
 Slovak
 Swedish
 Turkish


2Overview of Changes in GTK+ 3.22.28
===================================

* Fix the build

* Improve frame clock accuracy (#787665)


2Overview of Changes in GTK+ 3.22.27
===================================

* Require libcloudproviders 0.2.0

* The Emoji chooser can now be used with GtkTextView as well

* The Emoji chooser avoids fallback sequences that break the grid

* GTK+ is now using ~/.config/gtk-3.0/settings.ini when using
  Wayland without dconf

* Make fuse-mounted network filesystems show up in Other Locations

* The font chooser dialog supports search now

* Bugs fixed:
 737175 most horizontal sliders are inverted when scrolled with mouse wheel
 741633 GtkListBoxRow should implement GtkActionable
 771986 Inconsistent 'row-activated' signal emission before drag'n'drop, 'acti...
 774248 Desktop-wide text scaling factor is ignored by gtk_widget_override_fon...
 779009 Missing property-change::accessible-description events when the toolti...
 786123 GtkPlacesSidebar: Add support for libcloudproviders
 786509 GDK W32: OLE2 DnD is completely broken
 786528 Please make the output deterministic
 787089 win32: GtkWindow of type GTK_WINDOW_POPUP/GDK_WINDOW_TEMP leaks memory...
 787128 Re-add FUSE network mounts in local-only mode
 789054 Firefox crashes @gdk_window_begin_move_drag() on WM without _NET_WM_MO...
 789160 Add Windows compatible emoji shortcuts
 789268 Keyboard grab by popup window causes a session-modal shortcut-inhibiti...
 790029 GtkTextView: Support gtk 3.22.19's emoji chooser
 790031 GtkClipboardClearFunc is not being called
 790033 Add support for third stylus button on Wacom's new Pro Pen 3D
 790201 Settings in ~/.config/gtk-3.0/settings.ini ignored with GDK_BACKEND=wa...
 790270 avoid copy of CSS data from resources
 790862 Addition of insert_emoji breaks ABI on gtk-3-22
 790963 Thread safety issue in gtk_application_impl_dbus_startup
 791039 Emit enter+motion after GDK_CROSSING_TOUCH_END leave
 791062 Fix mapping window with complete xdg-foreign state
 791234 autocleanups: allow g_autoptr() usage with GtkTreePath
 791281 Backport size allocation optimization from master to 3.22
 791363 Shadow vertical offset is wrong when scaling is > 2
 791549 gtklistbox: Crash on page-up on GtkListBox
 791650 Do not warn about missing colord systemd service unit
 791710 css documentation, non-breaking spaces/hyphens, and other details
 791943 gnome-shell built with meson hangs when opening more than one window
 792279 Use portable sed syntax in gdk/wayland/Makefile.am
 792459 gtk_tree_model_sort_set_sort_column_id() ignores change to sort order
 792624 Critical due to gtk_widget_reset_controllers() passing NULL to gtk_e...

* Translation updates:
 Africaans
 Catalan
 Chinese (Taiwan)
 Esperanto
 Finnish
 Friulian
 Galician
 Hebrew
 Hungarian
 Icelandic
 Indonesian
 Italian
 Lithuanian
 Norwegian bokmål
 Polish
 Russian
 Serbian
 Slovenian
 Spanish
 Turkish


Overview of Changes in GTK+ 3.22.26
===================================

* Bugs fixed:
 789630 Distribute protocol/server-decoration.xml in tarballs
 787142 input/IME: Defer the emit of the "commit" signal
 789134 icon-browser: Centre Copy button in dialog again
 789678 AboutDialog: Fix accepting GTK_LICENSE_AGPL_3_0
 788898 Inspector: better default split of CSS nodes/props
 789733 Fix GtkEntry:has-frame not working
 789213 gdk/win32: Fix Win32 GL Context switching
 785176 placessidebar: add starred location item

* Translation updates:
 Arabic
 Brazilian Portuguese
 Czech
 Dutch
 German
 Norwegian bokmål
 Polish
 Slovak
 Swedish


Overview of Changes in GTK+ 3.22.25
===================================

* The HighContrast theme has received numerous improvements

* Middle-click on scrollbars jumps to the position again

* Wayland:
 - Terminal sizing problems are fixed
 - The Wayland backend now implemented the KDE server-side decorations protocol

* X11:
 - Problems with menus on several X servers are fixed

* Bugs fixed:
 701296 gtkfixed accepts toplevel windows into its children list after gtk_w...
 728452 gtk_tree_view_column_create_button creates button which is leaked
 738387 ComboBox in appears-as-list-mode: popup is not hidden when focus is ...
 763517 Selected then unselected Label in ListBox gets wrong colour until ho...
 769877 [HighContrast(|Inverse)] dual-headerbars broken
 769879 [HighContrast(|Inverse)] tooltips problems
 771279 Segfault due to gtk_event_controller_get_widget() returning NULL but...
 775217 Warning message "gdkcursor-wayland.c:170: Unable to load blank_curso...
 776793 GtkComboBox with appears-as-list doesn't receive mouse events from a...
 777072 window shrinks when restored from maximized
 778811 Enter submenus when activating their parent item
 778930 gtk3-icon-browser: Add scalable icons to icon detail modal window
 780101 Menus do not display over remote X11
 781909 Implement KDE's server-decoration protocol
 782396 Inconsistent deprecation documentation for gtk_paint_spinner
 783995 Monitor API inconsistencies across X11 & Wayland
 784314 entry completion regression on wayland
 784509 wrong coordinates given to at-spi layer from GTK3 entries
 786220 Sometimes the volume icon is replaced with image-missing
 786794 Print dialogue has a printer called "printer"
 787274 ComboBox in appears-as-list-mode: Gtk-CRITICAL when popping down wit...
 787669 Middle mouse click on scrollbar is ignored
 787866 Untranslated key labels in the Keyboard panel of Settings
 788053 Window position wrong in HiDPI mode
 788458 (style) Array index 'i' is used before limits check.
 788496 HighContrast/win32: CSD Windows have missing border and shadows floa...
 788505 ComboBox in appears-as-list mode: Clicking a TreeView expander also ...
 788516 dialogs in gtk+ 3.22.24 have square borders.
 788573 HighContrast: titlebar separator is too wide and joined to buttons, ...
 788574 HighContrast: Ugly solid black corners at bottom of MessageDialog
 788575 HighContrastInverse: Windows lack visible borders, merge into each o...
 788577 Global -GtkComboBox-appears-as-list breaks opening menu-mode CBs by ...
 788580 HighContrast: .flat buttons become non-flat when their window is :ba...
 788614 Trying to reuse a TreeViewColumn causes criticals and a segfault (e....
 788841 Fix gtk_actionable_set_detailed_action_name API inconsistency
 788905 GtkRange horizontal scrolling causes movement in the wrong direction
 789141 Segmentation fault when adding Google online account
 789149 GtkGestureZoom leaks the list of sequences while calculating the dis...
 789327 appchooserwidget: Don't limit application list unconditionally
 789357 Regression in 3.22.23: GDK_WINDOW_STATE_TILED flag is never set

* Translation updates:
 Brazilian Portuguese
 Catalan (Valencian)
 Croatian
 Czech
 German
 Hungarian
 Italian
 Indonesian
 Lithuanian
 Polish
 Slovak
 Slovenian
 Swedish


Overview of Changes in GTK+ 3.22.24
===================================

* Bugs fixed:
 Combobox: Don't try to remove grabs on NULL devices
 Fix some issues with the new resizable tiling


Overview of Changes in GTK+ 3.22.23
===================================

* Bugs fixed:
 783669 Allow resizing tiled windows
 784562 "Printer Details" dialog has no title bar...

Overview of Changes in GTK+ 3.22.22
===================================

* Bugs fixed:
 639931 gtk_application_add_window() docs should mention window destruction
 644248 stylecontext: add a raised style class
 775126 memory leak in gdk_wayland_window_ensure_cairo_surface
 780758 flowbox: bind_model passes wrong reference to create_widget_func in bindings
 781757 gdk_seat_grab() not working for touchscreen events
 787021 GtkFlowBox: the orthogonal orientation always requests the most size it could...
 787302 gtk+-3.22.20/gtk/gtkmountoperation-x11.c:669:sanity check after use ?
 787303 gtk+-3.22.20/gtk/gtknotebook.c: 2 * redundant conditions ?
 787444 The color-selection dialog which is opened by a GtkColorButton should not be...
 787531 The tick button is not/barely visible on light colors with Dark theme
 787600 PlacesSidebar/SidebarRow: CloudProvider singleton/accounts are never unrefd
 787757 Focus outline easily disappears around color chooser swatches

* Translation updates:
 Chinese (Taiwan)
 Dutch
 Greek
 Persian
 Polish
 Russian
 Swedish


Overview of Changes in GTK+ 3.22.21
===================================

* Bugs fixed:
 738893 ComboBox in appears-as-list mode: Finishing scroll with mouse causes...
 786613 Adwaita: provide a generic sidebar icon and label styling
 787172 EmojiChooser: Improve selection of section buttons
 787279 EmojiChooser: Hovered emoji become impossible to see in HighContrast...
 787280 HighContrast: Fix regression in vertical separator in titlebar headerbar
 787410 entry: fix memory leak

* Translation updates:
 Basque
 Catalan
 Croatian
 Czech
 Danish
 Finnish
 German
 Polish
 Slovenian
 Spanish
 Swedish
 Turkish


Overview of Changes in GTK+ 3.22.20
===================================

* Add input hints for Emoji, that let applications indicate whether
  entries would benefit from Emoji support or not

* Add support for cloud services in GtkPlacesSidebar. This adds a new,
  optional dependency on libcloudproviders

* Bugs fixed:
 468868 Popup of "appears-as-list" ComboBox does not change screen with its top...
 618160 Documentation for gtk_combo_box_get_active_iter is unclear
 705640 GtkWindow incorrectly requires a default screen
 729651 Crash in GtkFileChooserButton with appears-as-list
 759725 Setting Container:border-width on TextView breaks gesture positions
 766909 Tooltip of the eject button is a bit confusing - or just missing
 774134 GtkExpander: input window of title extends over child, if :expanded is ...
 775074 GtkScrolledWindow does not disconnect all GtkAdjustment signal handlers...
 776937 GtkExpander is incorrectly hiding content.
 780750 Shift + click in GtkEntry doesn't select
 783649 negative content width warning in GtkLevelbar
 785306 FileChooserNativeQuartz: two fixes
 785736 textview: fix bug on DnD displaced limits of selection
 786029 clicking on gtk-slider makes the parent disappear
 786123 GtkPlacesSidebar: Add support for libcloudproviders
 786209 X11: GtkPopover positioning doesn't "avoid" CSD window shadows
 786492 Incorrect scaling factor with Vulkan on Wayland
 786553 Wrong example number in Gtk Tutorial
 786771 Critical about mismatched GdkDisplays when opening Inspector combobox
 786841 Emoji categories are always in English
 786885 Add explanatory tooltip to emoji icon
 786932 Let the "type-func" override the object's "class" attribute when gettin...
 786938 Emoji picker wrongly opens when clicking on primary icon too
 786940 ::icon-pressed handler stays connected when setting :show-emoji-icon to...
 786960 Emoji chooser: don't show 'insert Emoji' item in emoji chooser context ...
 786964 Emoji Chooser: Can't scroll clicking on the scroll bar
 786966 Emoji chooser: unnecessary spacing b/w some rows in search result
 786986 text_window_to_widget_coords broken when Container:border-width > 0
 787103 gtk3-widget-factory crashes on exit after inserting an emote on page3
 787158 gtk_widget_get_preferred_width on GtkToolbar gives wrong minimum width
 787195 gtk_toolbar_set_show_arrow does not show an arrow
 786956 EmojiChooser: Fix theming on Adwaita:dark, HighContrast, etc

* Translation updates:
 Brazilian Portuguese
 Catalan
 Chinese (Taiwan)
 Croatian
 Czech
 Danish
 Friulian
 Galician
 German
 Hungarian
 Indonesian
 Italian
 Kazakh
 Latvian
 Lithuanian
 Korean
 Polish
 Serbian
 Serbian Latin
 Slovak
 Slovenian
 Swedish


Overview of Changes in GTK+ 3.22.19
===================================

* Add support for Emoji input, with an Emoji chooser

* Bug fixes:
 773299 Ensure GTK+-4.x builds and works on Windows (MSVC in particular)
 784016 Crash in gnome-terminal due to calling a GdkDisplayClass vfunc on a display...
 784421 Tooltips: Fix docs/theming for custom tooltip windows
 785999 Windows: Fix AeroSnap on HiDPI
 786144 GtkInfoBar Example - Wrong at developer.gnome.org (looks like typo/copy/paste)
 786209 X11: GtkPopover positioning doesn't "avoid" CSD window shadows
 786287 configure.ac: Missing quote for AC_MSG_ERROR in AS_IF for WAYLAND_SCANNER
 786400 "Art pen" named "Grip pen" in the Gnome Control Center
 786469 gdkwindow: Avoid re-setting the opaque region if it doesn't change
 786480 Button grabs unintendedly cause shortcut inhibition dialog
 786594 Broken Ctrl+Tab behaviour inside text widget since 3.22.18

* Translation updates:
 Brazilian Portuguese
 Croatian
 Czech
 French
 Friulian
 Galician
 German
 Indonesian
 Kazakh
 Lithuanian
 Nepali
 Polish
 Serbian
 Slovak
 Spanish
 Turkish


Overview of Changes in GTK+ 3.22.18
===================================

* Support entering emoji by name, using Ctrl-Shift-E

* Wayland:
 - Add support for the shortcut inhibitor protocol
 - Support Wacome tablet wheel scrolling

* Bug fixes:
 771959 gtk_init_with_args fails when no display is found / does not comply w...
 776903 Label with hyperlinks cannot be opened with touch on wayland
 776909 gtk_adjustment_clamp_page: Conditional jump or move depends on uninit...
 777333 In a GNOME Wayland session, gnome-terminal windows cannot be moved ar...
 777515 gtk3-icon-browser doesn't list document-edit-symbolic icon
 778188 VTE crashes on multiple repeated BELL chars
 780938 No icon tooltip shown in GtkEntry
 781246 Return value of gtk_widget_get_parent_window should be marked (nullable)
 782870 X11 Grabbing Broken with GtkScrolledWindow
 783343 Wayland: RFC - add shortcut inhibitor support
 783649 negative content width warning in GtkLevelbar
 783716 Support wayland-tablet wheel events
 783906 gtk_accelerator_get_label broken
 784624 process-stop-symbolic hardcoded as app menu fallback
 785255 Quitting world's simplest program containing a single GtkEntry causes...
 785375 Cursors for Wacom tablets are not always updated correctly under Wayland
 785423 Missing nullable annotation for gtk_bin_get_child
 785672 Entry: Setting icon tooltip to empty disables tooltip on whole widget

* Translation updates:
 Finnish
 Slovenian


Overview of Changes in GTK+ 3.22.17
===================================

* Add native file chooser support for OS X

* Bug fixes:
 766517 GtkAboutDialog should use https:// license URLs
 781583 gtk_image_new_from_resource does not work
 781935 Add nullable return annotation to gtk_notebook_get_tab_label
 781936 Add nullable return annotation to gtk_text_mark_get_name
 782040 Wacom pen calibration application responds to mouse input
 782325 wayland: Add possibility to get the exported handle multiple times
 784323 Quartz backend: gtk_clipboard_get_default not implemented
 784723 macOS: native file chooser dialog
 784888 gtkapplication: Mark gtk_application_get_active_window() as nullable

* Translation updates:
 Friulian
 Kazakh

Overview of Changes in GTK+ 3.22.16
===================================

* GtkEntryBuffer no longer emits changed events when input is truncated

* gtk3-icon-browser now offers to copy the icon name to the clipboard

* Bugs fixed:
 745289 wayland: do not use g_error() on connection errors
 759308 Instant apply in printing dialog (number of copies)
 770513 MainToolbar in full-screen mode has rounded corners, which show video pixel...
 778853 propagate-natural-width/height request too much with !overlay-scrolling && ...
 779078 Adwaita: last treeview header button adds border on hover
 781285 Key repeat cancel under Wayland should depend on which key is repeating
 781945 SIGSEGV dragging window on Wayland when toplevel window set_transient_for i...
 782117 If a window was initially shown undecorated and set_decorated(True) is call...
 782283 Wayland: Crash when dismissing a menu when a tooltip is visible
 782325 wayland: Add possibility to get the exported handle multiple times
 783047 Many apps crash in gdk_event_source_prepare when logging out of GNOME
 783347 gtkfilechoosernativewin32: Fix support for non-ASCII paths
 783397 Remove unused code in gtktextdisplay.c
 783587 Crash when NULL is passed to GtkActionHelper to unset action-name

* Translation updates
 Czech
 Lithuanian
 Norwegian bokmål
 Serbian
 Spanish


Overview of Changes in GTK+ 3.22.15
===================================

* Revert an unexpected change in listbox behavior

* Improve the Adwaita style for tagged entries


Overview of Changes in GTK+ 3.22.14
===================================

* Bug fixes:
 - Fix build without sassc
 - Fix clipboard handling of UTF8 text


Overview of Changes in GTK+ 3.22.13
===================================

* Bug fixes:
 358970 gtk_scale_set_digits does not cause value to be rounded if draw-value is false...
 771269 Open in new tab / window doesn't work on unmounted file systems
 773814 attempt to allocate widget with width -700975964 and height 400
 778301 GtkTooltip doesn't clear source ID in all circumstances
 778617 GtkListBox: placeholder is not removed properly
 779570 popover: Add more padding between checkbox and label
 780301 wayland: Fix harmless clang warnings
 781118 gtk 3.22.12 quartz backend segfault
 781162 Make GtkPlacesView monitor network
 781195 Fix testsuite for GtkPlacesView
 781214 define entry-tag in Adwaita.
 781422 translate_wm_button_layout_to_gtk() is licensed under the GPL
 781605 GtkVolumeButton limited to 10 values
 781622 gtkplacesview.ui: Update helper label to include IPv6 addresses
 781737 Drag icon is always postioned in the top left corner
 781767 Wayland: increase key delivery verbosity
 781814 Applications don't receive clipboard when data source mimetype is "text/plain;...
 781992 GtkMenuButton with no popover retains prelight state when no longer selected
 782109 wayland: memory leak when exporting handle
 782180 commit "Improve GContentType" usage breaks apps on win32 (example: virt-viewer)
 782202 linkbutton: Fix memory leak

* Translation updates:
 Brazilian Portuguese
 Croatian
 German
 Hungarian
 Indonesian
 Italian
 Latvian
 Polish
 Russian
 Serbian
 Slovak
 Swedish


Overview of Changes in GTK+ 3.22.12
===================================

* Bugs:
 686838 gtk_enumerate_printers() hangs
 734946 Implement GContentType on OSX
 773228 third parameter of gtk_widget_intersect not listed as 'out'
 776472 Crash in gnome-terminal due to gdk_window_process_all_updates calling...
 778853 propagate-natural-width/height request too much with !overlay-scrolling...
 779081 GtkTextView: expose API to get Pango line direction
 779184 Gtk+4 (3.89.4) with Quartz backend: all apps segfault
 780041 Optionally depend on sassc to generate the theme CSS
 780234 gtk_print_job_set_page_ranges() has unclear ownership transfer
 780734 flowbox: don’t try to focus or draw NULL widgets
 780735 flowbox: don’t select when rubberbanding over nothing
 780878 docs: Point links to correct versions
 780994 Icons are blurry

* Translation updates:
 Catalan
 Greek
 Hebrew
 Indonesian
 Norwegian bokmål
 Polish
 Russian


Overview of Changes in GTK+ 3.22.11
===================================

* Quartz:
 - Fix build on < 10.12

* Cosmetic fixes

* Avoid a critical warning in the filechooser portal


Overview of Changes in GTK+ 3.22.10
===================================

* Theme: Improve styling for flow boxes

* Quartz:
 - Support fullscreen CSD windows
 - Implement backdrop
 - Implement gdk_window_set_functions

* Bugs fixed:
 778905 Frame: documented flat style class is not usable
 779073 style flowbox tiles
 779074 style selectionmode checkboxes for flowbox
 779317 gtk_pad_controllerpad_set_action issue with incorrect assert
 779374 Unprovoked key repeat in gnome-terminal after in 3.22.9
 779383 quartz: Let CSD windows be fullscreen
 779392 Implement backdrop for Quartz

* Translation updates:
 Basque
 Czech
 Danish
 Icelandic
 Indonesian
 Korean
 Scottish Gaelic
 Slovak


Overview of Changes in GTK+ 3.22.9
==================================

* Bugs fixed:
 136059	Ctrl-navigation works in opposite direction in right-to-left text
 776821	Scale factor not properly propagated upon reparent
 778203	icon shown at top left corner when dnd begins
 778328	Pressure sensitivity lost after removing pen from screen (Surface Book/MyPaint)
 778534	Widget: Document signal mnemonic-activate
 778678	gtkshow: Prefer gtk_show_uri_on_window() which works for sandboxed apps
 778726	Use gtk_show_uri_on_window()
 778746	Rename popover is sometimes misplaced
 778835	Wrong screen size returned when in HiDPI mode
 778905	Frame: documented flat style class is not usable
 779005	GtkFrame: Fix shadow after theme changes
 136059 Ctrl-navigation works in opposite direction in right-to-left text
 772505 Wayland: menu does not resize after disabling an action
 774148 Gtk.Popover misplacement in Wayland
 778019 Key repeat under wayland behaves differently, making keyboard navigation e.g. in
        vim annoyingly unreliable

* Translation updates:
 Brazilian Portuguese
 Chinese
 Chinese (Taiwan)
 Galician
 German
 Hungarian
 Italian
 Lithuanian
 Polish
 Serbian
 Spanish
 Swedish


Overview of Changes in GTK+ 3.22.8
==================================

* Wayland:
 - Avoid overlap between Alt and Meta

* Mir:
 - Implement window properties
 - Track window focus
 - Connect to content-hub and use it for copy/paste
 - Use modal hint

* Bugs fixed:
 358970 gtk_scale_set_digits does not cause value to be rounded if draw-value...
 765161 on win32 maximized window position wrong when windows toolbar is on l...
 765410 Scrollbar does not update since 3.20
 770112 The documented <alt>left shortcut doesn’t work on Wayland
 773686 Software when launched shows in dash with wrong icon, name and menu
 775732 mir: clipboard support missing
 775864 getting-started: typo tie->the
 777527 GDK W32: Invisible drop-down menus in GTK apps when working via RDP
 777547 Notebook arrow icon wrong color after closing final tab

* Translation updates:
 Simplified Chinese


Overview of Changes in GTK+ 3.22.7
==================================

* Bugs fixed:
 165385 Win32 keyboard handling still incomplete
 769214 keyval field not filled correctly for Pause key
 769835 On Wayland, application containing GtkGLArea stops responding if it's not...
 774726 GtkTreeView dnd: gtk_drag_finish remove row when reorder sinse 3.20
 775846 gdk/wayland: Add support for the gtk-enable-primary-paste gsetting
 776031 W32: Winkey+down minimizes maximized window instead of restoring it
 776225 [wayland] dropdown placed somewhere in the screen
 776485 GDK W32: Impossible to restore maximized window via system menu
 776807 GtkInspector doesn't show up when Gtk is initialized through option group
 777031 win32 HiDPI assert
 777176 [wayland] gedit killed by protocol error "Invalid anchor rectangle size"

* Translation updates:
 Lithuanian


Overview of Changes in GTK+ 3.22.6
==================================

* Bugs fixed:
 774534 776132 776187 776012 774784 776187 776306 775808 776524 776560
 774534 input shape and opaque region not applied without begin_paint()/end_paint()
 774784 Failed to get desktop session proxy is not an error!
 775808 win32 maximized window is larger than the extended screen in dual monitor
 776012 GtkFlowBox, GtkListBox: Don't emit signals etc. during destruction
 776132 Mention the difference between gdk_window_create_similar_image_surface and...
 776187 flowbox: Add gtk_flow_box_get_child_at_pos to gtk3
 776306 flowbox: Sometimes emits child-activated during rubberband selection
 776524 GtkAboutDialog: Fix formatting of example email address in html documentation
 776560 icon-browser: window opens at very narrow size, only showing 1 column of icons
        Fix GL checks to work better on OpenGL ES 2.0
        Avoid a possible crash in ::activate-url handlers
        scrolledwindow: Fix func summary being cut off in bindings using doxygen

* Translation updates:
 German
 Russian


Overview of Changes in GTK+ 3.22.5
==================================

* gtk3-demo now has an example for using PangoTabArray to create a multi-column layout

* Bug fixes:
 771242 opening menu for certain types of GtkComboBox causes Gdk-CRITICAL assertion...
 774114 Window shadows are repainted even if only the contents of the window change
 774265 No tilt for wintab devices
 774379 gdk: mingw64 builds segfault during initialization of Huion H610PRO wintab
 774686 GtkMenu does not unref all GtkCheckMenuItem it creates
 774695 GtkProgressbar needs full and empty classes
 774699 list iteration regression causes odd-indexed devices to be ignored during l...
 774743 GtkNotebook does not unref all GtkBuiltinIcon it creates
 774760 inspector: ensure controller is a GtkGesture
 774790 GtkTextHandle does not unref all GtkAdjustment it references
 774893 Application font sizes scaling gets clamped to 1.00 when starting GtkInspector
 774915 Destroying the parent of a subsurface causes _gdk_window_destroy_hierarchy:...
 774917 [wayland] child subsurfaces need to be placed relative to their parent
 774939 GtkLabelAccessible: Initialize link before setting parent
 775212 GtkScaleButton does not unref all GtkAdjustment it references
 775316 gtk_drag_source_set_icon_pixbuf references the pixbuf received once too much
 775319 gdk_window_get_toplevel() fails to return the toplevel of a child subsurface
 775525 gtk_flow_box_get_child_at_index shouldn't crash with an invalid index

* Translation updates:
 Hungarian
 Italian
 Kazakh
 Russian
 Swedish


Overview of Changes in GTK+ 3.22.4
==================================

* Bug fixes:
 767713 Fullscreen in wayland is buggy
 768081 Enable HiDPI support for GDK-Win32
 768531 wayland: Startup notification doesn't work on some apps (eg. gnome-terminal)...
 772075 GTK+ uses a lot more CPU under Wayland than under X11
 772202 Handling of scaled monitors is broken
 773587 recent-manager: Add a limit to the list's size
 773916 GtkComposeTable caches broken: using a same ~/.XCompose does not work twice...
 773979 GdkGLContext does not chain finalize handler
 774046 GtkSpinButton does not always unref priv->{up,down}_button
 774066 GtkHeaderBar does not unref all GtkBox and GtkSeparator it creates
 774097 GtkPrintOperation should not truncate job names
 774185 GtkPlacesSidebar does not unref itsel as many times as it references
 774352 GtkAppChooserWidget does not unref all GAppInfo it references

* Translation updates:
 Czech
 Dutch


Overview of Changes in GTK+ 3.22.3
==================================

* Deprecations have been added for APIs that will be removed
  in GTK+ 4

* gtk-demo has gained a new demo for showing (and testing)
  rendering preformance

* Windows:
 - The GL support has been improved. Legacy contexts can now
   be created, and anti-aliasing is possible
 - Hi-DPI is now supported

* Bugs fixed:
 768081 Enable HiDPI support for GDK-Win32
 773274 [Wayland] Crash under gdk_wayland_window_attach_image()
 773474 Color chooser dialog opened with show-editor=TRUE has black header bar
 773479 Typo in GtkShortcutType developer docs
 773528 Improve GL support on Windows
 773799 GtkLevelBar doesn't update blocks on discrete mode
 773857 gdkwindow-x11: Add support for gdk_window_fullscreen_on_monitor
 773885 pop down GtkPopover on pressing escape

* Translation updates:
 Serbian


Overview of Changes in GTK+ 3.22.2
==================================

* Several improvements to the win32 theme

* Deprecations have been added for APIs that will be removed
  in GTK+ 4

* Bug fixes:
 767713 Fullscreen in wayland is buggy
 771320 Maps widget is displayed at wrong position inside gnome-contacts
 772345 placesviewrow: busy_spinner when visible offsets the rest of the...
 772389 Appending a character to a GtkEntry control in overwrite mode ri...
 772415 Avoid calling eglGetDisplay
 772552 Deprecate gtk_menu_popup
 772683 Usage of FALSE instead of gint in glarea demo
 772695 Show the keyboard shortcuts from left to right even in RTL
 772775 menu bindings needs attribute to force LTR for horizontal-button...
 772859 Fix memory leaks in implementations of common widgets
 772922 GtkMenu: Try using gdk_window_move_to_rect() more often
 772926 shortcutswindow: working version of set_section_name()
 773029 style-set signal problem
 773082 overlay: Document availability of properties
 773113 tests: fix clipboard test by loading correct icon
 773180 Don't second-guess whether our GDK GL context is GLES
 773246 Typo in css color definitions documentation 

* Translation updates:
 Croatian
 Danish
 Dutch
 German
 Greek
 Italian
 Latvian
 Lithuanian
 Norwegian bokmal
 Polish


Overview of Changes in GTK+ 3.22.1
==================================

* Reduce runtime warnings

* Bug fixes:
 765649 icons missing in file chooser (errors on console)
 769500 adwaita: GtkWidget:sensitive animation should not cause "On" ...
 769554 [Mir] Touchpad scrolling not as smooth as it should be
 770388 GtkTreeView: attempt to underallocate GtkTreeView's child Gtk...
 771516 wayland: Only 'moved-to-rect' if move_to_rect() was used
 771553 Shrinking window generates a black patch when gl is used
 771666 sftp:// property not set for translation in 3.21.92
 771812 Crash when reparenting a popover with a non-null parent_scrol...
 771826 Some missing nullable annotation
 771915 [Wayland]: Totem window misplaced after a state change
 771959 gtk_init_with_args fails when no display is found / does not ...
 771963 GtkPaned warning in gtk_paned_realize
 772057 Fix wrong URL copy/paste (patch)
 772215 icon-theme: Fix leaks on error

* Translation updates:
 Arabic
 Basque
 Brazilian Portuguese
 Croatian
 Czech
 French
 German
 Hebrew
 Hungarian
 Kazakh
 Korean
 Polish
 Slovak
 Swedish


Overview of Changes in GTK+ 3.22.0
==================================

* Reduce some noisy warnings

* Improve positioning and sizing of popups on Wayland

* Update Adwaita assets

* Bugs fixed:
 602773 GdkEventKey.is_modifier is 0 for Shift, Ctrl, Alt keys
 771117 gtk3 3.21.5 broke displaying drop-down lists, need to scrol...
 771349 gdk_screen_get_monitor_scale_factor on X11 always returns 1...
 771568 Holding down a modifier key results in 100% cpu usage
 771561 Epiphany application mode on Wayland broken with WebKit...

* Translation updates:
 Brazilian Portuguese
 British English
 Catalan
 Danish
 French
 Galician
 Greek
 Kazakh
 Persian
 Slovak
 Spanish
 Swedish
 Ukrainian


Overview of Changes in GTK+ 3.21.6
==================================

* GtkScrolledWindow sizing behavior has been changed back to the
  previous behavior, with new API to change it

* Some GtkPopover size allocation problems have been fixed

* Wayland:
 - We require xdg-shell version 6 now

* Bugs fixed:
 764979 Connect to server is unusable after cancelling a password dialog
 766569 Better size requisition for GTK_SCROLL_NATURAL children
 767391 cross-fade() not cross-fading
 769498 Scrollbars are broken
 770278 modernize example applications
 770508 Recent change in GtkTreeView::grab_focus_and_unset_draw_keyfocus()...
 770614 GtkScale in HighContrast theme with value = 0: WARNING: allocates ...
 770624 Fix typos
 770703 Fix crash when using page-down on GtkListBox
 770745 wayland: Warn when an application tries to map popup incorrectly
 770849 GtkLabel with padding brokenness
 770906 Wayland: Unmapping a toplevel from a menu/popup can lead to a prot...
 771033 GtkStatusIcon cannot show activate menu in VirtualBox since 3.21.2

* Translation updates:
 Brazilian Portuguese
 British English
 Czech
 Danish
 Finnish
 French
 Galician
 German
 Hebrew
 Hungarian
 Kazakh
 Korean
 Latvian
 Lithuanian
 Persian
 Polish
 Portuguese
 Russian
 Scottish Gaelic
 Serbian
 Slovak
 Swedish


Overview of Changes in GTK+ 3.21.5
==================================

* Make GtkShortcutLabel public

* Add an API to obtain window IDs for sharing

* Add explicit API to show/hide popovers with animation

* Wayland:
 - Switch to xdg-shell v6
 - Use tablet pad protocol to support Wacom tablets fully
 - Use the xdg_foreign protocol to export window handles
 - Improve menu positioning
 - Improve handling of tiled window state

* Add GtkPadController to bind GActions to tablet pad events

* Bugs fixed:
 569581 Using the US-Intl keyboard layout causes unexpected character comb...
 712760 Clang static analysis fixes
 755947 wayland: gnome-terminal does not fill entire area when tiled
 756579 GTK should let GDK position menus
 762260 Check boxes and radio buttons animate when inside a popover that i...
 764413 Wayland: not fullscreenable gtk+ apps can be fullscreened
 768017 Wayland: menus opened from access keys (mnemonic menu items) hide ...
 768081 Enable HiDPI support for GDK-Win32
 768138 Update the GDK-Mir backend to fix a few problems
 768722 Keyboard shortcuts for russian characters doesn't work
 768902 Font too small when using gtk_widget_override_font()
 768930 reftests: override GSETTINGS_SCHEMA_DIR when running tests
 768999 Floating point exception (division by zero) when running under Xvfb
 769003 Adwaita: GtkCalendar uses a confusing style for week of year
 769004 ss test suite failures in 3.21.4
 769047 GtkWidget <-> GtkStyleContext API not clear
 769126 Can't type astral plane characters into a GtkEntry using the Windo...
 769162 GtkTable: compute_expand buggy
 769205 Expose GtkShortcutLabel as a public widget
 769236 demos: Fix build failure
 769287 GtkMenuToolButton:show-menu is emitted twice and breaks dynamic menus
 769402 regression in menu positioning on wayland
 769451 Build failure of 3.21 (master) in Debian Unstable since 7-26-2016
 769485 Eliminate use of g_test_expect_message()
 769568 Modification date display incorrectly wraps calendar days (and is ...
 769601 Dead link in faq on gtk-question-index.html
 769603 gtk+-3.20.8: underlink issue with ld.gold - build fails: ./.libs/l...
 769706 Add show/hide API to GtkPopover
 769937 wayland: Port backend to use xdg-shell unstable v6
 770026 review comments for wip/wayland-tablet-v2
 770166 Can GtkButtons of arbitrary size be circular? The style class only...
 770236 gtkbindings: Add an example for gtk_binding_entry_add_signal()
 770242 gtkbindings: Clarify that widgets need has-focus for bindings to work
 770332 Notebook arrow icon wrong color after creating new tab
 770374 Gtk Treeview Editable overshoots column width when column width is...
 769788 Fix stacking order of flatpak portals on Wayland
 770458 GtkAboutDialog issue with long credit lists and GtkScrolledWindow
 770550 gtkplacessidebar: fix signal marshal
 770307 Crash when closing a glade project

* Translation updates:
 Brazilian Portuguese
 Catalan
 Czech
 French
 German
 Hebrew
 Indonesian
 Lithuanian
 Polish
 Portuguese
 Serbian
 Slovak
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.21.4
==================================

* GtkHeaderBar supports expanding children

* GtkPrintDialog respects initially set capabilities

* GtkApplication supports registering with the Xfce session manager

* Keep firefox working after the introduction of GdkDrawingContext

* css:
 - Support for background-blend-mode has been added

* Wayland:
 - Fix some interoperability issues in clipboard handling

* Sandboxing
 - GtkFileChooserNative gained portal support
 - GtkPrintOperation gained portal support
 - gtk_show_uri gained portal support
 - GtkApplication gained portal support for inhibiting

* New APIs:
 - gtk_show_uri_on_window
 - gtk_file_filter_to/from_gvariant
 - gtk_file_chooser_add/remove/set/get_choice
 - gtk_print_settings_to/from_gvariant
 - gtk_paper_size_to/from_gvariant
 - gtk_page_setup_to/from_gvariant

* Bugs fixed:
 693203 GtkApplication does not support Xfce session manager
 724332 GtkHeaderBar need to support an expand property
 767849 crash in focus handling
 767851 Adwaita: popover arrows broken in some orientations
 767965 Improve heuristics to detect remote filesystem
 768016 [Wayland] Submenus often get closed after ~2 seconds
 768025 entry.warning & entry.error broken
 768082 wayland: copying from Wayland to NEdit (Xwayland/Motif) doesn't work
 768142 Incorrect order of $(LIBS) and $(OBJS) in Makefile.example caused...
 768184 headerbar: don't throw a warning if title widget is hidden
 768485 Change the priority of the window-close idle to G_PRIORITY_DEFAULT
 768499 portal support for gtk+
 768546 Wrong documentation for the "move-viewport" signal of GtkTextView
 768657 places-view: fix open action for locations without mount or volume
 768659 gtk/gtkfilechoosernativeportal.c: Don't use g_autoptr()
 768756 GtkFileChooserNativePortal uses incorrect response id

* Translation updates:
 Chinese (Taiwan)
 Hebrew
 Indonesian
 Portuguese


Overview of Changes in GTK+ 3.21.3
==================================

* GtkStack now has its own accessible implementation which only
  shows the currently visible child

* The GtkSizeGroup::ignore-hidden property has been documented as
  not working.

* GDK_SOURCE_TRACKPOINT has been added to the GdkInputSource enumeration
  to allow special-casing this kind of input device

* Wayland:
  - Use separate devices to differentiate between various sources of
    scroll events
  - Fall back to using shm_open if memfds are unavailable

* Styling of text in GtkScale and GtkProgressBar can now be influenced
  by the proper CSS nodes

* GtkScrolledWindow has new max-content-width/height properties to
  control its size

* GtkFileChooser search has been fixed to work with trackers FTS5 syntax

* Bugs fixed:
  79229 GtkScale with a big number of digits and value pos set to...
 118959 GtkScale value '-0'
 556254 Test properties of type GObject in the 'object' test
 578626 Vertical Scale Widget sometimes not allocating enough room...
 674215 [patch] regression with updating tooltips
 708148 gtk_tree_view_get_path_at_pos mistakenly identifies column...
 710471 Make gtk_scrolled_window_remove() smart
 742281 GtkScrolledWindow should have max-content-height and max-c...
 745622 Selected text not highlighted in GtkInfoBar
 751409 gtk_style_context_add_provider() does not propagate to chi...
 753202 change cursor for click scrolling
 764203 Default background color for the 'textview border' node
 765410 Scrollbar does not update since 3.20
 765595 Modal popover does not close when focus leaves it
 766341 Do not rely on memfd as it requires a fairly recent kernel
 766372 Scale omits value in various size calculations, causing in...
 766569 Better size requisition for GTK_SCROLL_NATURAL children
 766675 Add appropriate frame drawing API to GdkWindow
 766860 tiled (snapped, half-maximized) windows in Wayland aren't ...
 766878 placesview: Do not mark icon name as translatable
 767052 Wayland: Iconifying a modal dialog makes the app unusable
 767058 GtkInfoBar: right-click/context menu all white
 767093 wayland: Provide information about scroll devices
 767100 Add an input source type for trackpoints
 767108 Separators not correctly placed in GtkPopover
 767238 Fix long standing regression in min-content-width/min-conte...
 767241 wayland: Long window titles crash clients
 767310 High-contrast theme doesn't show focus rectangle in default...
 767312 gtk_widget_path_append_for_widget() misses classes unless g...
 767468 Popover over a treeview cellrenderer is hidden immediately ...
 767705 GtkActionHelper: Change a message to a warning
 767766 CUPS 2.X detected incorrectly by configure
 767795 Warning when the "accelerator" property of GtkShortcutsShor...
 

Translation updates:
 Thai
 Catalan
 Occitan
 Spanish
 Scottish Gaelic
 Brazilian Portuguese


Overview of Changes in GTK+ 3.21.2
==================================

* GTK+ is now using upstream gettext instead of the GLib wrappers.
  This adds a requirement for the fairly recent gettext 0.19.7 release

* GDK has a new GdkMonitor api that offers richer information about
  connected outputs

* Bugs fixed:
 373745 Do not use AM_GLIB_DEFINE_LOCALEDIR(GTK_LOCALEDIR) and use gettext...
 682080 Gtk:ERROR:gtktoolbar.c:2271:logical_to_physical: assertion failed:...
 747206 gtktextview: note on how to get line spacing between two paragraphs
 756570 gtkplacesview no longer provides guidance on address formats
 759037 GtkInfoBar: documentation not updated wrt background colors and me...
 763852 gdk/wayland: event source is not multi-thread aware
 764395 nautilus crashed on double clicking 'other locations'
 765471 CellRendererText shows edit entry in a wrong position for small cells
 765579 wayland: cache frequently accessed GtkSettings in wayland screen
 765676 gtk_paned_set_position doesn't work as advertised
 765700 GtkPaned use causes "How does the code know the size to allocate?"
 765742 GtkRedioButton and GtkCheckButton doesn't aligned right to left la...
 765790 W32: configure does not tell which cairo version to use
 765793 configure script failure (cairo_win32_surface_create_with_format i...
 765858 file chooser generates a warning about a network path
 765907 [Wayland] Reversed scrolling GDK_SCROLL_UP/GDK_SCROLL_DOWN in Wayl...
 765922 GtkScale labels extend past edge of widget and overlap neighboring...
 765924 Improve external drives detection
 765939 [Wayland] very slow scrolling in GtkMenu using the touchpad
 765966 settings: fix initial value for gtk-font-name
 765973 GtkRevealer need to always send "child-revealed" signal at end of ...
 765981 fts warning from tracker when searching for files with "-" in name
 766049 wayland: use g_signal_handler_disconnect()
 766120 Scale draw_value() align changed from centre/right (H/V) to left, ...
 766166 key bindings in gtk.css are ignored
 766175 Translation of quotes may misinterpreted by GTK sidebar
 766207 Fix build on pre-C99 compilers
 766233 Crash when server does not support XI2
 766314 Spurious leave-notify event after touch up
 766323 GTKPopover gives warnings if visible when reparented
 766336 Crash when selecting rows with rubberbanding
 766405 Stack shows incorrect frame in widget factory on wayland
 766440 Scale slider button has stopped discerning & rendering appropriate...
 766442 Broken drag & drop between windows
 766458 widget: fix GtkLabelAccessible NULL links.
 766530 scrolledwindow: Fix typo in get_preferred_height calculation
 766566 Wayland: gdk_screen_get_monitor_at_window() unreliable under Wayland
 766569 Better size requisition for GTK_SCROLL_NATURAL children
 766642 Switches in HeaderBars Are Badly Integrated
 766643 Frozen windows when unmapped with pending configure event
 766737 stack: Only map children when necessary
 766782 OpenGL in broadway leads to segmentation fault
 767848 crash in the window test

* Translation updates:
 Arabic
 Brazilian Portuguese
 German
 Hungarian
 Kazakh
 Lithuanian
 Norwegian bokmål
 Occitan
 Portuguese
 Scottish Gaelic
 Slovak
 Spanish
 Swedish


Overview of Changes in GTK+ 3.21.1
==================================

* The GNU Affero General Public License has been added to the list of
  predefined licenses in GtkAboutDialog

* GtkShortcutWindow can now follow changes to accelerators

* GdkSeat and GdkDevice gained API for device tools, to support drawing tablets

* GtkInspector can now slow down (or speed up) animations. This functionality
  is also available via the GTK_SLOWDOWN environment variable

* GdkGLContext can now be instructed to use GLES

* CSS:
 - Inconsistencies in font size handling have been fixed
 - The font shorthand is now parsed according to the CSS spec

* Windows:
 - Clipboard handling has been optimized
 - The CSD implementation has been improved

* Wayland:
 - We print more debug information about pixel formats, outputs, etc
 - The unstable tablet protocol is now supported
 - Virtual modifier handling has been improved
 - Reduce jitter in keyboard repeat
 - Fix problems with multiple display connections

* Bugs fixed:
 573380 gtk_tree_model_iter_parent() fails if the same iterator is used...
 620065 Several problems related to recent files
 693077 GtkRecentManager doesn't send "changed" when file is deleted
 730821 RFE: add gtk_clipboard_get_selection()
 743746 Add GLES 2.0 (and/or 3.0) profile
 749405 GtkMenuSectionBox doesn't remove submenus when parent item is r...
 761651 glade previewer is resizing windows until it crashes gnome-shell
 763013 GDK W32: AeroSnap doesn't work on CSD windows
 763600 trashmonitor: change trash monitoring process
 763627 menu-traditional puts popover beneath the text editor widget
 763768 Wrong margin used for the sidebar separator
 763783 GDK W32: Erase hidden layered windows before showing them
 763850 Add License GTK_LICENSE_AGPL_3_0 to GtkLicense enum
 763851 GDK W32: show_window_menu() is not implemented
 763907 GDK W32: Clipboard handling is not tight enough
 763913 GDK W32: Not all relevant debug info is printed for events
 764022 (totem:4131): Gtk-WARNING **: Negative content width -200 (alloc...
 764060 opening a second nautilus while a delete operation is in progres...
 764170 [HighContrastInverse] “suqqested-action” is white on lightgrey
 764174 Configuration dialog is too small
 764203 Default background color for the 'textview border' node
 764204 Primary and secondary carets/cursors not distinguishable by default
 764210 Strange Background Color on Emacs
 764261 gtkplacesviewrow: untranslated "%s / %s available"
 764321 window: Fix gtk_window_set_geometry_hints documentation
 764374 Busy loop while "Displays" page is active
 764376 UI glitch when entering keyboard shortcut
 764378 gtk3-demo won't run without hicolor-icon-theme
 764424 `Super` keybindings trigger without Super, on Wayland
 764585 Fix "format not a string literal" errors
 764664 Segfault when initializing WINTAB pressure-sensitive tablets (Wa...
 764686 build failure after "make distclean"
 764710 GtkListBox row CSS nodes do not reflect visual order
 764712 Build failure for Quartz backend in master branch due to gtkdnd-...
 764835 broadway: fix documentation, correct display port details
 764845 GDK: gdk_window_reparent creates circular reference in 'children...
 764846 Code improvements in GtkApplication
 764863 GtkTrayIcon: fix uninitialised variable
 764879 Extract GtkApplicationAccels private class from GtkApplication
 764925 Fix trivial typo in GtkWidget
 764975 GTKShortcutWindow runtime changes to accelerator not reflected i...
 764996 GDK: Incorrect window size when creating window with position sp...
 765038 Adwaita & decorations
 765065 Wayland: Hover state stuck after mouse leaving the toplevel
 765066 GtkColorChooser looks like it can select multiple colors
 765100 GDK: gdk_window_reparent does not position/size a reparented win...
 765118 W32: gtk-builder-tool botches output encoding
 765122 Duplicate/missing string in gtkprintbackendcups
 765195 Visual Studio builds: Update how introspection is done
 765213 info bars nearly unreadable in backdrop state because of gray fo...
 765238 gtktexthandle should avoid connecting to GtkWidget::draw
 765259 Save Windows scancode inside GdkEvent
 765261 listbox: Page up/Down don't do anything with large rows
 765270 wayland: Leave existing mods on map_virtual_modifiers
 765284 debug: reduce runtime overhead in debug builds
 765486 builtinicon: avoid calculating font-metrics in vast majority of ...
 765493 kineticscrolling: avoid stutter at tail of kinetic deceleration
 765496 Clean up gtklabel.c a bit
 765567 wayland: avoid jitter in keyboard repeat
 756570 gtkplacesview no longer provides guidance on address formats
 765474 Wayland: Dialogs without transient parent crash the inspector
 765565 Wayland: Inspector GtkLabel drag'n'drop crashes client
 765576 gtk+ leaks and hangs
 765577 gdk/dnd: Add missing signal parameter documentation
 765632 typo in GTK_STYLE_CLASS_LIST_ROW docs
 765640 pixelcache: reuse existing timeout source when possible
 765644 Widget sizing problems with GtkProgressBar

* Translation updates:
 Bulgarian
 Catalan
 Esperanto
 German
 Greek
 Hungarian
 Italian
 Lithuanian
 Persian
 Polish
 Scottish Gaelic
 Spanish
 Thai
 Traditional Chinese


Overview of Changes in GTK+ 3.20.1
==================================

* Active GtkSwitch widgets now use the :checked state, to match GtkToggleButton

* Bugs fixed:
 641354 Look for themes in XDG folders
 763350 drawing performance worse than X
 763604 The search button of a GtkShortcutsWindow should have the image-button...
 763659 DND Drop on root with Pixbuf leaves image behind
 763731 Return GTK_PRINT_OPERATION_RESULT_ERROR even if error == NULL
 763741 Wavy/squiggly underline not properly removed
 763758 Do not use fixed values for widgets size in foreign drawing demo
 763779 [PATCH] quartz: fix pixelated image surfaces in retina/hidpi mode
 763802 [HighContrastInverse] the “ON” text of a GtkSwitch should be black (on...
 763804 [HighContrastInverse] menuitem:hover colors
 763808 .dnd styleclass still used
 763859 gdkdevice-wayland.c cleanups
 763900 stack: fix warnings during GtkStack size_allocate
 764118 Glitches in menu scroll arrow rendering

* Translation updates:
 Basque
 Bulgarian
 Danish
 Galician
 Greek
 Russian
 Slovak
 Slovenian
 Spanish
 Swedish


Overview of Changes in GTK+ 3.20.0
==================================

* Themes:
 - The HighContrast theme has been brought back up to par with Adwaita
 - Adwaita has received detail fixes for many widgets
 - Adwaita now transitions to backdrop

* Some recently publicized static analysis findings have been fixed

* Bugs fixed:
 746490 [HighContrast] insensitive ToggleButtons are rendered similarly ac...
 763609 [HighContrast] model-generated menu-like popovers are unthemed
 763610 [HighContrast] GtkSearchEntry’s “search” icon needs left&right pad...
 763612 [HighContrast] “:selected .circular” should be visible
 763613 [HighContrast] GtkScale is unreadable
 763696 [HighContrast] spinbuttons broken
 763706 [HighContrast] linked horizontal dropboxes broken
 763707 [HighContrast] active and hover states for radios and checkboxes b...
 763774 [HighContrast] GtkPlacesSidebar row need more top&bottom padding
 763775 [HighContrast] the “enter server adress” entry in GtkPlacesView ha...
 763777 [HighContrast] GtkMenuBar needs a bottom box-shadow
 763781 [HighContrast] .app-notification border { border:none; }
 763797 [HighContrast] scrollbars invisible (whity on white)
 763823 [HighContrast] dnd on a vertical spinbutton does a weird resizing
 763846 [HighContrast] spinbuttons in osd look bad
 763955 treeview: inline editing shows old text as background
 763796 excessive Gtk-WARNING **: State 0 for EMailShellSidebar doesn't ma...
 763835 W32: Layered windows don't become minimized
 763749 Nautilus desktop window is too small with gtk 3.19

* Translation updates
 Brazilian Portuguese
 Czech
 Danish
 Finnish
 Hungarian
 Italian
 Kazakh
 Korean
 Latvian
 Serbian
 Serbian Latin
 Swedish
 Ukrainian


Overview of Changes in GTK+ 3.19.12
===================================

* GTK+ now respects default size even for windows that are not resizable

* GtkScale and GtkScrollbar have received multiple fixes for fallout from
  the gadget port

* GtkStackSwitcher will now switch pages when hovered during drag-and-drop

* Inspector:
 - The per-object CSS editor has been dropped; the global one is sufficient
 - The sidebar has been replaced by a combo box
 - Add a Show Layout option to the Visual tab
 - CSS node tree and style properties are now on the same page
 - The frame clock is shown in the Miscellaneous page
 - Isolate the inspector from visual debugging effects
 - Numerous smaller UI improvements

* Themes:
 - Windows theme: handle spin buttons and switches
 - Adwaita: Fixes for scales, combo boxes, info bars, action bars, radio and
   check buttons, side bars, etc
 - Adwaita has gained a new style of drop target highlighting

* Wayland:
 - Synchronize key repeat with server
 - Add a bell request to gtk_shell and use it to implement gdk_window_beep
 - Add a focus request to gtk_shell and use it to implement gtk_window_present
 - Dropping tabs to create new windows is now supported

* Windows:
 - Use a custom drag-resize implementation
 - Use layered windows
 - Provide workarea information

* OS X:
 - Native zoom and rotate gestures are now supported

* Bug fixes:
 583780 gtk_toggle_button_set_mode() documentation should suggest when it is...
 699891 Support for Primary keybinding in builder XML
 720950 Default double-click interval should be increased
 748872 W32: Use layered windows
 756450 GTK file chooser completion dropdown sets cursor in wrong position
 757942 Input event (e. g. typing on keyboard) is sent repeatedly during hig...
 759899 W32: CSD is not enabled by default
 760276 Quartz does not support GtkGesture Zoom and Rotate (NSEventTypeMagni...
 761629 W32: WM window drag-resizing code does not work well with GTK
 762397 GtkToolButton needs left & right padding and margin
 762811 Adwaita: nonsquare image buttons
 762820 Remove "core_pointer" from the GdkDisplay struct
 762891 gdk: remove the display->list_devices vfunc
 762902 GDK W32: Newly-opened windows (such as popups) have unthemed cursor
 762907 gnome-shell crashes after undocking
 762945 Wrong allignemet in some places
 762974 GtkWindow: gtk_window_set_default_size() does not work with fixed si...
 762996 Revealer doesn't reveal the entire width of a ListBox that has Revea...
 763001 implement beeping
 763012 GDK W32: No gdk_win32_screen_get_monitor_workarea()
 763017 tooltip text is not shown
 763023 Segfault in init_randr15()
 763080 Layered Window crashes GDKGLWin32
 763103 gtk-launch: add hack to close up dbus-daemon race
 763216 GtkTextView's top-margin/bottom-margin don't work with non-scrolling...
 763285 gdkwindow/Win32: Make update_style_bits() available across the GDK-W...
 763287 GDK-Win32: GL area does not redraw on resize
 763298 wayland: connection flooded when dragging
 763351 [wayland] high cpu usage on open popover
 763380 colorscale input popup difficult to use with a pointer
 763387 Make window creation hooks in tab DnD work on wayland
 763628 W32: Shortcuts window is gtk3-demo misplaced on multidisplay desktop
 763650 window: stop stomping on resize-mode set by external API

* Translation updates:
 Brazilian Portuguese
 Catalan
 Czech
 Finnish
 French
 Galician
 German
 Greek
 Hebrew
 Hungarian
 Japanese
 Kazakh
 Korean
 Lithuanian
 Polish
 Russian
 Serbian
 Slovak
 Slovenian
 Spanish
 Swedish


Overview of Changes in GTK+ 3.19.11
===================================

* GtkRange, GtkScale and GtkScrollbar have been ported to use gadgets

* Themes:
 - Windows theme improvements

* Inspector:
 - Show input device information
 - Update monitor information when it changes

* Wayland:
 - Implement primary selection (using a private protocol
   with mutter for now)

* Bugs fixed:
 756751 Keypad decimal point patch prevents entry of comma in german keypad...
 760482 GtkFrame cuts off bottom 2 pixels of child
 761767 gcc6: Don't return bool from a const gchar* function
 762123 Frame Layouting issue in Quadrapassel
 762561 Implement primary selection protocol
 762593 Solid separator in gnome-tweak-tool header bar
 762614 Commit 51af704 gadget: Be careful in geometry calculations breaks v...
 762629 GDK W32: Wrong MINMAXINFO calculation
 762677 gtkplacessidebar: avoid irresponsible UI while trashing
 762713 [Wayland] GDK doesn't remember unmaximized or unfullscreen size
 762720 Moving Epiphany tabs with keyboard shortcuts visually broken
 762755 Epiphany, Eye of GNOME crash when run in gdkwindow-wayland.c buffer...
 762820 Remove "core_pointer" from the GdkDisplay struct
 762887 yelp crashes most of the time on startup with gtk+ 3.19.10
 762891 gdk: remove the display->list_devices vfunc
 761156 Setting a popover 'relative_to' a widget on an offscreen window cra...
 761686 GtkTreeView theming problems
 762468 wayland: Switching between fullscreen and unfullscreen too fast may...

* Translation updates:
 Brazilian Portuguese
 Catalan
 French
 Galician
 Hungarian
 Occitan
 Polish
 Swedish


Overview of Changes in GTK+ 3.19.10
===================================

* GTK+ will now list included backends when seeing the
  environment variable GDK_BACKEND=help

* Themes
 - Windows theme improvements
 - Adwaita cleanups

* Wayland
 - Implement startup notification

* Bugs fixed:
 309300 Adjust the key binding for setting the spin box's value to the min...
 723659 touchpad: please do not interpret tap and click as double-click
 754743 Middle click on "Other Locations" doesn't open a new tab
 756659 Nautilus's Connect to server wont honor remote path
 760714 GtkWindow: CSS node documentation is not clear
 761431 Document overlay help action name
 761432 Document that GtkApplication loads menus from gtk/menus-common.ui
 761760 Welcome graphic and heading is misaligned
 762258 wayland: gtk3 apps segfault with plasma-wayland/kwin_wayland
 762315 Assistant pages have no padding which looks weird
 762319 issues with randr 1.5
 762392 gtk_drag_source_set_icon_name with empty string puts widget in bad...

* Translation updates:
 Brazilian Portuguese
 Catalan
 Chinese (Taiwan)
 Galician
 German
 Polish
 Punjabi
 Serbian
 Slovak
 Spanish
 Swedish
 Thai


Overview of Changes in GTK+ 3.19.9
==================================

* gtk-builder-tool can now preview .ui files with custom CSS

* gtk3-demo now demonstrates saving window sizes in the application
  example, and has many more widgets in the foreign drawing example.

* CSS changes:
 - the rem unit is now supported
 - calc() expressions are supported, too

* Themes:
 - Many fixes to Adwaita
 - The Windows theme is now included on all platforms

* Windows
 - The Classic and XP themes have been dropped
 - The remaining theme is being fixed to work with CSS nodes
 - React to theme changes

* Quartz:
 - Fix image retrieval from the clipboard

* Wayland:
 - Fix a significant buffer leak

* Bugs fixed:
 677329 Missing focus-in events
 698652 Aero-snapped windows in Win7 or 8 gets restored to previous size...
 754990 Missing (out) annotation for gdk_rgba_parse
 759657 GtkSeparator can segfault from CSS settings
 760996 background in notebooks (and other places?) now white
 761209 FileChooser crashes when invoked from FileChooserButton
 761309 Background missing for empty treeview
 761312 memory leak
 761332 Creating a GtkStyleContext crashes
 761339 [PATCH] skip gtk_widget_path_iter_add_qclass from g-ir-scanner
 761363 Unlabeled GtkCheckButton does not respect valign
 761381 gtk_settings_reset_property does not always reset to correct value
 761402 GtkRange doesn't reset in_drag flag correctly
 761428 GtkLevelBar no longer expands vertically
 761474 x11: Scaling factor is applied twice on screen work area
 761476 Set _GTK_THEME_VARIANT property also for light theme variant
 761484 Spinbuttons in headerbars are way too tall
 761552 Warnings in filechooser when typing-to-search in Recent
 761571 Opaque region incorrectly calculated for fullscreen windows
 761686 GtkTreeView theming problems
 761716 Notebook scroll arrows appear to be sensitive always
 761757 Crash in GtkFileChooserWidget
 761775 gtkmagnifier: Avoid a crash if the inspected widget is finalized
 761778 GtkShortcutsWindow - key labels are grey, not vertically centered
 761791 Places sidebar: row height is too low
 761792 Connect to server bar is too tall (and has a big fat connect butt...
 761826 double negative in drag drop documentation for drag-motion confus...
 761828 add a menu demo to foreigndrawing
 761829 undefined reference to `gdk_mir_display_get_type'
 761838 Editing widgets may be drawn off the visible area if the column i...
 761900 gtk-demo: add spinbutton and menubar foreign drawing examples
 761903 gtk3-demo: paned widget can be moved by resizing
 761954 Tab detach no longer works
 762021 GtkPaned propagates draw to NULL child
 762032 Titlebars of windows have become unacceptably large in 3.19.x
 762036 Extra widgets sizing messed up
 762067 Adwaita: half maximized unfocused window has rounded corners
 762080 gtk-demo: add combobox, menu separator and menu check/radio examp...
 753351 notifications about removable devices being safe to remove stay a...
 762120 Black content when using testfilechooser auto completer
 762165 Add translation contexts

* Translation updates:
 Brazilian Portuguese
 Chinese (Taiwan)
 French
 German
 Hungarian
 Kazakh
 Polish
 Slovak
 Spanish
 Swedish


Overview of Changes in GTK+ 3.19.8
==================================

* GtkEntry:
 - Complete gadget conversion for entries and spin buttons
 - Add a visual hint for scrolling ('undershoot')

* GtkStack:
 - Turn into a no-window widget

* CSS changes:
 - Allow loading svg imges
 - Fix baseline handling
 - -gtk-recolor() works properly with hi-dpi now
 - image() can be used in CSS now

* Themes:
 - new radio / check implementation

* Tools:
 - gtk-builder-tool can now preview .ui files

* Bugs fixed:
 464528 gdk_rectangle_union() and gdk_rectangle_intersect() should ign...
 608865 The default value of the property 'max-position' should be 214...
 688524 Expose gtk-primary-button-warps-slider as an X setting
 690791 gtkwindow only sends startup notification once
 727294 Gtk SpinButton Size Greater than Screen Width
 754868 visual anomaly in gtk path bar
 754990 Missing (out) annotation for gdk_rgba_parse
 760522 gtk_misc_set_padding not used for size req
 760714 GtkWindow: CSS node documentation is not clear
 760754 gedit crashes detaching a tab
 760881 file can't be saved if executable attribute is not set
 760891 GtkTreeView Cannot expand/collapse rows by mouse
 760897 A few clean ups to the shm handling code
 760933 Make it possible to query the CSS opacity with gtk_style_conte...
 760942 gitg drawing code broken
 760967 notebook gadget allocation issue
 761005 GtkColorChooser: make set_rgba work in editor mode
 761095 wayland: use shm_open instead of open in tmpdir
 761128 Selected text in password entry not drawn correctly
 761254 GtkDialog exposes public action_box internal child
 761026 File chooser: Make Escape close the dialog
 761318 css: Support the image() notation

* Translation updates:
 German
 Hungarian


Overview of Changes in GTK+ 3.19.7
==================================

* GtkNotebook:
 - Has been converted to use gadgets
 - Style properties have been deprecated

* GtkTextView:
 - Offers (some) control over cursor blinking

* CSS changes:
 - Fix rendering of asymmetric borders
 - Add CSS names to more widgets
 - Support recoloring icons with -gtk-recolor

* Themes:
 - Many Adwaita fixes

* GTK+ widget drawing scalability has been improved (for containers
  with many children, like large list boxes or flow boxes).

* Drag-and-Drop has been rearchitected to move the input handling into
  GDK, where different backends can handle it according to their needs
  and capabilities. The new, 'managed' DND is currently implemented
  for X11 and Wayland.

* Wayland:
 - Support kinetic scrolling, using the new events in version 5 of the
   wl_pointer interface
 - Suppport DND actions and drag cancellation that were added in version
   3 of the wl_data_offer interface

* Bugs fixed:
 722727 Widget state CSS pseudoclasses should work with adjacent selectors
 722937 problem rendering asymmetric borders with dotted style
 748327 W32: GDK can be hypothetically stuck in time
 756729 No kinetic scrolling on Wayland
 757503 Selected text is white on white (invisible) - Evo / GTK+ 3.19.1
 759785 GdkSeat: Suspected errors in documentation
 759898 W32: There's a gap between tooltip window and its shadow
 760350 Cast the return value of g_array_free to void* before casting to...
 760388 MS lib files cannot be generated (with patch)
 760416 broadwayd --help shows translated characters as question marks o...
 760427 Adwaita: Separators in popovers shouldn't always have margins
 760445 regression: openQA no longer able to press ctrl-alt-del to get t...
 760509 GdkWindow positions/sizes include css margins
 760524 linked comboboxes change size when clicked
 760525 Labels in dialog buttons misaligned
 760528 GtkFrame child should start below the label widget
 760536 ship a mini icon theme for recolarable symbolic icon assets
 760572 Inspector highlights "random" widgets
 760596 epiphany middle click on link opens an invisible tab
 760615 GTK FTBFS with MinGW-w64
 760640 Crash in gtk_notebook_set_show_tabs when closing Epiphany
 760663 Some labels on RTL in some menus dosn't shown
 760668 box gadget: Implement cross-axis alignment
 760680 Emitting "shutdown" signal twice leads to a crash
 760748 GtkTextView should allow hooks for reseting blink time
 760754 gedit crashes detaching a tab
 756729 No kinetic scrolling on Wayland
 760370 GDK-ify drag and drop

* Translation updates:
 Brazilian Portuguese
 Finnish
 Japanese
 Slovak


Overview of Changes in GTK+ 3.19.6
==================================

* CSS changes:
 - CSS margins, border and padding are more consistently supported
 - More widgets support min-width and min-height
 - More style properties have been superseded by CSS properties
 - Pseudo state names have been aligned with what CSS uses:
   :disabled instead of :insensitive, :indeterminate instead of
   :inconsistent and :drop(active) instead of :dnd. The old names
   still work
 - GTK+ specific CSS properties have been prefixed with -gtk-.
   The old names still work
 - The CSS syntax for Radial gradients is now supported
 - CSS documentation has been rewritten and expanded

* Themes:
 - GTK+ now includes a HighContrastInverse theme which is a dark
   variant of the HighContrast theme

* Inspector:
 - The inspector can now highlight widgets that are causing resizes,
   which can be helpful in tracking down allocation loops

* Wayland:
 - Prefer subsurfaces for temporary windows when possible, to fix
   placement issues
 - Improve handling of dialogs without transient parent
 - Force a grab cursor while a popup is shown

* Bugs fixed:
 728344 Collate setting in Print Dialog does not override PPD setting...
 753520 Gtk potentially misses nullable in 166 functions
 756618 GtkWindow CSD: gtk_window_resize() also includes client side ...
 757147 gdk_pixbuf_get_from_window() doesn't honor device scale
 757411 Reference GtkIconSize in argument/return documentation
 759161 wayland: dialog stacking without parents (RFC)
 759299 wayland: possible infinite loop in gdkwindow-wayland
 759541 shortcuts: Make sure that hidden shortcuts stay hidden
 759567 Treeview column header buttons are jumpy
 759586 Add a way to highlight resizing widgets
 759607 gtkdnd-quartz: fix gtk_drag_begin_internal
 759664 Buttonbox broken in chess promotion dialog
 759668 Drawing failures with GTK+ master
 759670 GtkPaned doesn't react to mouse dragging in some cases
 759705 Sidebar broken in GNOME Disks
 759738 wayland: use a subsurface for GDK_WINDOW_TEMP if attached to ...
 759764 gtkinspector crashes app when selecting 'cancel' on initial p...
 759768 gtkinspector crashes app on termination, when selecting 'canc...
 759771 GdkSeat: Missing G_BEGIN_DECLS and G_END_DECLS
 759857 Signal name should not be translated
 759905 Popover: Invisible to events when we set transparent backgrounds
 759917 GtkStatusIcon: avoid criticals
 760018 Separator Tool Items with draw=false still get drawn
 760082 GtkBinding: Use correct CSS key in examples
 760097 GtkShortcutsWindow: Gestures not shown correctly in search re...
 760141 New gdk_cursor_new_from_name() fallback breaks behavior expec...
 760148 Duplication of word in document
 760169 GtkColorButton sensitive and insensitive appearances are bare...
 760188 GDK's X11 backend leaks SyncCounters
 760202 gtkbuilder: Install gettext ITS files
 760213 wayland: gdk_seat_grab() set cursor not resilient
 760238 Improve function documentation for gtk_css_provider_load_from...
 760314 gtkimcontextime.c: Silence gtk_style_context_set_state() warn...

* Translation updates:
 Brazilian Portuguese
 Czech
 German
 Hebrew
 Indonesian
 Norwegian bokmål
 Portuguese
 Slovak
 Spanish


Overview of Changes in GTK+ 3.19.5
==================================

* GtkShortcutsWindow:
 - GtkShortcutsGesture has been removed, since GtkShortcutsShortcut
   can now document gestures

* GtkFileChooser:
 - The places view now shows the available space when that information
   is available
 - Problems with remembering the dialog size have been fixed

* CSS changes:
 - CSS margins, border and padding are more consistently supported
 - Many widgets now support min-width and min-height
 - Many style properties have been superseded by CSS properties

* Adwaita:
 - Some visual updates and fixes

* Wayland:
 - DND with icon widgets is working properly

* GDK:
 - More of the DND implementation is now handled in GDK: creating the
   drag window, moving the window along with the cursor, the drag
   cancel animation.
 - GdkSeat is a new API that supersedes grabs on individual devices and
   is a better fit for backends like Wayland or Mir

* Bugs fixed:
 758929 GtkEntryCompletion should allow for changing the popdown delay
 759079 GtkComboBox triggers segmentation fault in update_menu_sensitivity...
 759081 Add 'nullable' to return type of gtk_cell_layout_get_area.
 759091 notebook tab stays hovered if mouse leaves slowly
 759092 GtkTextIter: add starts_tag() and deprecate begins_tag(), for cons...
 759168 wayland: Implement DND icon hotspot API
 759225 placesview: implement available space
 759260 [Adwaita:dark] menus on GtkTreeView barely visible because menu sh...
 759309 Add GdkSeat
 759323 gdk_display_get_pointer(): segfault if application client (core) p...
 729593 Add margin style property to GtkSwitch slider
 756191 GtkModelButton css padding not working
 708394 CSS - support min-width
 755947 wayland: gnome-terminal does not fill entire area when tiled

* Translation updates:
 Arabic
 German
 Polish
 Portuguese
 Slovak
 Spanish


Overview of Changes in GTK+ 3.19.4
==================================

* GtkPopover can now be instructed to stay within the toplevel window
  on platforms that don't already enforce this (such as Wayland)
 
* Wayland:
 - Memory leak fixes
 - Window positioning and sizing fixes
 - Clipboard and DND fixes
 - New build dependency: wayland-protocols

* CSS changes:
 - The -gtk-image-effect property was renamed to -gtk-icon-effect
 - Active spinners are now :checked, not :active
 - A -gtk-icontheme property has been added
 - A -gtk-icon-palette has been added to allow recoloring symbolic icons
 - Drag highlighting uses the new :dnd pseudoclass

* DND:
 - Make drag highlighting themable
 - Stop using RGBA cursors for drag icons (this only ever worked on X11)
 - Change the handling of drag windows to work on Wayland. The drag window
   implementation has been moved to GDK, with the new function
   gdk_drag_context_get_drag_window
 - Non-toplevel widgets can be used as drag widgets

* Bugs fixed:
 539944 Add GtkScaleButton API so struct fields can be marked as private
 732742 Infinite recursion on GdkDevice disposal
 735847 move animatable cursors' current frame info into GdkCursor
 747295 shared memory leak when creating/destroying widgets
 756618 GtkWindow CSD: gtk_window_resize() also includes client side deco...
 757147 gdk_pixbuf_get_from_window() doesn't honor device scale
 757282 "window: Ignore geometry widget" commit breaks gnome-terminal win...
 757474 Add option for automatic GtkPopover placement
 758483 GDK W32: Incorrectly uses SetWindowLong() to set/unset WS_EX_TOPM...
 758484 GDK W32: Some calls to W32 routines are rather unclear
 758563 play bar gets weird position in fullscreen under Wayland
 758609 Regression with firefox dropdown menu position
 758634 wayland: Use wayland-protocols for shared protocols
 758660 Copy and paste doesn't work in wayland session
 758661 every second right-click to window header is ignored (CSD-related?)
 758698 Bug backward search + case insensitive + preceding multi-byte cha...
 758713 Evolution cannot start on wayland if the clipboard contains data ...
 758790 A few stylistic icon-browser patches
 758901 wayland: old window size applied sometimes
 758908 The app chooser dialog uses a non standard icon and doesn't wrap ...
 758930 GTK+ spamming system logs with "doesn't match state" warnings
 758936 Widgets within an offscreen windows are blurry on wayland with hidpi
 759018 wayland: tests/testtooltips custom tooltip misplaced at (0,0) on ... 

* Translation updates:
 Polish
 Portuguese
 Spanish

 
Overview of Changes in GTK+ 3.19.3
==================================

* Theming changes
 - Non-standard CSS properties have been renamed to have a -gtk-
   prefix (the old names still work, with a warning):
     gtk-key-bindings is now -gtk-key-bindings
     icon-shadow is now -gtk-icon-shadow
 - CSS parsing errors and warnings are shown in the inspector

* GtkShortcutsWindow:
 - Widgets are more complete, to allow supporting them in glade
 - GtkShortcutsShortcut can now show gestures as well, GtkShortcutsGesture
   is no longer needed and will be removed soon
 - GtkShortcutsShortcut supports standard gestures, with predefined
   icons and subtitles

* Bugs fixed:
 746745 Window suddenly always on top
 758025 cursor flickering
 758094 GtkSpinButton missing redraw
 758187 Stock images for gestures
 758367 GTK+ 3 does not respect bold in org.gnome.desktop.interface font-name
 758407 Could not send the search request \ GDBus.Error:org.freedesktop.Tr...
 758442 gtk_style_context_save() destroys style information


Overview of Changes in GTK+ 3.19.2
==================================

* Most widgets have been ported to CSS nodes. The element names and
  the tree relationships are documented now. The Adwaita and HighContrast
  themes have been mostly kept up-to-date with these changes. Third-party
  themes and custom CSS will need adjustments.

* The inspector now shows CSS nodes and allows to manipulate them.

* Size allocation has been simplified to avoid excessive resizes of
  the entire window.

* GtkShortcutsWindow can now display direction-dependent shortcuts
  and sequences of keys.

* Support for native file chooser on Win32 when using the new
  GtkFileChooserNative API, and when using GtkFileChooserButton.

* The GtkFileChooser interface prerequisite was changed from GtkWidget
  to GObject to allow non-widget filechooser implementations.

* :focus-on-click has been moved from various subclasses to GtkWidget,
  so it is now available for every widget, in particular GtkListBoxRow.

* Bugs fixed:
 735341 Fix/improve gtk_text_buffer_get_iter_at_*() functions
 748904 wayland: map real modifiers to virtual modifiers
 756618 GtkWindow CSD: gtk_window_resize() also includes client side decorations...
 756625 segfault in captured_event_cb
 756670 Popover is shown below clutter widget after tab switch from Gtk.Notebook
 756978 Deadlock in the places widget
 757221 Memory leak in gtk-3.0.m4
 757269 Allow to make ListBoxRows not grab focus when activated
 757324 win32: handle WM_DISPLAYCHANGE globally
 757358 single touch devices are not detected as touch devices
 757377 settings.ini is only loaded from first XDG_CONFIG_DIRS entry
 757397 gtk_widget_set_name() doesn't properly refresh the style
 757805 gtkwindow: CSD windows not resizable in metacity
 757888 ShortcutsWindow: Support different keyboard shortcuts for LTR vs RTL loc...
 757950 Hanle double click better in the new file chooser
 757968 Typo in GtkCheckMenuItem
 757984 gtkimcontextsimple.c: Fix build on Windows
 758072 [Wayland] additional mouse buttons don't work
 758087 gtkcontainer: clarify requirements for implementations
 758208 GtkStackSwitcher should allow changing the icon size
 758327 gnome-disks segfault in gdkwayland get_popup_parent...
 758086 gtkstack: allow subclasses overriding properties on init
 758175 Fix character entity

* Translation updates:
 Hebrew
 Hungarian
 Norwegian bokmål
 Portuguese
 Scottish Gaelic
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.19.1
==================================

* Support for help overlays to document keyboard shortcuts and gestures
  has been added

* GdkAppLaunchContext is now setting the DISPLAY environment variable
  for X11

* Support for GL legacy profiles has been added back

* GTK+ now loads compose tables in the format used by XLib from
  ~/.config/gtk-3.0/Compose, ~/.XCompose and the X11 locale information

* GtkBuilder can now create GFile objects, for use in e.g. GFileIcons.

* New APIs:
 - GtkShortcutsWindow
 - gtk_text_tag_changed
 - gtk_settings_reset_property
 - gdk_rectangle_equal
 - gdk_gl_context_is_legacy

* A new commandline utility, gtk-query-settings, to query GTK+ settings,
  has been added

* Theming: Element names are now supported.
  A number of widgets have already been changed to use element names for
  the widget itself and its various subelements. This effort will continue
  in next development releases.
  This change will require adjustments in themes and custom css - as part of
  this transition, the element names and style classes in use are documented
  and will be stable going forward.

* Debugging: GtkInspector can now edit string-array-valued properties

* Wayland:
 - Fix transparent terminals
 - Fix treeview search popups
* Debugging: GtkInspector can now edit string-array-valued properties

* Wayland:
 - Fix transparent terminals
 - Fix treeview search popups
 - Fix CSD window resizing / moving

* Bugs fixed:
 721120 GtkIMContextSimple needs locale compose tables similar with X11.
 735341 Fix/improve gtk_text_buffer_get_iter_at_*() functions
 753371 Bad focus order in GtkFlowBox
 753992 im-quartz discard_preedit segmentation fault
 754983 Wayland: g_desktop_app_info_launch_uris_with_spawn() forces DISPLAY...
 755008 API to reset a gtksettings property
 755413 Bug in _gtk_text_btree_get_iter_at_last_toggle()
 755416 Be able to subclass GtkTextTag cleanly
 755654 mmc/sd drive does not appear in Nautilus
 755791 GtkSwitch: unclip css box-shadow on the slider
 755927 Occasional "stuck key" after closing window using keyboard shortcut...
 755988 gtk printer dialog won't print jobs with names exceeding 255 charac...
 756042 GtkAssistant: Segfault after g_object_run_dispose(page)
 756142 Bring back support for legacy OpenGL contexts
 756160 Crash/segfault when dragging tabs (after 2nd/3rd/4th+ drag)
 756174 Add a tool to inspect all xsettings from the command line
 756195 GtkColorChooser: Plus/checkmark icons are blurry in hidpi
 756338 applications segfaults on 3.18.1 when using external themes
 756428 Add a help overlay widget
 756439 Regression: Critical warning "g_app_launch_context_get_display: ass...
 756449 GtkTextHandle artifacts under Wayland
 756496 wayland: Make it possible to use a window type hint to map as a sub...
 756505 Entering a dot removes all other characters from input
 756568 Some improvements to gtkplacesview
 756589 Improve the heuristics for external drives
 756618 GtkWindow CSD: gtk_window_resize() also includes client side decora...
 756625 segfault in captured_event_cb
 756751 Keypad decimal point patch prevents entry of comma in german keypad...
 756770 GTK+ 3.18.2 doesn't compile on OS X 10.6 (but so close!)
 756852 GtkInspector segfaults when you respond to a GtkFileChooserDialog
 756881 Guard against selection requestor disappearing
 756886 The GtkWindow patch here is necessary to make transparent terminals...
 756780 wayland: Fix GtkTreeView's search window
 757147 gdk_pixbuf_get_from_window: honor device scale

* Translation updates:
 Basque
 Czech
 German
 Norwegian bokmål
 Slovak


Overview of Changes in GTK+ 3.18.1
==================================

* Speed up rounded rectangle drawing by caching arcs

* Make popover animations faster

* Bug fixes:
 582747 Print dialog sets wrong printer options
 751368 wayland: gnome-terminal does not fill entire area when fullscreen...
 751787 Images of refresh button and logo are pixelated on scaled outputs
 753628 user options of wrong printer are used
 755038 Add some (nullable) annotations to gtkmain.c
 755215 Crash when renaming a sidebar’s folder (function that shouldn’t b...
 755268 [HighContrast] GtkPlacesSidebar’s “eject” button should probably ...
 755432 gtkapplication: segfault when destroying window
 755435 Optimize GtkPopover positioning
 755444 Rename bookmark crashes nautilus
 755455 undefined reference to `__builtin_popcount'
 755473 segfault freeing popover from no parent
 755528 Popover transitions are rather slow
 755691 /bitmask/invert_range_hardcoded test fails
 755692 gtk-demo bad return value for the callback function for the "comm...
 755926 Directory navigation awkward with search in the file chooser
 755931 File chooser: interactive search drops the 1st character when use...
 755954 Crash when accessing Gtk.Application.add_window()
        Robustness fixes in GtkAppChooser
        Avoid showing duplicate entries in GtkAppChooser
        Inspector: ellipsize accessible names

* Translation updates:
 Arabic
 Bosnian
 Finnish
 German
 Hebrew
 Irish
 Italian
 Khmer
 Kikongo
 Russian
 Serbian
 Serbian Latin
 Tajik
 Uyghur
 Vietnamese


Overview of Changes in GTK+ 3.18.0
==================================

* Speed up shadow drawing by caching corner shadows

* Memory leak fixes

* Bugs fixed:
 681965 Clean up the autotools files on the parts used for Visual C++...
 754098 Cannot resize window with destroyed EventBox
 754629 gtk-demo: $(EXEEXT) is missing
 754745 overlay scrollbar shouldn't hide when the slider is being grabbed
 754952 gdk_pixbuf_get_from_window: always returns same image
 755021 context menu in empty file folder -> crash
 755274 test-simplify uses bashism in /bin/sh script
 755352 Crash on widget destruction during event handling

* Translation updates:
 Brazilian Portuguese
 Czech
 Danish
 French
 Greek
 Hungarian
 Japanese
 Kazakh
 Latvian
 Lithuanian
 Norwegian bokmål
 Persian
 Russian
 Serbian
 Serbian Latin
 Spanish
 Swedish
 Turkish


Overview of Changes in GTK+ 3.17.9
==================================

* GtkPopover has been changed back to not inherit its style
  from the widget it is attached to

* The Ctrl-K key binding has been dropped from GtkEntry to avoid
  conflict with a firefox shortcut

* Theme
 - Adwaita: fixes for rubberbanding, icon view highlighting
 - HighContrast: fixes for path bar, linked entries, color button

* Wayland
 - Fix assertions when using GL

* gtk3-demo can now launch individual demos from the commandline

* Various optimizations
 - Use g_object_notify_by_pspec
 - Reduce g_return_if_fail in internal APIs
 - Speed up some bitmask operations
 - Avoid some copies in inner loops
 - Make better use of GQuarks
 - Use CAIRO_CONTENT_COLOR when possible
 - Avoid allocations and referencing during repaint
 - Stop sending Expose events for most widgets
 - Avoid ::draw and ::size-allocate signal overhead when possible

* Bugs fixed:
 753431 Scroll events from wireless mouse are ignored
 753628 user options of wrong printer are used
 754143 Popover and GLarea crash on wayland
 754410 "Open" popover item on selected sidebar row does nothing
 754411 sidebar row popover confusing with bookmarks with short names
 754535 Cursor disappears only on adding characters
 754559 GtkFlowBox: bad allocation of the children in RTL locales
 754658 GtkTextView should always use RGB (no-alpha) when drawing to pi...
 754687 Drop the GSlice allocator
 754746 Add afp and google-drive to list of remote filesystems
 754770 GtkGLArea and gtk_window_present() crash on Wayland
 754854 unexpected background color in tray icon
 754866 [HighContrast] GtkListBoxRow should have the same height than i...
 754928 Broken .ui translations
 754987 Inspector can't show GtkAdjustments anymore
 754839 wayland: Make subsurface desynchronized after first parent surf...

* Translation updates:
 French
 Greek
 Kazakh
 Korean
 Lithuanian
 Norwegian bokmål
 Polish
 Portuguese
 Slovak


Overview of Changes in GTK+ 3.17.8
==================================

* GtkFileChooser:
 - Show network:/// in the places view
 - Provide better loading feedback

* GtkTextView
 - Fix fallout from margin/padding addition

* GtkOverlay
 - Always align widgets relative to the overlay, not to the
   main widget

* GtkListBox
 - Support focusable headers

* Theme
 - Improve performance of GtkListBox
 - Better GtkCalendar theming

* Wayland:
 - Make most tests work under Wayland
 - Closing displays works now
 - Fix key repeat sometimes running wild

* Bug fixes:

 345345 PrintOperation::paginate is not emitted for class handler
 736125 The default gtk accelerator mod mask does not include all  ...
 752615 listbox: Model items changed doesn't take sorting into account
 753185 gdk_device_get_source: assertion 'GDK_IS_DEVICE (device)' f...
 753357 [HighContrast] Days of a different month in GtkCalendar sho...
 753495 Kinetic scrolling events still reach the GtkScrolledWindow
 753644 Switching from Multipress input method to None immediately ...
 753694 GtkListBox: Assumes all focusable widgets are GtkListBoxRow...
 753786 Implement high priority improvements for gtkplacesview
 753815 scroll fix with margin/padding
 753856 wayland: Only bind supported unstable pointer gestures global
 753925 Remote volumes and mounts get shuffled around
 753969 check if a folder is accessible
 754022 Remote locations have different actions (and icons)
 754086 String marked as properties
 754133 Gtk:ERROR:gtkfilechooserwidget.c:8495:post_process_ui: asse...
 754150 places view network header spinner is borked
 754158 wayland: Don't broadcast selection owner changes
 754410 "Open" popover item on selected sidebar row does nothing
 754421 settings: annotatiion typos suppress deprecation notices fo...

* Translation updates
 Catalan
 Chinese (Taiwan)
 Galician
 Greek
 Hebrew
 Hungarian
 Indonesian
 Lithuanian
 Polish
 Portuguese
 Slovak
 Spanish
 Turkish


Overview of Changes in GTK+ 3.17.7
==================================

* GtkFileChooser:
 - Various refinements to the places view

* GtkFontChooser:
 - Make Escape stop search
 - Various other keynav improvements

* GtkColorChooser:
 - Make it possible to start with the editor

* GtkTextView:
 - Support top margins
 - Use CSS padding from the theme

* GtkFlowBox:
 - Allow using a GListModel

* GtkCellRendererText:
 - Support alpha in foreground color

* Theme and CSS:
 - HighContrast theme improvements

* GDK:
 - Add support for touchpad gesture events

* OS X:
 - Implement CSD resize for all corners and edges

* Wayland:
 - Support touchpad gestures

* Bugs fixed:
 737804 Setting files on a GtkFileChooser twice before mainloop throws...
 752814 Fix build of gtk/gtkcsstypesprivate.h
 753329 quartz: Implement CSD drag resize for all edges/corners
 753357 [HighContrast] Days of a different month in GtkCalendar should...
 753391 [HighContrast] GtkPlacesSidebar:backdrop is white-covered on t...
 753392 listbox: Avoid using show_all on rows
 753451 GtkLinkButton's context menu has underlined labels
 753568 popover: Optimize the transition
 753621 wayland: calculate screen physical size
 406159 gtk text view widget doesn't have set_top_margin function
 746435 wayland: Use g_get_prgname() to get the xdg_surface.set_app_id string

* Translation updates:
 Catalan
 Galician
 Lithuanian
 Norwegian bokmål
 Portuguese
 Slovak
 Spanish
 Turkish


Overview of Changes in GTK+ 3.17.6
==================================

* GtkFileChooser:
 - Handle ., / and ~ in the location entry
 - Improve keyboard navigation in save mode
 - Don't search recursively in remote locations
 - Allow activating without double-click

* GtkFontChooser:
 - Bring back a lazy loading optimization that was lost

* GtkWindow:
 - Fix handling of window states before the window is mapped
 - Add API to fullscreen on a given monitor

* GtkTextView:
 - Support font features on tags

* Theme and CSS
 - Various HighContrast theme fixes and improvements
 - Reduce redraws caused by irrelevant style changes

* gtk-demo gained some more examples

* GtkInspector
 - Show wayland display information
 - Show monitor information
 - Preserve the selected object when rescanning the object tree

* X11:
 - Make copy-paste work across multiple screens again

* OS X:
 - Fix maximization
 - Fix winodw shadows
 - Implement notebook tab DND
 - Hi-dpi icon fixes

* Bugs fixed:
 579466 gtk_entry_completion_insert_action documentation is misleading
 610925 GtkFileChooserDialog won't pick show-hidden setting from a ...
 652085 CSS cursor support
 721398 clipboard not working across screens
 734984 CSD windows have incorrectly sized shadows
 741685 Invalid memory read on resizing window
 746491 [HighContrast] GtkSpinButtons are looking bad
 748772 Use new pango_fc_font_map_config_changed()
 749339 [Wayland] Gdk-CRITICAL **: gdk_window_get_display: assertion ...
 751721 No release event for shift key when both shift keys were pressed
 752327 second right-click on header bar buttons brings WM menu, and ...
 752577 infinite loop on using nautilus menu
 752633 Several GtkPlacesSidebar methods need better documentation
 752638 notebook tab dragging doesn't work on Quartz (patches included...
 752664 Inspector only shows widget tree if created after startup
 752677 x11: implement fullscreen_on_monitor
 752707 Location bar navigation to parent directories
 752708 File chooser in SAVE mode should accept "foobar/" to navigate
 752761 GtkMenu: Properly detach menu when the window is detached
 752765 GtkWindow: queue states if not mapped not if not realized
 752810 Doubled spacing in string
 752875 wayland: Fix initial fullscreen monitor support
 752920 GtkLabel's warnings when parsing the markup failed are unhelpful
 752960 [HighContrast] GtkPlacesSidebar needs padding (?) around icons
 752965 [HighContrast] GtkLinkButton is similar to a non-interactive label
 752969 [HighContrast] GtkCheckMenuItem:prelight:checked should be whit...
 752975 [HighContrast] selected row of backdrop GtkTreeView should prob...
 752977 [HighContrast] clicked header of a GtkTreeView is all black
 752978 [HighContrast] label of a GtkProgressBar should probably be black
 753048 GtkImage leak when a GtkButton subclass calls gtk_button_set_im...
 753051 [HighContrast] double border for the “add custom color” button
 753060 [HighContrast] switching from sensitive to insensitive resizes ...
 753130 inspector should keep object tree expanded to the selected object
 753138 wayland: Invalidate our gtk_surface when we're unmapped
 753142 File icons in the filechooser listview only appear 1 out of 2 t...
 753230 Adwaita: odd insensitive calendar
 753256 Don't handle key event when nothing happens
 753284 GtkFileChooser segfault when compiling with clang

* Translation updates:
 Catalan
 Czech
 Greek
 Hebrew
 Polish
 Portuguese
 Slovak


Overview of Changes in GTK+ 3.17.5
==================================

* GtkFileChooser:
 - Always search in the current location, and indicate this in
   the subtitle. Show progress for long searches, and show a nice
   empty state.
 - Make search in recent files work
 - Fix sorting order of recent files and search results
 - Various improvements to keyboard navigation:
   - Ctrl-F toggles search
   - . opens location entry
   - Alt-P focuses the sidebar
   - Escape stops search and closes the location entry
 - Move the name entry to the header bar in Save modes
 - Don't show Trash and Recent in the sidebar in Save modes
 - Allow renaming and deleting files in Save modes
 - Improved sizing behavior of columns
 - Improved formatting of the time and location columns
 - Time column can show date and time
 - Move fixed and network drives and volumes from the sidebar
   to a new view that also allows to connect to remote servers
 - Use popovers for context menus and support long press to make
   them accessible with touch

* GtkScrolledWindow
 - Keep scrollbars below treeview headers
 - Switch the roles of secondary and middle click on scrollbar steppers
   - Primary click starts low-speed autoscrolling
   - Secondary click start high-speed autoscrolling
   - Middle click scrolls to the end
 - Tweak button bindings on scrollbars (and scales)
   - Primary click warps to the location
   - Primary click with Shift jumps by pages
   - Secondary click starts variable-speed autoscrolling

* Theme and CSS
 - GtkSwitch has a new slider-height style property to make square
   switches possible
 - Support CSS letter-spacing for labels and entries
 - Partial support for CSS text-decoration

* Font handling
 - Per-widget font options and font maps are supported now

* gtk-demo has various new and improved examples

* X11
 - Fix rendering stalls over remote ssh connections

* Wayland
 - Various fixes to make Copy-Paste and Drag-and-Drop work better
 - Ignore size increments for maximized and fullscreen windows
 - Fix cursor handling in hi-dpi

* Mir
 - Various fixes and improvements

* Broadway
 - Windows can now be maximized

* OS X
 - Support windows with a fixed aspect ratio

* Bugs fixed:
 325150 Save As dialog cannot delete or rename files
 593372 save dialog treats trailing spaces literally
 720684 "Places" panel in Open File Dialog should should have a mnemonic...
 741800 GTK3 apps have huge rendering pauses/hangs over SSH connection
 748892 wayland: focus issue with gnome-terminal
 750870 gtk3 does apparently ignore replayed events?
 750994 X11: First mouse wheel event ignored after right click or Alt+Ta...
 751341 GtkWindow: fix default empty window size with CSD
 751368 wayland: gnome-terminal does fill entire area when fullscreen or...
 751401 crash on DnD
 751414 File descriptor leak in gdk_wayland_selection_request_target()
 751443 resource_path value cleared in gtk_image_set_from_resource
 751447 GtkSearchBar takes up half the height of gnome-system-monitor's ...
 751448 Bookmarks sometimes disappear when dragging them away
 751625 build error with pure wayland
 751677 per-widget font options
 751689 switch: add a style property for the switch height
 751739 Deadlock in X11 when setting XSetErrorHandler while another thre...
 751752 Memleak when both opening shm and opening file in tmp fail
 751754 GtkSwitch: calling gtk_switch_set_active in the handler for noti...
 751793 DnD: Look up past insensitive widgets for the DnD drop site
 751800 Warn for whitespace at beginning or end of new folder names
 751805 Avoid the scrollable border when placing scrollbars
 751811 improve the font_options setter
 751877 gtkdrawingarea: crash when drawing a video
 751910 Headerbar - Buttons doesn't work until focus is changed
 752000 GtkApplication vs. _NET_WM_USER_TIME
 752016 testgmenu: use the menu binding code
 752025 wayland: print correct coordinates during DnD
 752034 Delegate permanent devices and connected networks from Places Si...
 752088 Improve GtkImageMenuItem documentation to reflect deprecation st...
 752093 Improvement to GtkImageMenuItem long description and code snippet
 752131 GtkButtonBox has spacing between buttons by default when set to ...
 752509 GtkFileChooserButton causes layout jumps
 752520 Crash getting a NULL visual in glx_pixmap_get
 309300 Add a key binding for adjusting the value in a spin box
 725551 GTK FontChooserWidget should show a placeholder text in the empt...
 751812 add gtk_widget_set_font_map
 752502 Documentation fix for GdkGLContext
 752616 wayland: Always apply scaling factor to cursor hotspot and dimen...
 752599 GtkDrawingArea: Only respects background-color if "draw" signal ...


* Translation updates:
 Czech
 Greek
 Hebrew
 Hungarian
 Polish
 Portuguese
 Slovak
 Spanish


Overview of Changes in GTK+ 3.17.4
==================================

* GtkStack animates size changes

* GtkListBox and GtkFlowBox support positional css selectors
  like :first-child, :last-child and :nth-child

* GtkPlacesSidebar has been rewritten to use GtkListBox

* Touch selection in GtkTextView and GtkEntry has been greatly
  improved

* There's now a way to have output-only windows, and this is
  used by GtkOverlay for pass-through overlays

* Bug fixes:
 724506 Do not animate and notify during destroy
 725441 Print Dialog: Add support for PPD-less printing on IPP printers...
 745957 GTK+/Quartz >= 3.14.8: Symbol not found: _gtk_drag_cancel (MyPa...
 747793 Implement part of bookmarks mockups
 748951 popup menus are being displayed at wrong position
 749650 Slider tick marks affect vertical positioning
 749717 wayland: Position popups relative to the parent surface
 749737 DnD breaks button-released events. (Setting a widget as DnD sou...
 750058 bad options for the keybindings in css instructions generate a ...
 750068 "Recent" shortcut is missing from the left pane in the file cho...
 750338 gtkrevealer: add css padding support
 750343 CSD enabled unconditionally for windows with titlebar
 750384 GtkDialog can not be moved when gtk_dialog_run from GtkListBox ...
 750396 make text selection widgets feel more interactive
 750424 GtkPlug has extra space around window
 750477 GtkFileChooserButton's label isn't xalign=0'ed
 750489 gtk settings c910 warning unexpected annotation element type co...
 750505 Main grid overlaps GtkPopover
 750568 Add support for windows that are transparent wrt input
 750605 icontheme: don't modify symbolic SVG dimensions when recoloring
 750631 GtkAssistant: Allow to set a page with no padding
 750690 Recent Chooser Widget doesn't expand
 750692 Touch text selection: magnifier can't be seen, obscures drag ha...
 750718 Improve documentation for deprecated properties
 750741 Popover spawned from within another popover gets stacked behind...
 750883 HighContrast: add suitable touch selection handle assets
 750888 Fix return value error in _gtk_text_handle_set_direction
 750892 testfontchooserdialog.c requires pangoft2
 750993 non-modal popovers within modal popovers are non interactive
 751018 Widget: GtkMenuButton+GtkPopover gtk_toggle_button_set_active()...
 751050 Moving the mouse while a stepper is activated causes the scroll...
 751082 GtkTreeView draw performance is bad when contents are not large...
 751084 Wrong padding/spacing in the new bookmark sidebar in RTL
 751098 wayland: Always request transient commit when mapping subsurface
 751099 Fix return value error in gdk_window_set_pass_through
 751169 Improve search performance
 751341 GtkWindow: fix default empty window size with CSD

* Translation updates:
 Catalan
 German
 Greek
 Hebrew
 Hungarian
 Occitan
 Spanish
 Tajik


Overview of Changes in GTK+ 3.17.3
==================================

* Respin to fix the tarball

Overview of Changes in GTK+ 3.17.2
==================================

* GtkFontChooser:
 - Allow custom font maps, to support application-specific fonts
 - Improve the 'no search results' page

* GtkFileChooser:
 - Change simple search engine to search breadth-first
 - Make the simple search engine use GIO, so it works on
   remote shares too
 - Merge results from the tracker and simple search engines
 - Add a 'no search results' page

* GtkPlacesSidebar:
 - Use a popover for renaming bookmarks

* GtkPopover:
 - Add support for default widgets

* GtkScrolledWindow:
 - Support kinetic scrolling on touchpads

* GtkBuilder:
 - Improve error reporting
 - gtk-builder-tool can validate templates
 - gtk-builder-tool can enumerate named objects

* gtk3-demo:
 - New cursors demo
 - New page setup demo
 - Builder demo ported away from GtkUIManager

* GDK:
 - Make css cursor names work across backends

* Windows:
 - Require Vista or newer
 - Support RGBA windows
 - Support css cursor names
 - Support animated cursors
 - Add cursor theme support. To take advantage of this, you will need
   a new adwaita-icon-theme with Windows cursors.

* Wayland:
 - Remove assumptions on ordering of globals in startup
 - Improve DND support in various places
 - Support css cursor names

* X11:
 - Support XRANDR 1.5 monitor objects
 - Support css cursor names

* OS X:
 - Support css cursor names

* Bugs fixed:
 619493 Mark two functions from GtkAdjustment's public API deprecated
 693738 gtk print dialog shows "Getting printer information failed"...
 719683 Escaping issue "Failed to set text from markup due to error...
 719819 Wayland backend depends on ordering of globals in the displ...
 727316 W32: GDK does not support per-pixel alpha-blended windows
 744086 configure.ac: Pull gio-unix dependency for all unix builds
 746916 File chooser search does not work over remote network shares
 747150 hint for vertical writing mode to input method
 747634 gdk_set_program_class() breaks --class
 747664 GtkEntry:activates-default should work inside of popovers
 748234 Useless "Gtk-WARNING **: No object called:" warning message...
 748615 GtkWindow: Get the correct shadow width even before window ...
 748640 Documentation misses out example source files when not buil...
 748771 Add API to attach custom PangoFontMap to a font dialog inst...
 748782 fontchooser should reload list of families/styles on theme ...
 748783 Remove PANGO_ENABLE_BACKEND from gtksettings.c
 748784 GtkProgressBar text cannot be superimposed on the progress bar
 748833 Define GdkRectangle structure just for introspection parsing
 749009 notify test fails without a session bus
 749012 GtkStack: Don't emit notify::visible-child during destruction
 749021 GtkStackSwitcher: Don't emit notify::visible-child when set...
 749178 quartz: Support css cursor names
 749425 Memory leak in GtkWindow
 749451 Windows have no border
 749593 Miscellaneous test fixes
 749679 Avoid device position queries during DnD
 749770 Implement kinetic scrolling for libinput-managed devices
 748763 warnings when starting drag from GtkEntries
 749893 Crash when trying to drag a tab from a populated GtkNotebook...

* Translation updates:
 Catalan
 Czech
 French
 German
 Hebrew
 Hungarian
 Norwegian bokmål
 Occitan
 Polish
 Russian
 Slovak


Overview of Changes in GTK+ 3.17.1
==================================

* Themes:
 - Many HighContrast theme improvements
 - Stronger entry focus in Adwaita
 - Improve client-side decorations without a compositor

* Scrolling:
 - Support horizontal wheel scrolling with Shift
 - Make indicators pop up reliably
 - Detect more trackpoints
 - Handle pens, erasers and similar devices

* GtkTextView:
 - Support underline and strikethrough color

* GtkFileChooser:
 - Open location entry more easily
 - Ensure a directory is loaded
 - Use a popover for new folder names

* GtkBuilder:
 - Improve error messages
 - Add a gtk-builder-tool utility for ui file validation

* Inspector:
 - Show accessible name and description
 - Add a tab for CSS nodes

* Wayland:
 - DND and clipboard fixes
 - Support attached modal dialogs with mutter

* Windows:
 - Drop XP support
 - Support horizontal mouse wheel scrolling

* Bugs fixed:
 132197 Horizontal Scrolling Using Modifier Key and Scroll Wheel
 402168 Add underline-color and strikethrough-color to GtkTextTag properties
 671362 Fixes for GtkRadioMenuItem
 723394 const parameter to GtkPopover gtk_popover_set_pointing_to
 734741 GtkScale's fill-level starts at the very left if show-fill-level is set
 737175 most horizontal sliders are inverted when scrolled with mouse wheel
 741849 Add GdkScreen->is_composited() for GDK-Win32
 745721 wayland: Add support for gtk_window_set_modal
 746149 “Close tab” buttons change the tab high on hover when using HighContrast
 746188 [HighContrast] insensitive ModelButtons are not drawn insensitive
 746202 Provide a stronger focus indication for entries
 746301 Opening "Sound" panel generates pixman error
 746358 [HighContrast] insensitive active backdrop GtkSwitches should probably...
 746368 [HighContrast] the “selected color” mark is always black, even for black
 746369 [HighContrast] “no date selection” (white on white)
 746370 GtkExpander doesn't show it is expanded when using HighContrast theme
 746386 clipboard crash when other client becomes the selection owner
 746435 wayland: Use g_get_prgname as the xdg surface application id
 746468 gtkcairoblur is slow
 746493 [HighContrast] Labels’, RadioButtons’ and CheckButton’s texts are not...
 746586 crtical warnings in a11y if focus widget is destroyed
 746602 Invalid writes through dangling weak pointers in DND code cause crashes
 746668 Some legacy GL calls are still made by X11 backend
 746688 GtkProgressBar doesn't respect its style properties
 746706 Serious accessible event spewage from Gtk+ table cells
 746712 Range ignores the "inverted" property
 746746 gtk3-demo 'OpenGL Area' crashes on systems with old OpenGL version
 746784 GtkBooleanCellAccessible emits state-changed:checked signals instead...
 746817 GtkRadioButton keynav uses wrong succession
 746821 W32: Maximized window is obscured by the taskbar
 746862 popover clears shadow of underlying widgets
 746893 gtk_list_box_bind_model is not introspectable
 746904 make it possible to disable libcanberra
 746925 [HighContrast] Backdrop active (sensitive) GtkSwitch should look more...
 746961 new scroll bar "hides" after click+drag+release while mouse is still...
 747096 small cleanup in textbuffer clipoard handling
 747121 gtklabel.c: add note about set-markup property in gtk_set_markup()
 747133 overshoot animation is stopped on libinput-managed touchpads
 747288 [HighContrast] Insensitive backdrop ListBoxRow have an unnecessary border
 747305 x11/gl: Use after free in glx_pixmap_get()
 747406 Fix indicator proximity checks
 747407 Make indicators pop out when needed
 747469 CSD: can't open window menu using right click after moving window
 747471 [wayland] gdk_screen_get_monitor_geometry() returns invalid geometry
 747524 System tray icons fail to redraw correctly on Xfce (without display...
 747539 popover: Remove signal handlers in dispose
 747553 Popovers inside local plugs don't get size_allocate() called
 747560 Redefinition of typedef GtkCssNode
 747604 Fix build of gtk/inspector/css-node-tree.c
 747608 Scrollbar hiding / unhiding does not work with a stylus
 747689 [HighContrast] Selected ListBoxRow’s Label is white on white
 747805 Split Headerbar unmaximize
 747808 window: fix initial shadow width for maximized/fullscreen windows
 747827 firefox scrollbars broken
 748013 Adwaita: keyboard navigation outline on first/last button in dialog...
 748014 W32: Tilting mousewheel left/right does not scroll horizontally
 748061 GtkMessageDialog: Minor documentation update
 748156 Code cleanup after xp drop
 748341 GdkOffscreenWindow should not segfault on gdk_window_beep()
 748346 build: Avoid xgettext crash on MSYS2
 748500 GtkSearchEntry docs incorrectly link to themselves
 748509 FTBFS: ui/dialog6.ui is not present

* Translation updates:
 Arabic
 Basque
 Brazilian Portuguese
 Breton
 Bulgarian
 Catalan
 Czech
 Danish
 Dutch
 German
 Greek
 Hebrew
 Hungarian
 Icelandic
 Italian
 Korean
 Norwegian bokmål
 Russian
 Serbian
 Slovenian
 Swedish
 Turkish
 Ukrainian


Overview of Changes in GTK+ 3.15.12
===================================

* GtkMenuButton:
 - Improve accessible names

* GtkCellRendererPixbuf:
 - Always follow state changes, the ::follow-state property
   is now ignored. This is necessary to make HighContrast
   and symbolic icons remain visible e.g. in selected rows.

* GtkEntry:
 - Rework the size allocation code to be less arcane. This
   changed the semantics of the get_frame_size() vfunc. GtkEntry
   subclasses that override this vfunc may need adjustment.

* Wayland:
 - Support hi-dpi cursors

* Bugs fixed:
 745829 crash when double-clicking close button while popover...
 746141 wayland: Support HiDPI pointer cursors
 746192 Insensitive backdrop ToolButtons are not drawn correctly
 746201 Sidebar icons are black on black in HighContrast theme
 746202 use insensitive color for unfocused selected items
 746205 gemfile: needs add source rubygems.org
 746282 pixman warnings after recent changes
 746301 Opening "Sound" panel generates pixman error

* Translation updates:
 Bosnian
 Bulgarian
 Catalan
 Danish
 Punjabi
 Slovenian
 Swedish
 Vietnamese


Overview of Changes in GTK+ 3.15.11
===================================

* Go back to requiring GTK_FRAME_EXTENTS support for CSD,
  to fix shadow problems in KDE.

* Bug fixes:
 535929 Fix warnings from xReply test in configure.in
 577862 FileFilter name not set
 669008 Kerberos authentication popup
 712760 Clang static analysis fixes
 739070 Undefined reference to get_xkb() when building with --disable-xkb
 744288 gdk_gl_context_set_required_version() handles version requests...
 744589 nautilus bookmarks changing places randomly
 745065 GtkPrintOperation dialog creation fails when GTK is locally loaded
 745463 Search suggestions are not shown in Clocks / Weather
 745479 Tracker search in file chooser causes a crash
 745562 gedit titlebar is no longer draggable
 745578 sincos is not portable
 745622 Selected text not highlighted in GtkInfoBar
 745721 wayland: Add support for gtk_window_set_modal
 745918 add padding to textview in CSS section of GtkInspector
 745969 CSD windows cannot be moved immediately after being resized
 746013 Invalid write of size 8
        Print dialog: Fix icons in HighContrast
        Fix selected menu items in HighContrast
        App chooser: Fix icons in HighContrast

* Translation updates:
 French
 Galician
 Kazakh
 Korean
 Lithuanian
 Polish
 Slovak
 Swedish


Overview of Changes in GTK+ 3.15.10
===================================

* GtkFileChooser:
 - Don't start search too eagerly
 - Use fts with tracker
 - Make tracker queries more similar to nautilus

GtkWindow:
 - Improve window dragging on header bars

* Printing:
 - Make avahi-browsed printers work
 - Set printer state correctly

* Wayland
 - Exit cleanly if the compositor goes away
 - Don't ignore early maximization/fullscreening
 - Make subsurface popovers work under Weston

* GL
 - Port GdkGears example to modern OpenGL

* Bugs fixed:
 741511 Critical message: NULL is passed to g_object_unref() in spi_...
 743323 avahi-discovered CUPS printers don't work
 743427 subsurface-using popovers don't work on Weston
 744879 Another core dump when clicking the Back button
 745225 eventcontroller: Don't crash if the widget is destroyed first
 745263 The Open button in the new file chooser is too low/thin
 745289 wayland: do not use g_error() on connection errors
 745303 Wayland: Initial setup window is not maximised
 745344 overlay scrollbar fail
 745400 fix a couple of issues in gdkglcontext-win32
 703610 Problems with UC-Logic WA60 tablet
 729366 Changes to folder name are not shown when creating new fol...
 745315 Overshoot deceleration causes WebKitGTK1 web view to jump ...

* Translation updates
 Afrikaans
 Czech
 French
 Greek
 Hebrew
 Hungarian
 Kazakh
 Lithuanian
 Polish
 Slovak
 Spanish
 Vietnamese


Overview of Changes in GTK+ 3.15.9
==================================

* GtkScrolledWindow
 - Avoid 'jumping' when zoom scrolling kicks in
 - Make zoom scrolling less easy to trigger
 - Make steppers use smooth autoscrolling

* Input methods can now be turned off entirely, which
  can be useful to free up the Ctrl-Shift-u shortcut

* Add some DND support to gtk3-icon-browser

* Bugs fixed:
 696505 Segfault on Windows x64: gtkstatusicon.c tries to put 64-bit...
 744942 quartz: Avoid segfaulting when calling gdk_window_ensure_native
 744991 Fix loading of GResource SVGs
 745052 Icon theme code assumes directories with mtime 0 don't exist
 745076 Various DPI and OpenGL related fixes in the Wayland backend
        Fix crash and miscalculation in css bitmask manipulation
        Fix a crash due to too large surfaces

* Translation updates
 Chinese (Taiwan)
 Hebrew
 Hungarian
 Galician
 Greek
 Slovak
 Spanish


Overview of Changes in GTK+ 3.15.8
==================================

* CSS
 - Support animated font weight changes

* GtkScrolledWindow:
 - Ensure indicators appear in the correct place

* Wayland:
 - DND fixes

* GtkPopover:
 - has a map/unmap animation now

* Bugs fixed:
 743647 image-missing is missing from libgtk's resources
 744054 Clarify documentation for event propagation a...
 744683 Tooltips should have ATK_ROLE_TOOL_TIP (like ...

* Translation updates
 Galician
 Hebrew
 Hungarian
 Italian
 Norwegian bokmål
 Punjabi
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.15.7
==================================

* GtkListBox now supports models with gtk_list_box_bind_model

* GtkNotebook has a new function to support tab dnd

* GtkSidebar was renamed to GtkStackSidebar to better convey what it does

* GtkFileChooser now has a location column for search

* GdkGLProfile has been removed

* Bugs
 695945 implement minimize / maximize functionality
 708320 listbox: Update the cursor row when the row's child gets focus
 741946 OpenGL context should allow for GL attribute selection
 743350 main: Make gtk_get_option_group() available to bindings
 744148 gtk: x: fix compilation without x11 backend
 744172 Wayland: Clients won't work on compositors that support wl_seat < 4
 744204 File chooser in gedit try to open directory instead of navigatin...
 744394 GtkGLArea documentation does not reflect changes in the api
 744400 Add specific CSS class for the close/minimize/maximize button
 744407 Can't support core 3.2 gl context on llvmpipe
 744455 wayland: Update to xdg-shell unstable v5

* Translation updates:
 Hungarian
 Norwegian bokmål
 Slovenian
 Spanish
 Turkish


Overview of Changes in GTK+ 3.15.5
==================================

* GTK+ types now support the GLib g_autoptr() facility for
  automatic cleanup of automatic variables. GTK+ itself does
  not use g_autoptr() internally.

* GtkSearchEntry has gained ::next-match, ::previous-match
  and ::stop-search signals and a gtk_search_entry_handle_event()
  function, which help in providing a richer search experience
  and make search entries usable outside of GtkSearchBar.

* GtkFileChooser:
 - The search has been reintegrated in the UI, there is now
   a toggle button on the header bar to go to search mode,
   in addition to the Alt-S shortcut.
 - The file chooser button now accepts files by drag-and-drop properly.

* GtkScrolledWindow has gained a new ::edge-reached signal, which
  triggers when the edge of the scrollable area is reached.

* CSS:
 - Performance improvements

* OpenGL:
 - It is now possible to specify the required GL version, as well
   as some other options (debug, forward compatible) when creating
   a GdkGLContext
 - Support for the OpenGL legacy profile has been dropped. Most examples
   have been updated, with the exception of gdkgears, which will be fixed
   in the next snapshot
 - Use shader version 1.50

* Mir backend: Many improvements

* Bugs fixed:
 712752 GtkClipboard: add _get_default and _get_primary
 725164 [crash] update_current_folder_get_info_cb at gtkfilechooserwidget.c
 732051 Crash can result if a child widget is destroyed while its tab is...
 735316 Default font antialiasing results in wrong behavior on OS X
 740336 Wrong (white) background colour in notes grid
 740613 XConvertSelection crashes Gtk+ apps
 742636 Freeze if window closed while resume-events pending
 742953 GdkGLContext will not create a core context
 743146 Crash in gdk_gl_texture_from_surface() when a GtkGLArea is packe...
 743193 Fix transfer annotation for tree_model parameter of gtk_tree_get...
 743229 clipboard: support selection notification on wayland
 743257 Popover not dismissed on clicking the header bar
 743286 Mention that the path returned by gtk_tree_row_reference_get_pat...
 743330 Wintab initialization glitches
 743341 GtkImage does not correctly reflect icon theme changes.
 743393 DND icons don't work in the inspector
 743422 valgrind: Conditional jump or move depends on uninitialised valu...
 743451 Drag and drop on GtkFileChooserButton doesn't work
 743592 crash on link click in about dialogue
 743593 GtkWidget's va_marshaller for "event-after" signal is incorrect
 743633 gdkscreen-wayland: Don't leak wl_output objects
 743638 getting-started: Update example-0.c to use GtkApplication
 743647 image-missing is missing from libgtk's resources
 743659 All folders hidden after returning from search mode in GtkFileCh...
 743660 Pressing Ctrl should not start a search in the file chooser
 743680 getting-started: update Basics section to correspond to example-...
 613833 Unnecessary queue_resize() for GtkImage
 741946 OpenGL context should allow for GL attribute selection
 742566 Bitfield structure members used for booleans
 742848 scrolledwindow: should emit edge-overshot when scrollbar reaches end
 743395 Regression in gnome-terminal starting with gtk commit 27285f1 ' ...
 743640 add __attribute__((cleanup)) support
 743770 Memory leak in plugman example
 743894 don't trigger interactive overlay scrollbar when drag-selecting
 743917 Gtk modules must be compatible with both gtk 2 and 3
 743975 Better deprecation information for GtkStatusIcon
 744203 gdkgl shaders use depricated GLSL version
 744212 gdk_gl_context_set_required_version() interprets requests for 4...

* Translation updates:
 Hebrew
 Hungarian
 Icelandic
 Lithuanian
 Norwegian bokmål
 Russian
 Slovak
 Spanish


Overview of Changes in GTK+ 3.15.4
==================================

* GtkTextView
 - Allow to customize multi-click behaviors, using the new
   ::extend-selection signal
 - Selection can now be extended by scrolling
 - Better behavior and appearance for text selection with touch

* GtkApplication:
 - Use app menu fallback with ssh connections
 - Provide a mechanism to hide unnecessary app menu items
   on OS X, so a single menu file can be used across platforms

* GtkCalendar:
 - Show other months in a different color under Adwaita again
 - Ensure we always show a bit of the other month on both ends

* GtkScrolledWindow
 - Make overlay scrollbars more dynamic

* GtkFileChooser:
 - Make bookmark DND insert at the right location
 - Make '~' and '/' work in recent mode
 - Make Ctrl-L work in recent mode
 - Re-integrate search

* CSS:
 - Introduce immutable style nodes
 - Performance improvements
 - Reduced memory consumption

* GtkInspector:
 - Add a magnifier for the selected widget
 - Show more display information
 - Show memory address of objects

* Wayland:
 - Use subsurfaces for popovers, so popovers can extend beyond the
   window boundaries
 - Prefer the Wayland backend over X11 if both are available

* GL:
 - Fix interaction with hi-dpi
 - Add OpenGL support to the Windows backend

* Bugs:
 111503 Customization of text selection bounds on double click
 301835 should the calendar start on the 1st of month?
 477454 libgtk crashed in gtk_notebook_button_release
 671802 no menu fallback with ssh -X or sudo
 671895 gtk_print_context_get_hard_margins needs to take into account page...
 674537 GtkMenuPositionFunc: x and y should be "inout"
 705582 gtk_recent_manager_init fails to check settings==NULL
 710612 [PATCH] Allow to extend selection with mouse scrollwheel
 738338 quartz: NSWindow NULL check in get_scale_factor
 738891 Use GDK_WINDOW_SUBSURFACE for popovers
 739038 gtk_recent_manager_set_filename: assertion failed: (priv->filename...
 740758 Add getters for device vendor/product IDs
 740795 GDK: Add OpenGL Support for Windows
 741259 gtkmodelmenuitem: force icon scaling
 741569 Minor theme bug: square progress bars
 741610 Finish up support for macos menubar
 741652 Leaking menus when attaching to a button
 741702 Right margin not respected with RTL text in non-wrapping mode only
 741827 typo in testsuite/reftests/Makefile.am causes build failure on Min...
 741897 documentation fix
 741969 GTK_STOCK_COPY
 742010 GtkLabel eats thumb-button clicks
 742170 cut/copy/paste binding entries are registered 2x
 742181 "show images in menus" causes weird padding outside GNOME
 742243 GtkScrolledWindow draws overshoot at the wrong position
 742311 On cellrenderertext, notify for "size" and "size-points" propertie...
 742343 Hide scrollbar in GtkFileChooser if appropriate
 742518 object overview should include the pointer to the object in memory
 742631 Left padding on File Chooser List
 742653 gtkfilechooserwidget: When using an extra widget, show or hide the...
 742664 Portabilitiy issues with GTK-Inspector 32-bit and non-gnome3 desktop
 742702 GtkTreeView separator has wrong color if not active
 742704 GtkComboBox: Separators not visible with Adwaita
 742727 nautilus adding bookmark by dragging appear always at top
 742764 Fix check for 'y' padding in gtk_cell_renderer_set_padding()
 742771 Properly ignore BadWindow and BadDrawable in get_child_info_handler()
 742774 Properly check result of g_utf8_get_char_validated()
 742778 Fix accessible_class->widget_set initialization
 742785 Fix event->button.y_root when using mouse buttons and dnd canceled
 742786 Fix save_hot_y init in gtk_drag_get_icon()
 742940 Adjust annotations of gtk_status_icon_position_menu to match GtkMe...
 742980 cannot start broadway on FreeBSD
 743037 Typo in gdk_window_get_root_coords documentation
 743101 commit 77b876fa breaks zathura
 743117 / and ~ Don't work in filechooser's recent mode
 743157 gtk3-demo editable cells treeview problem
 742646 DnD images not shown

* Translation updates:
 Basque
 British English
 Czech
 Galician
 German
 Greek
 Hebrew
 Hungarian
 Icelandic
 Lithuanian
 Russian
 Spanish
 Vietnamese


Overview of Changes in GTK+ 3.15.3
==================================

* GtkTextView:
 - Font fallback and letter spacing can be controlled with tags now
 - Pango markup can be inserted in text buffers

* GtkEntry now has API to grab focus without selecting the contents

* GtkWindow now starts from the focused widget when looking for
  actions that are activated by accelerators

* GtkScrolledWindow draws an indication where an edge if hiding
  some content that can be scrolled in

* GtkStack has gained GtkNotebook-like focus handling

* Theming:
 - Support :not() in CSS
 - GtkRange now supports :hover for the whole widget
 - The HighContrast theme has caught up with some never GTK+ features
 - Avoid excessive shadow redraws

* Build:
 - gtk3-update-icon-cache is no longer used at build time, and the
   --enable-gtk2-dependency configure option has been removed
 - The examples that are used in the documentation can now be built
   standalone

* Inspector:
 - Allow extension with loadable modules, the first use for this
   is gjs-inspector, which adds a JavaScript prompt
 - Allow testing cursor theme changes

* Bugs fixed:
  59390 load Pango Markup into GtkTextBuffer
 364566 Text editing widgets should support keypad Insert/Delete...
 461249 gtk_icon_theme_list_contexts() documentation: What is a ...
 674537 GtkMenuPositionFunc: x and y should be "inout"
 708857 Half-maximized CSD apps don't get a drop shadow drawn
 710793 GtkDialog destroy event allocation size== 1, 1
 721939 Editable cells demo: Add new row at cursor
 722781 Foreach call on sort model fails with sort function
 729927 impossible to create a directory if the contents of the ...
 730232 print dialog clips off left page size label on A4 landsc...
 730364 Add HTTPS or secure connection support with certificates...
 735122 GtkApplication: fix global menubar on Mac OS
 735838 Provide a way to focus an entry without selecting its co...
 739453 Home and Desktop do not link to correct place in PlacesS...
 739729 Bookmarks in sidebar sometimes randomly change their order
 739977 Don't wait for ENTER to initiate search
 740162 Problem linking gtk-query-immodules-3.0
 740287 GtkWindow's hide-titlebar-when-maximized no longer does ...
 740358 Postbuild checks complains about 64-bit portability
 740374 Is enum GtkCssProviderError really deprecated?
 740438 Stop emitting state-change signals for ATK_STATE_ARMED
 740447 support symbolic Application icons for high contrast theme
 740537 Cannot build example application
 740605 Fix Build In gdkgl.c (Avoid GCCism In Pointer Arithmetic)
 740612 Cups secret service auth_info lookup fails to read auth_...
 740613 XConvertSelection crashes Gtk+ apps
 740642 Fix different height for buttons with Hebrew character
 740682 gtkapplication: Use actions from focused widget to activ...
 740742 Don't scale before translation
 740770 Missing style when the GtkCellRenderer:sensitive propert...
 740812 Gtk-CRITICAL **: gtk_widget_is_ancestor: assertion 'GTK_...
 740851 widget-factory: Add a row separator to the tree view
 740857 HighContrast: in-app notifications lack padding
 740860 HighContrast: vertical linking
 740862 HighContrast: wide pane splitter
 740863 HighContrast: separators
 740876 HighContrast: scrolled window overshoot
 740896 GtkPlacesSidebar: add support for unmount notifications
 740904 Adwaita: tree lines are broken
 740954 Please consider adding a font fallback property
 740983 Allow plugins for Gtk Inspector
 741027 Gtk Icon Browser | Add separator instead of shadow
 741041 Add standalone Makefiles for the application examples
 741117 Improve marks of GtkScale
 741130 Entry completion with multiple cells can size wrong on f...
 741185 GtkNotebook Raleigh theme doesn't highlight the active tab
 741249 gtk_menu_tracker_section_find_model returns FALSE
 741250 gtk_places_sidebar_list_shortcuts returns FALSE
 741251 gtk_widget_get_frame_clock returns 0
 741252 tests/variable.h header guard typo
 741254 Improper headers guards
 741314 No border / shadow underneath items dragged onto listvie...
 741375 Windows: GTK+ programs stop running due to changes in CS...
 741386 allow applications to retrieve GActionGroups available t...

* Translation updates:
 Hebrew
 Swedish
 Turkish
 Vietnamese


Overview of Changes in GTK+ 3.15.2
==================================

* GtkPopoverMenu: A GtkPopover subclass that makes it easy
  to manually build menu-like popovers which can include
  arbitrary controls.

* GtkModelButton: A button widget that is optimized for
  use inside popovers with a GAction as 'model'.

* GL support:
 - Try harder to pick good visuals
 - Rework the way GL rendering is done in GtkGLArea
 - Support input events in GtkGLArea
 - Use shaders
 - The GDK_GL environment variable can be used for debugging

* Inspector:
 - Make picking widgets work in Wayland
 - Rework search in all pages
 - Improve space use
 - Support GL information and debug flags
 - Shield the inspector window from more debug settings
 - Hide empty tabs

* Theming:
 - Include the HighContrast theme
 - Add borders to menus in non-composited environments
 - Load themes from versioned directories like
   .../themes/Emerald/gtk-3-14/.

* Wayland:
 - Make window opacity work
 - Propagate clipboard owner changes

* Mir:
 - Improved event handling
 - Support cursors
 - Enable CSD
 - Better monitor support
 - Add OpenGL support

* Deprecations:
 - gdk_cursor_new
 - gdk_device_grab_info_libgtk_only
 - gdk_display_open_default_libgtk_only
 - gdk_add_option_entries_libgtk_only
 - gdk_pre_parse_libgtk_only

* Bugs fixed:
 687963 Extend warning "Icon '%s' not present in theme" to mention...
 734140 Gnome apps spam stderr with warnings if Gnome Session Manager...
 737891 mounting LUKS partition from nautilus takes very long
 738321 GtkMenu has unnecessary scroll buttons
 738648 gdk_window_get_content() causes creation/destruction of back...
 738670 GL Context on NVIDIA
 738800 Menu border missing in Adwaita when no compositor is running
 738887 "Cannot commit NULL buffer to xdg_surface" error too pervasive
 739474 radiobutton: don't consider hidden buttons in the group for focus
 739750 Fix handling of windows with sizes that aren't a multiple of...
 739781 Make global GDK libgtk_only functions more private
 739885 gtk3-3.14.5 - fail to link - undefined reference to `GTK_IS_PLUG'
 739977 Don't wait for ENTER to initiate search
 740011 overscroll overlay is opaque in unfocused mode sidebars
 740346 Mir backend needs support for GdkGLContext 

* Translation updates:
 Greek
 Hebrew
 Kazakh
 Norwegian bokmål
 Spanish
 Swedish


Overview of Changes in GTK+ 3.15.1
==================================

* An experimental mir backend has been added.
  Use --enable-mir-backend to build it.

* Inspector:
 - Show more information
 - Use a separate display connection

* Deprecations:
 - GtkStyleProperties

* Bugs fixed:
 707695 GtkLevelBar Colour CSS
 737561 quartz: gtk+ 3.14.0 fails to build on 10.6.8, 'NSFullScreen...
 738650 fix separator with iconic section and more
 738886 Out of bounds access in MyEnhancedXkbTranslateKeyCode
 738955 Client-side decoration window menus appear at wrong positio...
 738982 Add support for ATK_STATE_HAS_TOOLTIP
 739001 Fix Build of broadwayd on Visual Studio
 739005 gtkstatusicon.c won't build with both X11 and Quartz backen...
 739111 GtkFontChooserDialog fixes
 739150 Dragging bookmark crashes nautilus

Translation updates:
 Czech
 Hungarian
 Serbian
 Spanish


Overview of Changes in GTK+ 3.15.0
==================================

* GDK supports rendering windows using OpenGL; currently
  this is implemented for X11 and Wayland using libepoxy

* GtkGLArea: A new widget for rendering with OpenGL

* GtkSidebar: A new switcher for GtkStack that looks like
  a sidebar

* Better typography: In many places, we now use proper Unicode
  characters for dashes, quotes, multiplication signs and the
  like, instead of ASCII approximations

* Theming:
 - Context menus use the default font instead of inheriting from
   the widget they are attached to
 - Theming engines are no longer used
 - Backdrop style has been fine-tuned to make the difference to
   the active window more evident without affecting readability

* Inspector:
 - Show nested tree models
 - Add a checkbox to disable the warning dialog
 - Rearrange the UI to gain space
 - Show object counts

* GtkTextView has a monospace property

* GtkPaned has a wide-handle property

* GtkPrintUnixDialog
 - Has improved appearance without headerbars
 - Better rendering of sheet icons
 - No more missing icons

* GtkScrolledWindow
 - A new policy, GTK_POLICY_EXTERNAL, which allows scrolling
   without showing a scrollbar
 - Scroll events can now overshoot as well
 - The new signal ::edge-overshot is emitted when the scrolled
   window is fully overshot
 - Scrollbars will be overlayed as narrow indicators when
   there is no mouse

* Deprecations:
 - gdk_window_set_static_gravities
 - gdk_window_set_composited
 - gtk_style_context_get_background_color
 - gtk_style_context_get_border_color
 - gtk_settings_set_string/long/double_property
 - gtk_settings_install_property

* Bugs fixed:
 119189 Add OpenGL support to GTK+
 154709 don't use the cursor for preview
 582799 GtkContainer should parse a list of widgets for a focus chain
 671138 About dialog contains scary warranty disclaimer in copyright...
 672946 Add gtk_css_provider_load_resource_from_file
 681185 Document precedence between tooltip-markup and tooltip-text
 724096 search-bar: don't show the widget until we're ready to reveal
 725441 Print Dialog: Add support for PPD-less printing on IPP print...
 730730 scrolling is broken when sharing adjustments
 730893 Dialogs use headerbars even when DialogsUseHeader is unset
 733157 Remove redundant checks for NULL
 735192 Use better typography for paper names
 735293 No vertical stack switcher component available (Sidebar)
 735841 EmptyBoxes: instructions_label's alignment is off
 737670 GtkCalendar days cannot be selected if vertical size is grea...
 737679 Bookmarks are visually duplicated in sidebar
 737777 Applications crash randomly while printing with a password-s...
 737929 Long tooltips extend too far horizontally without wrapping
 737952 Documentation missing for GtkTextView's new draw-layer funct...
 737981 Strange frame in GtkScrolledWindow
 737983 gtkplacessidebar: Open $HOME after unmounting or ejecting
 737985 Unnecessary "GtkScrolledWindow .frame"
 737986 Transparent icon background rendered black on XFCE
 738083 GtkMenuButton is not disabled even if corresponding GAction is
 738111 GtkListBox should allow for setting "placeholder" via GtkBui...
 738158 Flat context menu button
 738272 inspector: Add a tab for object counts
 738533 Show overshoot on scroll events
 738534 Add ::edge-hit signal
 738591 Can't select file after showing header context menu
 738636 GtkStackSwitcher focus overlap border
 738670 GL Context on NVIDIA
 738860 GtkPaned: Add a "wide-handle" property
 738873 wayland backend aborts entire program if XDG_RUNTIME_DIR unset
 738912 wayland: Don't try to create a subsurface again 

* Translation updates
 Czech
 French
 German
 Hebrew
 Indonesian
 Italian
 Kazakh
 Korean
 Persian
 Polish
 Scottish Gaelic
 Spanish


Overview of Changes in GTK+ 3.14.0 to 3.14.1
============================================

* Bugs fixed:
 635258 Possible type to symbol translation bug
 654051 Special GtkToolbar style when in fullscreen mode to respect...
 708206 GtkBuilder throws GVariantParse errors instead of the GtkBu...
 719936 GtkFontButton: Make sure the dialog isn't destroyed on dele...
 729782 Window "disappears" when middle clicking client side decora...
 734879 gdk_test_simulate_key() has no implementation on win32
 735054 gtkapplication-quartz-menu unconditionally uses 10.7 features
 735338 The inspector sometimes doesn't show up
 735749 gnome-software: Can't switch between screenshots
 736193 changing a GtkPopover's relative widget seems to forcibly d...
 736338 GTK+ reftests can't be built on W32
 736557 inspector: Show hidden windows in the inspector
 736702 GtkWindow event special logic ignores subclass handlers
 736830 GtkVolumeButton reaction inverted on scrolling action when ...
 736971 GtkSettings: Add a private getter for the source
 737251 drop down menus are always scrollable in full screen mode
 737297 Gtk buttons don't work with touch anymore
 737363 testgtk.c fails to compile when building for Wayland
 737386 dark adwaita's -GtkWidget-link-color is unreadable on gray ...
 737439 Plug memory leak in gtk_test_find_label()
 737517 no border around progress bar 

* Translation updates:
 Brazilian Portuguese
 Czech
 French
 Galician
 German
 Greek
 Hebrew
 Hindi
 Hungarian
 Indonesian
 Kannada
 Latvian
 Polish
 Russian
 Scottish Gaelic
 Serbian
 Spanish
 Tamil
 Telugu


Overview of Changes in GTK+ 3.13.9 to 3.14.0
============================================

* GtkMisc::xalign has been undeprecated for now, it is still needed

* GtkIconView
 - Always draw cell background
 - Fix handling of prelight items

* GtkWindow
 - Fix growing nautilus windows

* Bugs fixed:
 736338 GTK+ reftests can't be built on W32
 736622 Better mark GtkAlignment as deprecated
 736927 Reference documentation refers to GTK 2
 737000 Some icon themes broken on 3.13.92
 737026 gtkinspector crashes app when selecting 'cancel' on initial prompt
 737027 gtkinspector doesn't run if custom GSETTINGS_SCHEMA_DIR specified 

* Translation updates:
 Bengali (India)
 Catalan
 Catalan (Valencian)
 Danish
 German
 Greek
 Hebrew
 Hindi
 Hungarian
 Marathi
 Russian
 Slovak
 Swedish


Overview of Changes in GTK+ 3.13.8 to 3.13.9
============================================

* Adwaita:
 - Use sass functions more
 - Theme .app-notification instead of .app-notification.frame
 - Lots of button fine-tuning
 - Avoid double background rendering in tooltips

* Inspector:
 - Show widget allocations
 - Show hidden windows
 - Fix initial state of dark switch

* Bug fixes:
 328449 selecting selectable ellipsized GtkLabel labels is (slightly) broken
 528800 Widget Gallery has non-intuitive Image for GtkTreeView
 579625 Cancel button on Gtk.Assistant should have Esc as accelerator
 668258 Topic ellipsis acts as a link when omitted text contains a link
 698031 Cannot link libgdk (-lrt required)
 732916 treeview: column drop target visualization broken
 735240 Labels in list rows don't get their dim-label class applied until...
 735953 GtkPlacesSidebar blocks on g_file_query_info()
 735959 osd progressbar gap
 735965 rubberband selection broken
 736004 touch support for icon activation
 736056 GtkFontChooserButton's contents are not baseline aligned
 736064 Openbox title bar strange behaviour
 736121 gdk smooth scroll event unit inconsistencies between backends
 736131 tooltip: Fix warning with GtkCellRendererAccel
 736155 gtk_window_draw draws background twice and breaks with translucent...
 736173 a program clashes when drag-and-drop items in a GtkRecentChooserWidget
 736178 gtk_tree_view_scroll_to_cell() only works the first time
 736191 Inspector could show widget allocation
 736201 g_object_weak_unref assertion failures when closing the inspector
 736203 [regression] GtkCellRendererAccel doesn't work in modal dialogues
 736205 GtkMenuButton with popover breaks with GtkApplicationWindow's buil...
 736250 Need to sort gtk_compose_seqs_compact[] table in the descending order
 736269 GTK crashes when gdk_window_get_root_coords() is called on a forei...
 736307 GtkStackSwitcher doesn't like removing children from stack
 736512 Segfault in GtkPlacesSidebar when used with Nautilus
 736535 Vertical alignment of text labels is off
 736557 inspector: Show hidden windows in the inspector 

* Translation updates:
 Assamese
 Brazilian Portuguese
 Czech
 Finnish
 French
 Galician
 German
 Greek
 Gujarati
 Hebrew
 Indonesian
 Kannada
 Korean
 Latvian
 Lithuanian
 Korean
 Polish
 Punjabi
 Russian
 Spanish
 Swedish
 Traditional Chinese


Overview of Changes in GTK+ 3.13.7 to 3.13.8
============================================

* Wayland:
 - Implement Drag-and-Drop
 - Use subsurfaces for entry completion popups
 - Use subsurfaces for tooltips

* Bugs fixed:
 156164 Fix _gtk_text_buffer_get_line_log_attrs for last line
 346886 GtkTreeModelFilter doesn't allow multiple calls to set_visible_func
 415415 tree lines drawn in black
 602443 Can't use .glade with GtkListStore, gint64/guint64 and design-time data
 641638 Remove AM_PATH_GTK_3_0 macro
 658722 Drag and Drop sometimes stops working
 674264 Credentials from gnome-keyring is not used while printing
 680067 Credits in About dialog don't support https
 695504 gtk-demo: entry completion doesn't work
 697855 Implement DnD in wayland
 720269 ScaleButton: scrolling on the button doesn't do anything
 729215 Please implement Wayland subsurfaces
 731380 gtk3-demo button box works badly with a touch screen under wayland
 733967 provide proper pseudostates for radios and checkboxes
 734290 Checkbox inconsistency / usability issues in gtk3-3.13.5-2
 734374 wl_touch serials are ignored
 734753 Path bar - buttons don't have enough padding
 734961 GtkAboutDialog uses deprecated property
 735012 Toolbars take too much space
 735014 GtkPopover smart positioning broken in RTL
 735034 application_get_menu_by_id should either ref or be transfer none
 735119 inconsistent order of close/help buttons
 735223 Touch scrolling invalidates more than intended
 735226 Avoid NULL surface access if a window is shown/hidden within a frame 
 735253 GTK+ requires symbols not available in specified gdk-pixbuf version
 735294 No widgets visible in simple applications with gtk+ 3.13.3 and later
 735300 clicking on Actions tab in inspector causes abort
 735301 Duplication of words in comments (for for, the the)
 735310 GtkLabel selection background missing with Adwaita
 735321 Get the default gkt-font-name font size from user font
 735337 Crash in inspector, in the CSS editor
 735353 GtkTreeView::row-activated not emitted sometimes
 735368 try to tidy up the TextView background rendering
 735389 client crashes if it gets an invalid keymap from the compositor
 735401	make check fails on 3.13.7 without --enable-installed-tests
 735428	gtk_main() tries to unlock an unlocked mutex
 735531	Make tooltips use subsurfaces on wayland
 735545	MenuButton: dismiss menu/popover when toggling programmatically
 735593	Implement CSS font-stretch property
 735830	Pixmap based cursors get surface destroyed after first use
 735831	Change current cursor on grabs

* Translation updates:
 Assamese
 Finnish
 Greek
 Hebrew
 Japanese


Overview of Changes in GTK+ 3.13.6 to 3.13.7
============================================

* To align better with css, button and menuitem subclasses now use a
  :checked state to indicate their checkedness, instead of :active or
  :selected.

* Deprecations: GtkStatusIcon, GtkThemingEngine

* Bugs fixed:
 724281 Statusbar displays removed message
 731013 Cross-compilation from Linux to Windows broken...
 731443 GtkPlacesSidebar - refine spacing
 734143 Cannot drag files from the filechooser anymore
 734357 GtkListBox doesn't get events delivered for GtkStack children
 734420 BroadwayServer support for unix socket listening
 734614 Undo buttons in application notifications are too tall
 734641 gdk_window_set_device_events() does not change the event mask...
 734649 Only notify 'adjustment' if the property changed
 734651 Resizing gtk3-iconbrowser is super slow
 734660 Always emit value-changed when the adjustment is changed
 734668 Properly handle alpha in fg color when rendering symbolic icons
 734709 GtkListBoxRow should also set its clip
 734735 GCC warns about unused things when building GTK+ on W32
 734736 GCC warns about wront format strings when building GTK+ on W32
 734737 GCC warns about various things when building GTK+ on W32
 734778 Object leaks in broadway_server_new() constructor 
 570414 Disable font fallback in the font dialog preview panel
 665711 Font size cannot be changed to floating point / non-integer...
 724996 Font Button too many decimal places
 733832 Improve fontchooser widgets display text
 733967 provide proper pseudostates for radios and checkboxes
 734738 Possible bug in W32 input grabbing
 734826 Deprecate GtkStatusIcon 

* Translation updates:
 Greek


Overview of Changes in GTK+ 3.13.5 to 3.13.6
============================================

* Theme
 - Many Adwaita improvements in details
 - Much faster blur implementation for shadows
 - Support symbolic, recolorable pngs

* GtkFileChooser
 - Fix editing of bookmarks
 - Use symbolic icons in the path bar

* GtkTextView
 - Add a vfunc to allow subclasses to draw above/below text

* GtkImage
 - Support scale factor when loading from resources

* Inspector
 - Show some widget states and buildable ids
 - Add GtkTreeSelection to object tree

* Wayland
 - Support newer protocol versions

* Windows:
 - Fix handling of input shapes
 - Support font scaling
 - Dialog theming fixes
 - Several crash fixes

* Bugs fixed:
 624791	GtkTextBuffer doesn't emit signal "notify" on change of property "text"
 638709	utf8_strrcasestr in GtkTextIter makes an invalid read
 641638 Avoid pkg-config --atleast-version
 705054	Embed manifest into gtk-update-icon-cache.exe
 715176	object:state-changed:focused event missing when a text widget regains...
 721367	Add gtk_application_get_actions_for_accel()
 726224	W32: GDK tries to set GWLP_HWNDPARENT to NULL when it's NULL already
 729140	popovers can't always track the widget
 729636	Only show title button separator when there is something to separate...
 729809	listbox: Add missing ::row-selected emissions
 729924	Crash while trying to print
 730450	Support non-svg symbolic icons
 732137	Fix building quartz backend
 733312	Deprecate GtkTreeView:rules-hint
 733406	gtk_text_view_scroll_mark_onscreen() not working any more
 733416	image: support scale factor when loading from GResource
 733610 g_object_unref exceptions using GtkNotebook
 733671 W32: Non-CSDed windows have unthemed titlebar
 733679 GDK does not handle WM_NCHITTEST
 733766 W32: gedit crashes when closing a print dialogue
 733767 GtkPrintOperation does not keep itself alive through callbacks
 733768 W32: Widgets can't be embedded into foreign windows
 733769 W32: Critical error when GTK tries to set opacity for embedded windows
 733773 GTK implicitly uses native W32 widgets in some cases, but lacks ICC...
 733782 GtkListBoxRowAccessible expects the parent to be a GtkListBox
 733923 gtk_widget_get_accessible() fails for an unparented GtkPopover
 733925 GtkApplication: load gtk/menus-common.ui resource
 733965 Add a way to debug GActions
 733979 Combobox is styled like the last child if linked class applied, even...
 734033 Avoid initial keyboard focus heuristic selecting labels
 734038 GTK does not respect system font scaling
 734053 gtkcairoblur: Replace our exponential blur with the box blur from mutter
 734129 Popover sometimes fails to get raised above contents
 734213 GtkSwitch showing up with "mixed" state when setting it active before...
 734292 drag: add missing introspection annotations
 734485 Switches are too big, glow effect makes it hard to read "ON"
 734526 GtkToolbar: Implement clip

* Translation updates:
 Arabic
 Basque
 Brazilian Portuguese
 Greek
 Lithuanian
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.13.4 to 3.13.5
============================================

* Adwaita:
 - Many improvements in details
 - Style .needs-attention in GtkStackSwitcher

* CSS:
 - Selectors can now match state pseudo classes on
   all elements

* GtkListBox:
 - Rows now have a selectable property and will be
   styled accordingly

* Inspector:
 - Add an easy way to change the font
 - Show widget state and other misc. info

* Wayland:
 - Fix repaint artifacts
 - Update xdg-shell

* Windows:
 - Fix icon theme loading

* Bugs fxed:
 591258 Easy to accidentally select first option in popup menus
 618852 gtk_text_iter_forward_visible_cursor_position does not move...
 707153 Add style for stack switcher items with the needs-attention...
 731582 Please use AC_PATH_TOOL to improve cross-compile & multilib...
 733099 Regression: gtk_window_set_title() no longer sets header ba...
 733174 Missing documentation for GtkSpinButton::change-value and ...
 733189 Careless URI construction in GTK+
 733321 Tooltips disappear when a new GtkMenu is created
 733360 GtkSwitch: css, make box-shadow outsets work for the switch...
 733361 GtkProgressBar: css, make box-shadow outsets work for the p...
 733407 GtkTextView: use GSlice
 733431 Regression: Button not added to action area of dialog
 733441 do not mention GtkArrow in the GtkMenuButton docs 

* Translation updates:
 Greek


Overview of Changes in GTK+ 3.13.3 to 3.13.4
============================================

* Theming:
 - Adwaita is much more complete
 - Shadows, reliefs and frames in GtkScrolledWindow, GtkViewport,
   GtkButton, GtkEntry, GtkFrame, etc are now translated to style
   classes and themed

* GtkApplication:
 - gtk_application_prefers_app_menu is a new function to facility
   adapting UIs to platform expectations
 - GtkApplication now tries to load menus from resources in the
   resource path that is defined by GApplication
 - GtkApplication set up a resource path for loading icons as well

* GtkScrolledWindow:
 - Scrolling in response to user input (scrollbar clicks, keynav)
   is now animated
 - The displacement animation has been replaced edge gradients

* GtkScaleButton:
 - The orientation is now changed on the fly to make the popup
   fit into small windows

* GtkEntry:
 - Activity mode progress is now smooth

* Client-side decorations
 - The default button layout includes minimize and maximize again
 - Dialogs are no longer using client-side decorations when
   use-header-bar is unset

* GTK+ now ships a simple icon theme browser, gtk3-icon-browser

* GtkInspector:
 - Can change hi-dpi scale on the fly
 - Can simulate touchscreen at runtime
 - Shows style properties
 - Ctrl-Shift-I selects the widget under the pointer
 - Property editors show property and settings bindings

* Wayland:
 - Always use CSD under Wayland
 - Avoid a crash on pointer-less systems
 - Context menus work now

* Deprecations, removals:
 - GtkWindow no longer supports resize grips
 - builtin icons have been deprecated in favor of loading icons
   from resources

* Bugs fixed:
 484640 Improve double click handling in GtkIconView
 618852 gtk_text_iter_forward_visible_cursor_position does not move to end...
 629129 gtk_text_iter_forward_visible_cursor_position is VERY slow
 672676 evince doesn't permit to print more than 100 copies at once
 680885 GtkColorButton color swatch suboptimal when color ~= background color
 710449 Invalid memory access in "gdk_x11_window_set_opacity" on 64bit pla...
 722092 Add GtkApplication resources support
 722633 Remove separators from font chooser and file chooser
 724084 Provide .error .warning .question classes for GtkEntry (not legibl...
 726566 GtkEntryCompletion should emit signal for "no-suggestions" case.
 729620 De-uglify GtkCalendar
 730730 scrolling is broken when sharing adjustments
 730893 Dialogs use headerbars even when DialogsUseHeader is unset
 731158 gtkbookmarksmanager.c: save_bookmarks, silly strlen
 731297 Get rid of overshooting window/animation
 731463 Styling of last column header does not apply to treeview-like cust...
 731711 GtkLabel forwards button-press-event after showing a context menu
 732134 consider using an alternate durations for transitions of button pr...
 732206 wayland: crash with touch but no pointer
 732229 Buttons in menus in popovers - alignment and spacing issues
 732256 Add a flat style class and use it for flat buttons
 732298 adwaita -- progress bars indistinguishable from selected list row
 732330 Sort *_DEBUG values alphabetically
 732433 Typos in common questions
 732441 Selected text background is nearly transparent
 732443 Inspector hide and seek
 732454 Build error: return_exposes not defined in gdkevents-win32.c due t...
 732494 issues active buttons in popovers
 732667 cursor blink settings not fully undeprecated
 732681 Docs: make GtkWidget:margin-start and margin-end clearer
 732861 GtkImage surface documentation incomplete
 732894 icontheme: Use correct URI for icons in resource paths
 732900 textview calls gtk_widget_set_allocation() on children out of ::si...
 732933 horizontal autoscrolling broken
 732970 Unselectable GtkLabels with links get the wrong initial cursor
 732991 gtk_drag_anim_timeout change the user widget and never restore it
 733027 GtkStack doesn't render a background
 733076 Handle resolution changes in the GDK backend code
 733092 inspector: Do not accidentally change tab in the object notebook
 733099 Regression: gtk_window_set_title() no longer sets header bar title
 733112 GtkListBox: Add a ::activatable property for rows 

* Translation updates:
 Hebrew
 Lithuanian
 Russian
 Scottish Gaelic
 Slovenian


Overview of Changes in GTK+ 3.13.2 to 3.13.3
============================================

* GtkInspector:
 - Support saving custom CSS
 - Show GMenus and GActions
 - Show combobox menus and submenus
 - Lower the inspector window when picking
 - Misc. navigation improvements

* Gestures:
 - Convert most widgets to use gestures internally

* Theming:
 - Use client-side shadows for menus and tooltips
 - Include the Adwaita theme
 - The default theme is now Adwaita
 - Icon loading now respects limits specified in the icon theme,
   unless GTK_ICON_LOOKUP_FORCE_SIZE is set
 - Don't include image content in icon caches, to avoid huge caches
 - GtkSwitch gained a hover state

* Widget factory:
 - Improve coverage of GTK+ features

* Wayland:
 - Support GNOME classic mode

* Deprecations:
 - Style regions
 - Support for .icon files
 - gdk_window_flush, drawing outside of begin/end paint

* Bugs fixed:
 721895	Remove GtkIconCache
 729820	GMenuModel submenu-action set 'false' before item activation
 730615	a11y private library not included in GIR
 730745	Port annotations from Vala
 730767	Tab that's being dragged is not updated
 730833	RTL in the inspector does not change the icons
 730924	Setting a GtkScrolledWindow to visible in a template causes a segfault
 731016	Text Drag'n'Drop broken in GtkTextView
 731020	3.13.2: PlacesSidebar changes directories on right click
 731187	Use csd shadows for menus
 731273	minimise and maximise buttons not present in header bars in gnome classic
 731299	Wrong function name for gtk_selection_data_get_data
 731371	Gtk gets confused by wayland touch events
 731377	Add a redirect on the website for the old language bindings page
 731382	Current docs still mention GtkList and GtkCList
 731429	Incorrect text provided by AtkText text-insert signal for GtkEntry
 731602	GTK+ 3.13.2 won't build in Windows
 731658	icon theme: Respect directory types for svg icons
 731790	GtkHeaderBar subtitle not redisplayed after custom title
 731834	GtkPopover is referenced directly in theme css
 731866	New window shadows
 731908	placessidebar: Use symbolic name for symbolic icon 

* Updated translations:
 Hebrew
 Spanish


Overview of Changes in GTK+ 3.13.1 to 3.13.2
============================================

* Interactive debugging support. The GtkInspector
  window can be triggered with the Ctrl-Shift-I
  or Ctrl-Shift-D keyboard shortcuts, or via the
  GTK_DEBUG environment variable.

* Gesture support has landed. New classes include
  GtkGestureLongPress, GtkGestureMultiPress, GtkGestureSwipe,
  GtkGesturePan, GtkGestureRotate, GtkGestureZoom. Many GTK+
  widgets already use gestures internally. Gestures also
  show up in GtkInspector.
  The gesture-related APIs are still subject to change.

* GTK+ widgets can now draw outside their allocation,
  by setting a clip with gtk_widget_set_clip().
  The clip-related APIs are still subject to change.

* GtkStack has added a few more transition types

* GtkProgressBar is now narrower

* CSS
 - Support outline-radius in CSS
 - Implement 'unset' and 'all'
 - Support -gtk-icontheme
 - Support -gtk-icon-source
 - Add -gtk-icon-transform, supporting the 2D
   parts of CSS transforms
 - Support -gtk-icon-style

* Theme
 - Use outlines to render focus rings
 - Use icons to render spinners, expanders and arrows
 - GtkIconTheme can force symbolic or regular
   icon variants
 - GtkIconTheme will automatically load rtl
   icon variants

* Win32:
 - Theme improvements

* Wayland:
 - Update to the latest xdg-shell protocol

* Deprecations:
 GdkColor
 GtkMisc
 GtkArrow
 focus-line-width style property
 GtkNumerableIcon
 GtkButton::x/yalign
 gtk_widget_reparent
 gtk_widget_region_intersect
 gtk_container_set_reallocate_redraws

* Bugs fixed:
 525206 Remove superfluous non-NULL tests for the GtkScrolledWindow scrollbars
 614717 gtk_text_buffer_create_tag fails to return error on duplicate tag
 636695 GdkColor should be deprecated
 645966 gtk-demo leaks a GtkSizeGroup
 698396 GtkTreeStore crashes when reordering 0 elements
 708037 Allow live updates on widgets implementing GtkColorChooser
 720330 Gtk-CRITICAL **: gtk_entry_completion_set_model: assertion 'GTK_IS_E...
 721069 gtk_win32_embed_widget_show infinite recursion
 726676 More GtkStack transition counterparts of OVER_UP_DOWN
 727147 Search bar is too narrow
 727994 Gtk Popover closes on click
 728135 gtk_widget_set_visible's nothing-changed-check
 728284 [treeview] Graphics artifact when scrolling with hover-selection
 729346 W32: App-notification has no theme, shows up transparent
 729353 W32: horizontal-buttons get "selected" background when focused
 729451 Removing accels with application_set_accels_for_action
 729461 Introspection issue with GtkApplication
 729473 FileChooser: typos in gtk_file_chooser_set_local_only ()
 729475 FileChooser: typo in gtk_set_create_folders()
 729496 Crash with latest gtk+ from master in gtk_combo_box_get_preferred_width
 729564 Deprecate GtkArrow
 729594 Don't stretch switches in Widget Factory
 729598 Populate page 2 of the Widget Factory
 729607 GtkAboutDialog: gtk aborts when trying to show an about dialog
 729670 cairo surface leaked for each cursor created from pixmap
 729817 GtkCellLayout: allow finding attributes at runtime
 729834 gdk: missing (nullable) annotations on return values
 729915 Popopver does not follow relative widget to find action groups
 729983 gdk: assorted introspection and documentation syntax fixes
 730007 GtkInspector: add a setting to disable C-S-i
 730008 make gtk_set_interactive_debugging available for apps
 730035 GtkFileFilter contains refs to GtkRecentFilter which are probably typos
 730043 Add an alternative to Ctrl-Shift-I
 730095 Add a private call API to export internals to modules
 730142 placessidebar: use proper canonicalization when checking if home
 730183 RFC: silence harmless critical
 730306 Gtk+ >= 3.0 fails to load modules from settings.ini files
 730526 Fix the edit-clear icons in RTL 
 730353 Horizontal and vertical scrolling
 700030 GdkEventSequence not accessible from introspected bindings
 641836 Capture/bubble event handling
 119906 Add event when Double Click timeout expires

* Translation updates:
 Belarusian
 Hebrew
 Russian
 Spanish 
  

Overview of Changes in GTK+ 3.12.0 to 3.13.1
============================================

* GtkListBox can now do multi-selection 

* GtkSwitch has a way to delay state changes

* GtkMenuButton is using a popover for menu models by default

* GtkPopover can have horizontal sections

* GtkFileChooser received some design improvements

* GtkBuilder
 - Supports property binding
 - Supports dialog actions

* Client-side decorations
 - The requirement for _GTK_FRAME_EXTENTS has been dropped
   to avoid 'double headers' with most window managers
 - Drawing of DND highlights around the entire window works

* Windows backend:
 - *Many* theme improvements
 - Add popover theming
 - Enable introspection

* Wayland backend
 - Updates for xdg_shell protocol changes
 - Touch support

* Broadway backend
 - Now builds on OpenBSD

* Bugs fixed:
 495105 Open recent file keyboard shortcuts do not work correctly
 654417 Add <binding> element to GtkBuilder syntax
 686170 gdk/win32: VK_SNAPSHOT maps to GDK_Print
 712752 GtkClipboard: add _get_default and _get_primary
 722058 GtkTreeModelFilter bug
 722211 improve the file chooser design
 722817 Add gobject-introspection for GdkWin32
 723963 Use popover for the fallback app menu in the headerbar
 725648 Switches should always indicate the current state
 726179 Trivial Fix: size-allocate signal has missing documentation
 726271 Items not highlighted while mouse-hovered
 726298 gtk-font-name isn't correctly handled on Windows
 726475 After looking at Aisleriot solitare, I get rendering glitches...
 726592 W32: problems with CSDed windows
 726859 Assertion/crash if gtk_radio_menu_item_set_group() is called twice
 726870 all: Name more idles and timeouts
 726871 treeview: Lower the duration of validation iterations
 726996 Label-for/Labelled-by AtkRelations missing for containers in t...
 727009 redefinition of GtkPrinterCloudprint: cloudprint fails to build
 727022 W32: Both inc- and dec-buttons on GtkSpinbutton are "inc"
 727035 W32: Combobox button is drawn with two arrows
 727036 W32: Combobox dropdown color is button-gray instead of window-white
 727037 W32: Menu items look thin, while submenu arrows are huge
 727075 W32: Combobox (with an entry) is gigantic
 727078 W32: GtkPopover is transparent and non-interactable
 727080 W32: Window re-size grip looks UGLY.
 727210 W32: Prelight doesn't apply to check/radio marks
 727211 W32: Selection background color applies to check/radio marks
 727213 W32: Notebook widget is not styled correctly
 727244 W32: Items selected in listbox have correct background color, ...
 727245 W32: No .dim-label style
 727313 a11y: do not use deprecated a11y functions.
 727322 docs: Remove '\' escape character from literals
 727391 W32: scrollbar sliders have no "active" and "insensitive" styles
 727410 W32: tooltips are not themed
 727414 Redundant text in titlebar
 727487 Color picker check marks not cleared properly
 727643 Segfault in gtk-3.12.0
 727644 SEGV in gtk_window_propagate_key_event()
 727662 GtkVolumeButton displays "missing image" icons
 727908 Various GtkTextView improvements (doc, unit tests)
 727973 W32: focused button is visibly smaller
 728023 Warning when passing NULL window to inhibit
 728054 entry: consider ascent and descent when requesting height
 728073 Allow defining an invisible resize area for GtkPaned's handle
 728140 Illegal parameter passed to g_variant_new in gtk_application_im...
 728165 gtk_target_list_new argument should be (allow-none)
 728183 Drag and drop (GdkFrameClock) does not work for hidden widgets
 728272 make broadway backend build on OpenBSD
 728426 Implement the wl_touch interface
 728745 win32: add more clipboard data checks to avoid crash
 728806 W32: Check- and radio-buttons have a selection rectangle on act...
 728807 W32: Checkbutton focus rectangle becomes almost white on prelight
 728808 W32: Checkboxes on modelbuttons are drawn like buttons themselves
 728810 W32: Modelbuttons look like buttons
 728846 GtkDialog: Support adding action widgets in ui files
 728992 GtkLockButton crash if clicked and permission is NULL
 729013 Use OUTPUT_SCALE instead of xft-dpi on wayland 
 729095 redraw problems when resizing popovers
 729097 size allocation problem in popovers 

* Translation updates:
 Basque
 Catalan
 German
 Greek
 Hebrew
 Russian
 Slovenian


Overview of Changes in GTK+ 3.11.9 to 3.12.0
============================================

* Wayland:
 - Add support for input regions
 - Correctly report display capabilities
 - Fix resizing from the north-east corner

* Bugs fixed:
 723045 Window re-size causes artifacts
 724728 GtkPrintOperation is below is parent in fullscreen mode
 726369 gnome-terminal crashes when closing a window
 726476 New fontchooser dialog doesn't update font list upon change
 726717 Nesting GtkExpander gives Gdk-CRITICAL error
 726749 Segmentation fault in libglib-2.0.so.0 with glib-2.39.92
 726825 possible invalid reads on delete event
 726838 crash when unsetting GtkTreeView model
 726855 When subdirectory selected, subdirectory name only briefly appears...
 726858 GTK_ENABLE_DEBUG should be G_ENABLE_DEBUG
 726900 gtk_recent_filter_filter() requirements aren't fully documented 

* Translation updates:
 Czech
 Danish
 Germans
 Hungarian
 Indonesian
 Italian
 Scottish Gaelic
 Serbian
 Ukrainian


Overview of Changes in GTK+ 3.11.8 to 3.11.9
============================================

* GtkPopover:
 - Improve focus and grab handling
 - Add accessibility support

* Client-side decorations:
 - Make F10 move focus to the header bar
 - Make header bars draggable on touch systems
 - Make shadows unclickable

* Bugs fixed:
 591258 Easy to accidentally select first option in popup menus
 693200 Printing via evince crashes badly when /tmp is not writable
 701884 lots of invalid reads in iconview a11y code
 709914 Cannot move windows on touchscreen (except from WM decorations)
 723668 Message Dialog Layout
 724785 Tooltips get shown even if the widget is hidden by a GtkPopover
 725141 Add shortcut to move focus to the GtkHeaderBar
 725727 Fix DnD on popovers
 725733 Crash when accessing freed AtkObject
 725754 Fix font size when gdk_x11_display_set_window_scale() is used
 725824 gtkentrycompletion: fix a critical warning
 725864 Add GtkPopover a11y
 725866 DnD fixes
 726125 Cannot click through CSD window shadows
 726135 documentation: clarify gtk_icon_theme_add_builtin_icon() usage
 726136 use && instead of 'and' in deprecation warnings
 726149 broadway: remove unused libcrypt
 726187 Use GDK's current window tracking when synthesizing events in GTK+
 726209	GtkTreeView: stop ignoring crossing events from grabs
 726492 Possible crash when setting titlebar 

* Translation updates:
 Brazilian Portuguese
 Chinese
 Czech
 Finnish
 French
 Korean
 Latvian
 Norwegian bokmål
 Portuguese
 Punjabi
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.11.7 to 3.11.8
============================================

* Documentation: Update screenshots

* Printing: Google cloud print support

* Bugs fixed:
 724742 revealer: Allocate extra size to child
 724895 printing: Fix visibility of tabs in dialog
 481073	allow "visibility-notify-event" signal to work when composited
 547988	Open button sensitive when nothing selected, returns nothing
 554618	GtkFileChooserDialog leaks memory
 723368	GTK+ print module for Google Cloud Print
 723438	jhbuild buildone glib gtk+ fails with `HAVE_INTROSPECTION do...
 724411	GtkAboutDialog: License visible even if not set and predefin...
 724799	gtk_menu_tool_button_set_menu () broken in gtk3-3.11.6+
 724891	GtkTreeViewColumn::button never freed
 724921	Gtk-CRITICAL **: gtk_widget_unregister_window: assertion 'GD...
 724968	wayland: Fix gdk_window_wayland_resize_cairo_surface()
 724999	GtkRevealer changes broke gedit infobar messages
 725089	Cairo context sent to the "draw" signal handler has incorrec...
 725172	GdkWindow: fix redraws for backends that keep the same backi...
 725205	[patch] treeselection docs: spelling fix
 725225	auto scroll in vertical popover from volume button goes the ...
 725345	dialogs: always use CSD on dialogs
 725559	Fix typo in gtk_window_set_default() documentation
 725560	GtkTreeView documentation fixes 
        Make sure CSS theme is loaded when needed
        GtkStackSwitcher: Avoid unnecessary updates

* Translation updates:
 Brazilian Portuguese
 Galician
 Hebrew
 Kazakh
 Lithuanian
 Norwegian bokmål
 Polish
 Russian
 Scottish Gaelic
 Thai
 Traditional Chinese


Overview of Changes in GTK+ 3.11.6 to 3.11.7
============================================

* GtkActionBar:
 - Fix theming

* GtkBox:
 - Allow setting center widget to NULL
 - Fix a size-allocation error

* GtkPopover:
 - Fix a crash with text handles (#724392)
 - Allow resetting relative-to  (#724407)

* Wayland:
 - Use new xdg-shell ping
 - Use new xdg-shell focus methods

* Printing:
 - Fix a small memory leak (#724631)


Overview of Changes in GTK+ 3.11.5 to 3.11.6
============================================

* GtkActionBar is a new widget that is meant to be used
  for actions at the bottom of a window.

* GtkPopover:
 - A ::closed signal has been added
 - Style propagation to popovers has been fixed
 - Popovers can now be populated from a menu model
 - GtkMenuButton can use popovers instead of menus

* GtkAppChooserDialog has been redesigned

* GtkBox can now place a widget centered, regardless of
  the sizes of children on either side, similar to GtkHeaderBar.

* The API documentation has been converted to markdown, and
  many cleanups and improvements have been made at the same time.

* Bug fixes:
 706515 HeaderBars are sometimes too tall
 707999 HeaderBar height increases when the subtitle label is set...
 721309 Links inside dimmed labels get different colors depending...
 723014 wip: Make popover from menu model
 723394 const parameter to GtkPopover gtk_popover_set_pointing_to
 723627 The padding aroung the timelabel is wrong
 723637 GtkTreeViewColumn: fix critical warning
 723672 Dialogs with header bars - buttons should have an equal w...
 723716 GtkFlowBox::child-activated match slot signature
 723771 gtkwindow: remove delete-event idle function on finalize
 723863 Implementation for component->get_size not needed
 723929 Add a generic center box
 724008 void function should not return void expression
 724094 Add GtkEntry:max-width-chars
 724218 App chooser dialog looks rough
 724411 GtkAboutDialog: License visible even if not set and prede...
 724503 Make gtk_popover_bind_model() public
 724539 Can't drag primary toolbars with a GtkSeparatorToolItem i...
 724541 Labels with links can't be activated in a GtkListBox 

* Translation updates:
 French
 Galician
 Hebrew
 Indonesian
 Norwegian bokmål
 Russian
 Scottish Gaelic
 Slovenian
 Spanish
 Tajik
 Thai


Overview of Changes in GTK+ 3.11.4 to 3.11.5
============================================

* GtkPopover: A new widget that is can be used for transient
  views, as an alternative to menus or dialogs.

* Dialogs:
 - Dialogs have been modernized, can use a header bar now
 - Built-in dialogs react to a setting, gtk-dialogs-use-header
   for this, dialogs derived from GtkDialog: default to no headerbar
 - GtkAssistant also respects the setting

* OS X:
 - Better menu integration. Items such as 'Hide', 'Hide Others'
   and 'Show All' are now handled specially
 - GTK+ provides a default application menu now

* Theming:
 - GTK+ now uses RGBA visuals by default
 - Notebook tabs now support a prelight state
 - Reorderable notebook tabs can be themed differently

* Documentation:
 - The API documentation has seen numerous fixes and improvements
 - Docbook markup is being phased out in favor of markdown

* Bugs fixed:
 350190 Need specific icon for GTK_ICON_SIZE_SMALL_TOOLBAR for...
 566945 gtk_widget_override_color() documentation should menti...
 630217 RGBA visual by default
 634793 Use g_object_notify_by_pspec() / g_object_class_instal...
 636594 The default value of the property 'logo' in GtkAboutDi...
 665928 GtkWindow: Add comment about floating reference
 692931 The list of printers should be searchable/sortable
 699224 file chooser does not respect 12/24-hour clock setting
 704456 Synthesized crossing events don't have correct device ...
 711298 "Edit Scheduled Transaction" window way too modal
 720059 use headerbars in dialogs
 720552 Provide a more "native" Mac OS application menu
 721895 Remove GtkIconCache
 722429 docs/comments: Fix spelling of 'explicitly'
 722515 csd menu icon should use default window icon if per-wi...
 722574 GtkAboutDialog doesn't get headerbars when used from JS
 722588 GtkStack: add gtk_stack_get_child_by_name()
 722638 Version the gio-2.0 and wayland-client requirements (g...
 722642 Use symbolic icon for file chooser
 722722 Fix vertical alignment of labels in "Paper" section of...
 722919 Setting custom titlebar on realized window looks weird
 723119 docs: use |[ ]| instead of <programlisting></programli...
 723121 GtkPlacesSidebar: pressing "eject" icon does not power...
 723157 Merge GtkFileChooserWidget and GtkFileChooserDefault
 723159 CSD shadows are clipped
 723181 Use GtkPopover for GtkScaleButton
 723183 GtkStyleContext: don't use disconnect_by_func()
 723212 Use headerbar in GtkAssistant
 723366 GtkFileChooser crashes due to a signal connection left...
 723390 gdkwindow: Use an InputOnly window for focus_window
 723402 widget: Fix set_focus_child handling during focus changes
 723555 Decode extension names in X11 error handler

* Translation updates:
 Aragonese
 Brazilian Portuguese
 Estonian
 Galician
 Greek
 Hebrew
 Indonesian
 Kazakh
 Lithuanian
 Scottish Gaelic
 Simplified Chinese
 Spanish
 Tajik
 Traditional Chinese
 Ukrainian


Overview of Changes in GTK+ 3.11.3 to 3.11.4
============================================

* GtkActionBar: A new container, which has a centered
  child like GtkHeaderBar. It can be used in places
  where header bar theming is not suitable

* GtkAppChooser: The online support has been simplified
  and modernized 

* GtkHeaderBar button theming has been changed to be
  more flexible. There is now a gtk-decoraton-layout
  setting and a decoration-layout property.

* Accessibility:
  - Links in labels are now accessible
  - Model-based menus are accessible
  - Accessible roles of several widgets have been fixed
  - GtkColorChooser accessibility is improved

* Theming: The Raleigh theme has been updated for
  several new features, including client-side decorations

* Model-based menus now support a hidden-when attribute
  on items that allows them to be hidden on various
  conditions

* Bugs fixed:
 688421 GMenuModel menus should have a hint to hide items
 698248 race in placement for popup-menu/tooltip-window
 698786 window: add a maximized property to GtkWindow
 706119 Add introspection friendly version of gtk_tree_path_new...
 707729 orca speaks wrong label when using flat review on GtkTree
 709491 dark theme setting not propagated to vertical spinbutto...
 710315 Revert "treeview: Store editable position differently"
 710351 Migrate Mac OS menu backend to use GtkMenuTracker
 711552 Crash when processing list of GdkWindows
 711826 gtk_text_view_add_child_in_window not scrolling
 720264 Hovering item over sidebar "desktop"-entry crashes appl...
 720357 csd not working on Mac OS
 720401 gtk_menu_popup() doesn't destroy the menu after it is c...
 720535 CUPS backend leaks http connection to CUPS
 720551 improve/simplify quartz inhibit code
 720554 cell-renderer: Check for NULL return in vfunc start_edi...
 720939 GtkMenuButton direction = up isn't aligned correctly
 720945 Make nick names for properties "popup", "menu-model", ...
 720983 Objects of ATK_ROLE_CHECK_MENU_ITEM fail to emit object...
 721045 The accessible role of GtkColorSwatch should not be ATK...
 721048 GtkColorSwatch fails to emit an accessible object:state...
 721086 Accessible keybindings/mnemonics missing from certain m...
 721119 GtkMenuTracker: tweak separator logic
 721304 GtkApplicationX11: read the startup ID from the platfor...
 721317 Fix crash in testbbox and update gtkenum docs
 721346 non-standard CFLAGS_FOR_BUILD, CPPFLAGS_FOR_BUILD, LDFL...
 721406 Accessible object:state-changed:focused events missing ...
 721407 Criticals on GtkScrolledWindow composite widget
 721410 GtkLabels containing links should expose accessible chi...
 721421 Links within a GtkLabel should expose their URIs via ATK
 721480 3.8->3.10 scrolled window is empty
 721530 License text contains obsolete FSF postal address
 721633 bloatpad: fix the action associated with the notification
 721665 Provide a better way to display contextual actions
 721700 invalid callback prototypes leads to test issues
 721800 using border-style: dotted seems to freak out all drawing
 721836 Simplify GtkActionHelper
 722029 Memory leak in gtkplacessidebar.c
 722030 Memory leak when scrolling through GtkTreeView
 722070 gdk: Don't leak GValue when xsetting is unknown
 722076 Add separator before "Always on Top" to the CSD window
 722106 By clicking "Menu key" you can open as many menus as yo...

* Translation updates:
 Brazilian Portuguese
 Czech
 Galician
 German
 Greek
 Hebrew
 Hungarian
 Italian
 Kazakh
 Russian
 Simplified Chinese
 Spanish
 Tajik


Overview of Changes in GTK+ 3.11.1 to 3.11.3
============================================

* gtk3-demo has received some updates

  - Uses GtkHeaderBar now

  - New header bar demo

  - New event details demo

* Wayland is now using the xdg-shell

* Client-side decorations are more compatible with
  traditional desktops now

* Bugs:
 386569 GtkFileChooser enters first file name into the entry...
 415415 tree lines drawn in black
 679563 Properly annotate the GtkRadio* widgets
 691974 ComboBox only scrolls the first time
 694859 Can not scroll down list in Combobox the first time ...
 702663 GtkComboBox::appears-as-list does not respect scrolling
 705203 Natural scroll doesn't work immediately
 708907 Strings not extracted
 709027 List mode has black background
 709716 gdk_x11_screen_lookup_visual segfault on multiple X ...
 710510 gtkimcontextsimpleseqs.h can be updated.
 711552 Crash when processing list of GdkWindows
 711715 gtk object tests: run under local environment
 712302 GtkPlacesSideBar showing "Desktop" or not shouldn't ...
 712536 Themes with specified gap_file, gap_start_file or ga...
 712632 infobar and revealer not respecting enable-animation...
 712751 Don't wake up Avahi printers unnecessarily
 712760 Clang static analysis fixes
 712799 Memory leak when listing Avahi printers
 713044 build: bump requirement on gobject-introspection to ...
 715029 Ensure GdkScreen::monitors-changed gets emitted afte...
 719314 gdk_property_change segfault on multiple X protocol ...
 719460 value argument to GtkTreeModelFilterModifyFunc needs...
 719469 Alternative for deprecated function in gtkstyle.h is...
 719486 Visual issue in GtkButton when it has been disabled ...
 719505 Wrong icon for desktop entry in FileChooser dialog
 719510 Infobar always visible on gtk 3.10.5 with enable-ani...
 719568 Search bar area is still visible when switched off
 719595 Toolbar style context is created before style class ...
 719713 toolbar: draw a full box for separators
 719762 translate_crossing_mode() assertion error since rece...
 719861 Menu separators aren't selectable independently from...
 719977 Can not use GtkFileChooserDialog: assertion failure
 719987 Add demo for advanced event management
 720067 header bar title not updated by gtk_window_set_title
 720096 New function to set the default direction of the locale.
 720233 Make GtkHeaderBar support all kinds of CSD content, ...
 720256 GtkScaleButton popup appears positioned randomly on ...
 720293 GtkFileChooserDefault: Remove unused struct field
 720296 testtitlebar: Fix -Wunused-variable warning
 720338 Crash when closing http connection to CUPS
 720342 gdkwindow: Use GdkWindowHints instead of guint for flags
 720374 Windows with shadows cannot be moved to the top of t...
 720410 GPL license link doesn't specify "or later"
 720550 Refactor GtkApplication 

* Translations:
 Galician
 Hebrew
 Italian
 Spanish
 Tajik
 Tamil


Overview of Changes in GTK+ 3.11.0 to 3.11.1
============================================

* Theming:
 - A number of containers have been changed to draw
   backgrounds and borders. By default these are fully
   transparent, so nothing should change:
   GtkBox GtkFixed GtkGrid GtkEventBox
 - Link colors are not rendered using the :visited and :link
   states instead of the link-color and visited-link-color
   style properties

* Broadway:
 - Use client-side decorations
 - Implement window movement, raise/lower
 - Use rolling hashes for optimizing scrolling
 - Use click-to-focus
 - Support touch events
 - Support IPad on-screen keyboard

* GtkFileChooser:
 - Respect local-only in the places sidebar
 - Filter out duplicate application shortcuts
 - Show unmounted bookmarks

* GtkProgressBar:
 - Activity mode is now using a tick callback to move the block
   smoothly

* GtkWindow:
 - Fix size allocation for the fallback menubar
 - Improve application menu fallback if we have client-side
   decorations or a header bar

* GtkBuilder:
 - No longer requires every object to have an id

* Bugs fixed:
 577642 Selected Printer Does Not Stick Between Sessions
 635499 gtk_entry_completion_set_text_column doesn't remove old...
 668598 Printing to PDF should register the generated file with...
 679019 Popup menu misplaced in dual monitor
 693227 Incorrect size allocation with overflow
 699574 gtk_selection_owner_set() breaks mouse wheel scrolling
 700419 Trigger toggle maximize on double click in menubar/menu...
 702392 motion_compression hurts precision for drawing
 703784 Epiphany crash during displaying printing dialog
 705176 Reordering columns in GtkTreeView freezes mutter
 709629 Use :link and :visited for link colors
 710238 Fix the margin in RTL
 710533 GtkBuilder can no longer construct GtkEntryCompletions ...
 710909 Buttons are cut in some windows
 710987 g_return_if_fail used even if function requires return value
 711110 GDK_HINT_MAX_SIZE ignored on Win32
 711158 gtktextattributes: Use an anonymous union instead of arch-...
 711255 GtkListBox: Expand the placeholder
 711324 Some more patches to make more containers honor background...
 711354 Doc: some GtkPrintSettings symbols are missing
 711494 GtkStack: add a signal telling when transition is done
 711545 gtkpixelcache: Possibly ignoring queued redraw
 711548 GtkPlacesSidebar doesn't show unmounted bookmarks
 711553 gdk/win32: remove extra allocation for \r removal
 711574 GtkPlacesSidebar is missing "local-only" flag
 711611 GtkStack: Use new-style property installation/notification
 711636 Duplicated 'Music' and 'Videos' from favorites on ...
 712164 GtkMenuTracker: set action namespace correctly
 712302 GtkPlacesSideBar showing "Desktop" or not shouldn't be...
 712553 GtkBuilder: Make IDs optional 

* Translation updates:
 Arabic
 Brazilian Portuguese
 British English
 French
 Greek
 Polish
 Spanish


Overview of Changes in GTK+ 3.10 to 3.11.0
==========================================

* New notebook tab styling: GtkNotebook now offers a way
  for themes to opt out of the tab rendering, with the
  'has-tab-gap' style property. The Adwaita theme is using
  this to achieve a more modern tab appearance.

* GtkFlowBox: A container that its children in a reflowing
  grid, which can be oriented horizontally or vertically.
  It is similar to GtkListBox in that the children can
  be sorted and filtered, and by requiring a dedicated child
  widget type, GtkFlowBoxChild. It is similar to GtkTreeView
  in that is supports a full set of selection modes, including
  rubberband selection.

* GtkStack: children can now indicate that they require
  attention by setting the needs-attention child property.

* Broadway now requires binary array buffers and modern WebSocket
  protocol support

* Autoscrolling in range widgets has been improved to work more
  reliably in maximized windows.

* GtkSpinner has been changed to render in in a limited set of
  sizes.

* GtkApplication now stores and handles accelerators for GActions
  itself.

* GtkIconTheme now falls back to the gnome icontheme to fix
  problems with the availability of symbolic icons in other
  icon themes.

* GTK+ respects the deprecated gtk-button-images and gtk-menu-images
  settings again.

* Bugs fixed:
 168530 gtk_accel_map_load: wasteful extra stat call.
 341146 reorder lines in configure.in for a better display
 467720 Useless use of const qualifier
 586107 gtkprintbackendpapi.c does not compile on Solaris 10
 643914 Area under tabs need its own style class
 651224 null pointer dereferenced due to multiple bugs in gtk...
 681484 GtkAboutDialog has extra space when gtk_widget_show_a...
 691163 GtkNotebook unable to style active tab
 693586 Erroneous focus claims resulting from gtk_notebook_se...
 697031 gtk_notebook_draw's type doesn't match GtkWidget::draw
 698730 tooltip: Fix possible wrong placement
 702196 Unfinished frame being presented
 703062 GtkTreeViewColumn returns negative size request on em...
 703603 Remove GtkWidget opacity-group hack in 3.12
 707132 gtkwindow: Allow removing titlebar all together
 707187 GtkStack: Add more transition types
 707524 CSD windows "shake" when they go backdrop
 707920 notebook tab style improvements
 708019 Invisible characters at the end of a TextView within...
 708024 Accessibility being initialized in the wrong place
 708163 all symbolic icons are missing when using icon theme...
 708414 entrycompletion: set the GtkWindow as attached to th...
 708423 current line highlighting not working anymore in Gtk...
 708547 search provider crashes: gnome-contacts-3.9.90-1.fc2...
 708583 StyleContext: removing or adding a provider doesn't ...
 708584 GtkTextView: add a virtual function create_buffer()
 708787 GtkStatusbar text is mangled
 709049 gtk_widget_destroy() on a GtkHeaderBar tries to gtk_...
 709212 Configure fails if I don't have wayland dependency
 709215 Rounded-corners on CSD apps dont flatten when snapped
 709264 Fix memory leaks in icons handling
 709323 properly check titlebox visibility
 709420 Rulers hardly visible in dark themed page setup tab
 709522 GtkFileChooser sidebar is not populated since 742a2f11
 709613 GtkStack: Warn when setting a child visible which is...
 709621 gdkevents.h: Mention _get_source_device()
 709687 listbox: Fix keynav_failed() parameter in move_cursor()
 709697 Fix a warning in builg gtk+ with clang
 709745 GtkSearchBar example problems
 709854 Wayland: Reliable crash when hovering over items wit...
 709939 monitor reconfiguration while GtkOffscreenWindows ex...
 709967 Double free in gtkicontheme.c
 710073 Assertion failure because _gtk_icon_info_load_symbol...
 710096 gtk3.10 doesn't work correctly when used from a dyna...
 710134 GtkToolButton possibly being empty
 710141 gtk_shell_interface exported in libgdk
 710389 Don't set WM_TAKE_FOCUS if accept_focus is FALSE
 710651 all: Add names to timeouts
 710666 Frame clock related bug fixes 

* Translations:
 Afrikaans
 Arabic
 Basque
 Catalan
 Catalan (Valcencian)
 Danish
 Dutch
 German
 Hungarian
 Indonesian
 Latvian
 Russian
 Slovenian
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.9.14 to 3.9.16
============================================

* Bug fixes:
 339539 Ctrl-C, Ctrl-V changes tags
 513812 Optimize gdk_cairo_set_source_pixbuf() alpha multiplication loop
 696756 gdk_device_get_source : assertion `GDK_IS_DEVICE(source)` failed
 702034 color_value_parse() memory leak
 702423 CellRendererPixbuf regression: Stock icons with rtl/ltr varia...
 706269 Clarify GtkBox, GtkHBox, and GtkVBox documentation
 706345 GtkExpander's click-and-drag behavior should match that of Gt...
 706708 GtkHeaderBar doesn't respect titlebar button layout setting
 707129 wayland: support application menus
 707244 pixelcache: gtktextview pixelcache does not invalidate textma...
 707328 Segmentation fault when running on Wayland compositor
 707445 ghost cursor when mouse hovers over an image file in a tab
 707488 Typo in error message in gtkfilechooserdefault.c
 707519 Missing introspection annotations
 707659 orca becomes non-responsive when doing read line on Unbound
 707704 Prefer Wayland to X11
 707778 The redesigned "Universal Access" and "Date & Time" panels ca...
 707786 Collapsed Gtk combo boxes no longer emit accessible selection...
 707844 No way to get window field a GdkEvent from Gjs
 707872 GtkSwitch shouldn't have a default name
 707915 Accessible object for GtkListBoxRow should have list_item role
 707926 GtkSwitch shouldn't have a default accessible description
 707981 GtkHeaderBar needs a better accessible role
 708012 Wayland dependency inaccurate
 708067 Headerbar 'Previous' and 'Next' buttons are not keyboard navi...
 708076 Doc: small fixes in GtkTextView
 708128 listbox keynav gets stuck at insensitive rows
 708150 GtkWidget: Add gtk_widget_remove_action_group()?

* Translation updates:
 Belarusian
 Brazilian Portuguese
 Czech
 Danish
 Finnish
 French
 Galician
 Hebrew
 Hungarian
 Indonesian
 Italian
 Japanese
 Korean
 Latvian
 Lithuanian
 Norwegian bokmål
 Polish
 Punjabi
 Russian
 Slovak
 Slovenian
 Spanish
 Tajik
 Thai
 Traditional Chinese


Overview of Changes in GTK+ 3.9.12 to 3.9.14
============================================

* GtkLabel can now ellipsize just the last line,
  ellipsized in multi-line labels.

* Bugs fixed:
 680953 set_item_width / text wrapping doesn't work in iconview...
 700428 Default input method should be chosen based on the inpu...
 701125 port scrolling to GtkPixelCache
 704278 Possible crash when destroying a tick callback
 705980 Update Win32 code so that GTK+ will build and run
 706323 HeaderBar window menus
 706448 Shortcut <ALT> + O in Save As Dialog is not Unique
 706451 Path bar - pushed buttons have an erroneous bold weight
 706493 fix some memory leaks
 706529 CSD fixes for mutter/gnome-shell
 706563 Un-deprecate gtk-entry-password-hint-timeout
 706592 csd: some fixes for the titlebar
 706722 path bar looks broken when the window is to small to fit...
 706728 pixelcache: allow specifying extra size and cairo_conten...
 706740 a typo in gtk_icon_view_key_release()
 706756 GtkAssistant behaviour changed and now throws 'Page flow...
 706778 GtkMessageDialog contains translatable space
 706802 Missing docs for GTK_PRINT_SETTINGS_OUTPUT_DIR and GTK_P...
 706870 serial number jump bigger than 1000 warnings
 706922 Set the opaque region when using CSD
 706929 HeaderBar padding - account for double bottom button border
 706938 revealer: clamp minimum size to natural one
 707051 Do not hardcode title and subtititle style
 707201 Needs glib 2.37.5

* Translation updates:
 Brazilian Portuguese
 Czech
 Galician
 Irish
 Italian
 Kazakh
 Lithuanian
 Norwegian bokmål
 Polish
 Punjabi
 Scottish Gaelic
 Slovenian
 Tajik


Overview of Changes in GTK+ 3.9.10 to 3.9.12
============================================

* GtkInfoBar now uses a GtkRevealer internally to slide in place.
  It is no longer necessary to do that manually.

* GtkHeaderBar can now add a window close button

* The fine adjustment mode for scrolling has been revamped to be
  easier discoverable, and visual feedback and autoscrolling has
  been added.

* GtkIconTheme now supports 2x scaled icons for hi-dpi displays.

* The Wayland and X11 clipboard implementations can now coexist

* Bugs fixed:
 448637 Convert comment in gtkmenushell.c into docs
 672220 GtkFileChooserButton dialog stretched, when user has a really...
 674108 Hard crash due to wrong NSAutoreleasePool stacking
 680926 generic type fallback logic is broken for -symbolic
 688738 GtkMenuButton problem with mnemonics / accelerators
 692548 Quartz: Cursor doesn't reset when the mouse leaves a toplevel...
 694831 GtkEntry provides no visual feedback when editable=FALSE
 697127 gedit context menu uses fixed-width font
 697399 GtkEntry: Add a "tabs" property for setting a PangoTabArray...
 700029 GdkEvent type not accessible from Javascript
 701571 1ad25dfb causes NSApp to not notice NSWindow destruction
 702144 Make gdkwin32.h a pure include-only header
 702971 GtkHeaderBar - pick up window controls from the system settings
 704173 Don't use UNIX-specific printer objects on non-UNIX
 704334 add revealer to infobar
 704703 fine adjustments are difficult with scrollbars
 705068 Update the GDK and GTK on Win32 to not use deprecated APIs
 705181 Annoying beep on arrow keys when using IME on MacOS
 705182 Reset Cocoa IME state when immodule is reset
 705215 Minimum required cairo version should be 1.12 since 83c5e354b
 705320 gtkicontheme: check for GdkPixbuf first
 705372 gtk_image_menu_item_new_from_stock deprecation warning point...
 705443 Fix image effects
 705498 build and enable wayland backend by default
 705524 searchbar: ignore GDK_KEY_Menu in handle_event()
 705529 GtkTextView: improve documentation
 705558 [listbox] convenience methods to prepend and insert at index
 705601 headerbar: some improvements
 705605 Improve the spring-back animation for drag and drop
 705624 paned: minus the size by the handle for the for_child1 compu...
 705640 GtkWindow incorrectly requires a default screen
 705672 Inconsistent deprecations. GtkComboBox and GtkMenu.
 705692 Segmentation fault on horizontal slider
 705750 Quartz input method doesn't work correctly for Chinese characters
 705765 gtkwindow: Export our custom frame extents
 705809 Middle click on HeaderBar (as tiitelbar) isn't moved to the...
 705918 Add gtk_button_new_from_icon_name
 706014 Searchbar entry lacks an accessible name
 706045 Set GtkBox as titlebar of the window - the background of the box...
 706152 g_object_notify called with NULL priv->focus_widget
 706220 Add the "text-button" style to button created with gtk_button_ne...
 706028 The pathbar in GTKFilechooser don't stick together
 706335 doc: Fix typos

* Updated translations:
 Arabic
 Czech
 Galician
 Hebrew
 Hungarian
 Lithuanian
 Norwegian bokmål
 Spanish
 Tajik
 Traditional Chinese


Overview of Changes in GTK+ 3.9.8 to 3.9.10
===========================================

* GtkInfoBar updates
 - Turn action area horizontal
 - Fix spacing
 - Add an easy way to add a close button

* Documentation
 - Modernize many screenshots
 - Redo the widget gallery
 - Improve 'Getting Started' tutorial
 - Add new application examples to tutorial

* Deprecations:
 - tear-off menuitems

* Bugs fixed:
 684558 gtk_tree_model_rows_reordered is skipped by introspection
 694086 GtkEntry elements need clipping
 698758 Wrong limit for "Native Windows wider or taller than 65535...
 700229 provide a way to rate limit change signal in GtkSearchEntry
 700896 Rename gtk_widget_class_declare_callback()
 700898 Explain what "automated" mean in the context of children c...
 701332 Patch for minor glitch in NSTextInput
 701365 Do not assert sm_proxy != NULL in GtkApplication inhibit f...
 701613 XEmbed doesn't work with frame-synced GTK/Mutter
 702563 gtk_widget_class_automate_child() takes private offset
 704104 gdk/wayland: cope with the compositor implementing an olde...
 704164 GtkSearchEntry: the contents is always cleared on icon-rel...
 704171 Fix prototype of gdk_device_win32_warp
 704216 Fix prototype for gdk_quartz_device_core_warp
 704274 Add API to show a close button on GtkInfoBar
 704392 Improve GtkAction deprecation notices
 704554 FIX mmap fails when getting root_window
 704700 Gtk.IconView.get_cursor segfault
 704747 testsuite/a11y: Don't check minimum increment
 704894 The GtkInfoBar close button is visible by default
 704937 IME input method does not handle dead keys
 705060 Remove unneeded include from gtkprintoperation-win32.c

* Translation updates
 Czech
 Italian
 Lithuanian
 Norwegian bokmål
 Tajik
 Traditional Chinese


Overview of Changes in GTK+ 3.9.6 to 3.9.8
==========================================

* We've started deprecating GtkStock apis. These apis will continue
  working until GTK+ 4, so there is no need to rush to replace them.
  For more information, see
  https://mail.gnome.org/archives/gtk-devel-list/2013-July/msg00000.html
  Wholly deprecated as part of this effort:
  GtkIconFactory, GtkIconSet, GtkIconSource, GtkImageMenuItem,
  GtkAction, GtkUIManager

* The GtkSettings cleanup that was discussed at the recent GTK+
  hackfest has started to land. A number of settings have been
  deprecated and are ignored now:
  gtk-button-images,
  gtk-show-unicode-menu,
  gtk-show-input-method-menu,
  gtk-enable-mnemonics,
  gtk-auto-mnemonics,
  gtk-color-palette,
  gtk-can-change-accels,
  cursor blink settings,
  gtk-fallback-icon-theme,
  gtk-scrolled-window-placement,
  menu popup delay settings,
  gtk-menu-bar-accel,
  keynav tweaks,
  gtk-touchscreen-mode,
  gtk-icon-sizes,
  im style tweaks,
  gtk-file-chooser-backend,
  gtk-enable-tooltips,
  gtk-visible-focus,
  tooltip timeout tweaks,
  toolbar style tweaks

* Initial support for scaled output (on high-dpi screens) has been
  added. While this can be built with cairo 1.12, it needs a cairo
  branch to work. Support for this has been added to the Wayland,
  OS X and Windows backends.

* Bugs fixed:
 390048 Entire word search flag
 672271 File chooser seems over-enthusiastic about using subdirectories
 696498 can't set download folder
 701119 Error messages when GtkAboutDialog shows license info
 702332 File Browser: Filter submenu is missing from context menu
 702831 Shaped GDK windows do not work
 702913 Reduce hash table lookups in gdk_x11_screen_supports_net...
 702977 Problem with gtk_text_iter_forward_search(), multi-byte ...
 702981 GtkListBox docs still refer to GtkListBoxUpdateSeparatorFunc
 702996 Port to the new private macros and API
 703069 Opening a big menu activates some menu entry
 703154 Calling gtk_widget_set_opacity() on an unrealized widget...
 703220 Memory allocation integer overflow in gdk_cairo_set_sour...
 703313 Improve documentation of the GtkTextView API
 703406 GtkSearchBar does not automatically connect entry
 703533 textlayout: avoid double-free when adding preedit color
 703606 GtkPlacesSidebar should use g_themed_icon_new_with_default...
 703616 Inconsistent deprecations. GtkIconSet and other classes.
 703618 listbox: Add function to get the index of a GtkListBoxRow
 703656 GtkSearchBar: Don't show a close button by default
 703765 Build of wayland backend fails when not building X11 backend
 703827 Confusion in docs for gtk_recent_info_get_modified () and...

* Translation updates:
 Tajik
 Vietnamese


Overview of Changes in GTK+ 3.9.4 to 3.9.6
==========================================

* GtkListBox:
 - handle double-clicks properly
 - add an example in gtk3-demo
 
* Bugs fixed:
 390048 Patch for adding "whole word" search for gtk_text_iter...
 560337 GtkFileChooser hour time missing for current date files
 649390 CRLF text is copied to clipboard as CRCRLF on Windows
 679930 gtk_builder_add_* should not use GError
 698183 Text input is too slow and some keys are broken after...
 701174 Update misleading filechooser documentation
 702598 Invalid read of size 4 in gtk_icon_info_get_embedded_rect
 702695 typo: "and thus will thus"
 702763 ellipsize placeholder text

* Translation updates:
 Italian
 Tajik


Overview of Changes in GTK+ 3.9.2 to 3.9.4
==========================================

* GtkSearchBar: a toolbar that will popup automatically when
  searches should be started, and dismissed when they are finished

* GtkListBox a vertical container that can sort and filter its
  children

* GtkStack has gained position dependent transitions (left-right
  and up-down)

* The Broadway GDK backend can be built on Windows now

* Bugs fixed:
 593079 untranslated strings in errors
 692638 Don't use AC_CANONICAL_TARGET
 699673 [3.2/3.4/3.6/3.8] uuid conflicting on Windows
 700185 GtkWindow: problem with child widget visibility
 700444 [W32] The use of uninitialized GDK default screen
 700779 gtk_menu_item_draw puts the arrow too close to the border
 701463 typo: "a string containing the an approximation"
 701840 deprecate gtk_im_multicontext_append_menuitems
 702370 a11y's /child/add-remove/GtkEntry test reads invalid memory

* Translation updates
 Brazilian Portuguese
 Chinese
 Czech
 Japanese


Overview of Changes in GTK+ 3.9.0 to 3.9.2
==========================================

* The GDK initialization code has been refactored. GdkDisplayManager
  is no longer backend-specific.

* The symbol exporting functionality has been refactored. We no longer
  use .symbols files, and instead rely on explicit header annotations
  for every exported symbol. the abicheck scripts are no longer used.

* The GDK drawing and scrolling has been simplified. We no longer use
  XCopyArea for scrolling, instead an offscreen cache is used. There
  is a new debug flag, GTK_DEBUG=pixel-cache for this.

* Window sizing issues have been addressed.

* Implement height-for-width for GtkEventBox and GtkCheckButton

* Custom titlebars can now be set from GtkBuilder files

* Optionally install tests, when configured with --enable-installed-tests.
  To run these tests, gnome-desktop-testing-runner can be used.

* Native input methods are supported on OS X now.

* Bugs fixed:
 360131 Wrong documentation for gtk_file_chooser_set_do_overwrite_...
 561221 Don't allow file bookmarks
 591969 make the FileChooser dialog handle Make FileChooser handle...
 628902 use expand flags to determine window resizability
 667759 gtkdnd-quartz.c is missing annotations for introspection
 691921 GTK+ (quartz) built on Mac OS X 10.5 references [NSMenu re...
 694273 Patch to support NSTextInputClient in text widgets
 695120 GtkMenu and GdkWindow sizes can get out of sync
 696001 need to know about tiling
 696640 GtkButton: Don't suppress unhandled mouse events
 698051 Typo in documentation comment
 698361 file chooser: menu commands should be capitalized
 698933 places sidebar: don't capitalize "file system"
 699104 when nothing is selected, Add to Bookmarks is enabled but ...
 699140 Baseline support breaks height-for-width in event box
 699239 Choose DnD/tooltip widget better on GtkOverlay and other l...
 699289 API request: MenuItem has no function to set label markup
 699633 GtkWindow: critical messages when negative size allocations
 699690 Cross-compilation broken as of 3.9.0 due to extract-string...
 699739 GtkSettings fails to read uint properties from settings.ini
 699750 Print dialog crashes when printer does not provide printer...
 699901 GTK CSS keybinding broken
 699929 GtkCheckMenuItem: remove an unused boolean field
 699970 Fullscreen OSD not visible against gtk+ git master
 700007 Various small improvements
 700053 titlebar: fullscreen broken
 700054 titlebar: warning at destroy time
 700056 titlebar: dialogs do not appear centered
 700079 Fix accels added after the window was shown not working
 700233 Gtk+ exits on X11 when querying a slave device
 700301 wayland: ensure the clip region is updated after the windo...
 700465 Missing NULL-check in XI2's implementation for get_window()
 700575 docs: remove unused objects_grouped.sgml
 700578 Missing vertical grid lines when some columns hidden.
 700737 [wayland] gdk_screen_get_height() returns wrong value
 700787 Add GtkSearchBar widget
 700844 GdkRgba: Fix 'loose' typo
 700864 error_selecting_folder_over_existing_file_dialog() will ne...
 700979 GtkPlacesSidebar: do not unref mount

* Translation updates:
 Brazilian Portuguese
 English
 Hebrew
 Japanese
 Norwegian bokmål
 Russian
 Slovak
 Spanish
 Tajik


Overview of Changes in GTK+ 3.7 to 3.9
======================================

* GtkFileChooser:
 - Always show fuse-mounted locations in shortcuts
 - GtkFileChooserButton has received a lot of fixes and tests have
   been added for many of them

* GtkWindow:
 - Initial support for client-side decorations has been added. This
   is going to be used by default under Wayland. To try it with other
   backends, set the GTK_CSD=1 environment variable.
 - gtk_window_set_titlebar: A new function that can set a custom,
   client-side titlebar on toplevel windows.

* Wayland:
 - Use client-side decorations
 - Implement maximization
 - Improve cursor handling
 - Improve multi-monitor handling
 - Support most GtkSettings (for now by reading GSettings directly)
 - Complete the keymap implementation
 - Add support for custom surfaces
 - Implement animated cursors
 - Support the WAYLAND_SOCKET environment variable
 - Implement frame synchronizatio
 - Document Wayland-specific APIs

* Broadway:
 - Improve window size handling
 - Implement frame synchronization
 - Add support for password authentication

* New APIs, widgets, feature additions:
 - GtkHeaderBar is a new widget similar to a GtkBox, with the extra
   feature that it can center a child (typically a title), independent
   of the other content.
 - GtkPlacesSidebar is the sidebar widget in the file chooser, exported
   as a public widget - it will be shared with nautilus.
 - GtkStack is an alternative to GtkNotebook for showing one of several
   child widgets at a time. It supports animated transitions. Tabs are
   not built into this widgets, but instead provided by the separate
   GtkStackSwitcher widget.
 - GtkRevealer is a new new widget that can hide or show its child
   in an animated fashion.
 - GtkMenuTracker is a helper object that makes dealing with
   GMenuModels easier and more efficient.
 - gtk_grid_remove_row/column: New functions to remove whole rows
   or columns from a GtkGrid
 - Support for composite children has been added to GtkWidget. This
   allows to create complex widgets from GtkBuilder ui files. All
   complex GTK+ widgets have been converted to use this facility.
 - Baseline support was added to the GTK+ size allocation machinery.
   Widgets can now export the baseline of the text they contain,
   and containers can align their children wrt to their baselines.


* Known problems, feature removals, compatibility caveats:
 - Handling of window size is currently in flux, and there are
   some known problems with sizes unintentionally changing
 - Support for the Motif DND protocol has been dropped
 - Client-side decorations still have some issues when drawing
   directly on toplevel windows or setting their background
 - Support for multiple screens per display has been removed. This
   was only ever supported on X11, and is an exceedingly rare setup
   nowadays. The display-screen relation is now 1:1, and we will do
   some more simplification of displaymanager/display/screen/monitor
   APIs.
 - gdk_window_get_display has been deprecated
 - gtk_widget_push_composite_child has been deprecated - this was
   used for anything
 - GtkSwitch has been changed to draw focus internally, instead of
   reserving space outside the switch for it. This may require some
   application adjustment where margins were tweaked to 'correct'
   the alignment of switches manually

* Printing:
 - Avoid blocking when looking for avahi printers
 - Don't link against avahi-gobject, use D-Bus directly

* Bugs fixed:
 504901 GtkCellRendererCombo requires click-and-hold
 586367 In local_only mode, file chooser should return native pa...
 671939 [regression] crash on exit
 672018 Need API to set global application state (busy, counters...
 674051 Scrolling zoom in view - incorrect image display
 674759 GtkLabel: wrong value of "mnemonic-keyval" when "use-mar...
 675571 (out) or (inout) annotation possibly missing for gtk_men...
 675649 gtk-demo: Fix typo
 680241 Instructions on how to build a GTK app won't work with r...
 681446 gtkdnd memory leak
 685419 gtkprintbackendfile: Infinite loop in _cairo_write()
 685420 Critical warnings when GtkPrintJob is released too early
 688820 GIcon is a bad interface
 688896 Add documentation for GtkWidget::show,hide,map,unmap,rea...
 690275 scrolling on other windows is applied when coming back (...
 691040 selection is reported incorrectly in file chooser button
 692871 Need to expose output information to make GdkScreen API ...
 694339 Fix build of GTK+ on Windows
 694465 Allow backends to fail during initialisation
 695200 Switching apps while a combobox open makes the parent wi...
 695228 GdkPixbuf:ERROR:gdk-pixbuf-animation.c:242:gdk_pixbuf_an...
 695278 Avoid passing a NULL title to setTitle
 695304 GtkTextView: don't popdown a bubble if we don't have one
 695312 Initial 'text' set in the non-numeric-only GtkSpinButton...
 695375 GtkEntryAccessible: also handle entry icon tooltip NULL ...
 695380 gtk_binding_entry_skip broken
 695391 wayland documentation section id is "gtk-osx"
 695473 treeview: fix a critical warning
 695476 Drop the Motif DND protocol
 695482 Universal Access panel appears jumbled and horrible afte...
 695493 testgtk: issues with the color selection example
 695495 testgtk: cursor example segfaults
 695497 testgtk: lack of key repeat
 695506 gtk-demo: link hovering unreliable
 695682 Cannot build docs for wayland-only build
 695714 Getting of printer info can hang
 695772 Different appearance of menus within Audacious
 695783 GtkApplication: Allow passing windows on non-X11 targets
 695861 Allow to use custom surfaces for GdkWindows in Wayland
 695874 GtkFontChooser docs
 695895 Fix the gtk3-demo demo program on Windows
 695945 implement minimize / maximize functionality
 695948 GtkFontButton sets wrong show-preview-entry
 695998 csd: enable shadows in the outer border
 696051 vertical grid lines in rtl mode
 696138 GtkWidget: some deprecation marks are missing
 696171 GtkAssistant highlighted font unreadable
 696202 Add GtkSpinner animation back to Win32 theme
 696232 win32: do not crash on invalid utf8 conversion
 696340 wayland: device list is populated async
 696370 GtkOverlay doesn't work on top of GtkClutterEmbed
 696429 wayland: Implement animated cursors
 696457 gnome-ostree build broken by 3a9de35a6cefddc09aaf000e523...
 696468 improve GMenuModel -> GtkMenu conversion
 696546 gtk_print_backend_cups_finalize() crashes if cups_get_pr...
 696553 Crash in avahi_create_browsers
 696561 GtkApplicationWindow rendering broken
 696608 css_image_value_parse: returning FALSE in pointer function
 696622 gtk option printer widget segfault in epiphany
 696623 GtkOverlay with a revealer produces warnings setting a m...
 696767 a pair of memory leaks
 696882 [regression] GtkWindow changes size after hide/show cycle
 697048 GtkTextView: small code improvements
 697144 Popup menu mnemonics fixes
 697196 gtk_notebook_set_tab_reorderable boolean handling
 697200 GtkWindow: notify::attached-to not emitted
 697263 Impossible to set window transparency on 3.8
 697275 gtk_window_set_default_size() doesn't work anymore
 697427 Unreferencing GtkStatusIcon object causes abort
 697673 Apps should connect only once when using Wayland
 697795 xi2: Improve pointer emulation debug reporting
 697886 dnd icon drawing broken on master
 697947 A lot of GTK+ apps fail to launch with error "desktop_she...
 698181 Document icon-shadow CSS property
 698433 Geometry management broken in GtkBin widgets
 698682 GtkSpinButton: don't constantly recreate style contexts f...
 698864 wayland: improve integration with GdkFrameClock
 699020 GtkImage: do not leak metrics in baseline align
 699225 typo: Modifed -> Modified

* Translation updates:
 Arabic
 Aragonese
 Assamese
 Belarusian
 Brazilian Portuguese
 British English
 Catalan
 Catalan (Valencian)
 Czech
 Danish
 Finnish
 French
 Galician
 German
 Greek
 Hindi
 Hungarian
 Indonesian
 Italian
 Kazakh
 Korean
 Latvian
 Malayalam
 Odia
 Persian
 Polish
 Punjabi
 Russian
 Serbian
 Simplified Chinese
 Slovenian
 Tajik
 Tamil
 Ukrainian


Overview of Changes in GTK+ 3.7.12
==================================

* We now support touch friendly popups on entries and text views
  in place of context menus, on touch devices

* The print dialog now shows printers that are discovered
  using avahi, if configured with --enable-avahi-browsing

* Bugs fixed:
 650424 treeview: expander is not easily themable
 674207 window: Compiler warning when not building on X11
 675333 Cannot forget association in Open With dialog: program...
 688956 Print dialog needs to support Bonjour broadcasting of ...
 691426 get_current_desktop does not interpret property data c...
 692955 GtkIconCache fails to load non-builtin icons
 693995 GkColorChooserWidget crashes in select_swatch if palet...
 694059 GtkTreeView accessible object:state-changed-expanded e...
 694162 Memory leaks due to extra ref in gtk_ui_manager_builda...
 694217 drag&drop half-broken – items get stuck while dragging
 694274 wayland: don't attempt to unqueue events when events a...
 694302 Convert pixbuf animation demo (both copies) to GdkFram...
 694395 Remove unused code
 694406 Excessive amount of accessible text events when changi...
 694451 Containers shouldn't special case RTL positions
 694732 gdk: prevent NULL pointer access when debugging is ena...
 694742 Fix possible memory leak when GlobalAlloc() fails
 694924 Dead code in GtkClipboard
 694925 non-expose based draw() doesn't render window background
 694968 GtkIconTheme: fix failed assertion when asynchrnously ...
 694990 use primary icon slot for search icon
 695131 gtkbin: initialize minimum and natural size to zero fo...

Translation updates:
 Brazilian Portuguese
 Czech
 Estonian
 German
 Greek
 Gujarati
 Lithuanian
 Polish
 Punjabi
 Russian
 Serbian
 Simplified Chinese
 Slovenian
 Spanish
 Traditional Chinese
 Vietnamese


Overview of Changes in GTK+ 3.7.10
==================================

* We now support the Window Manager frame synchronization protocol draft (when
  running under a WM that supports it). This means applications will throttle
  their drawing cycle to what the compositor is drawing, and the compositor
  will never render half-updated windows, for seamless resizing and improved
  smoothness in drawing.
  See https://mail.gnome.org/archives/wm-spec-list/2013-January/msg00000.html
  and the articles at http://blog.fishsoup.net/ for more details.

* We now support setting an opacity to any GtkWidget, not just toplevels:
  gtk_window_set_opacity has been deprecated in favor of gtk_widget_set_opacity.

* GtkIconTheme gained asynchronous loaders for GtkIconInfo objects

* GtkIconInfo has changed from being a boxed type to a GObject. This
  is technically an ABI change, but basically all existing code
  will keep working if its used as a boxed type, and its not
  possible to instantiate GtkIconInfos outside Gtk, so this is not
  expected to be a big problem.

* Bugs fixed:
 590325 gtkbuilder needs a public policy about extension name
 673243 GtkRadioMenuItem accelerators no longer appear
 681578 gtk-demo: demo.ui is outdated
 683311 Leak in GtkIconViewAccessible
 685460 Add frame synchronization to GTK+
 687842 Support partially transparent widgets
 690247 multiple context in a immodule can't be selected
 692411 Slave device tracking goes wrong when there are no GDK_DEVICE_TYPE_SLAVE
 692728 wayland evet source doesn't handle poll err/hup
 693251 wayland: fix the direction of scrolling
 693253 wayland: remove debug message
 693256 wayland: use the GdkCursorType enum information to lookup the cursor name
 693257 wayland: avoid returning NULL when getting a cursor
 693313 Improve tooltip support
 693338 wayland: skip pointer and keyboard events without a surface
 693400 gtkcellrenderertext: Sink floating entry before using as signal argument
 693709 Hide recently used if it is turned off in the control center
 693724 Add a gtk-recent-files-enabled GtkSetting
 693802 Add async GtkIconInfo loaders
 693912 wayland: look further through the hierarchy for the surface with the grab
 693913 wayland: attempt to determine the possible parent surface for popups
 693934 Add gdk_frame_clock_begin/end_updating()
 694022 GtkViewport: annotate the adjustment args of the constructor
 694075 GtkAccelLabel: Don't show "+" if there's no more keys to add
        Added scroll and touch events to GtkToolPalette

* Translation updates:
 Arabic
 Catalan
 Catalan (Valencian)
 Czech
 Japanese
 Kazakh
 Lithuanian
 Malayalam
 Polish
 Serbian

Overview of Changes in GTK+ 3.7.8
=================================

* GtkTreeView and GtkIconView allow single-click activation

* GtkImage can be set from a resource

* GdkWaylandDisplay is now public

* gdk_window_set_fullscreen_mode: new function to let windows
  be fullscreened across multiple monitors

* Bugs fixed:
 345023 Single-click in treeview and iconview
 687025 iconhelper: Treat empty string as NULL stock-id
 691572 Touch: strengthen synthesized touch crossing events ...
 691592 the signal handler "gtk_spin_button_accessible_value...
 691639 introspection: gtk_widget_set_tooltip_text accepts NULL
 691751 Better column resizing for GtkTreeView
 691842 /TreeView/scrolling/specific/bug-111500 fails since ...
 691856 Add support for _NET_WM_FULLSCREEN_MONITORS
 692163 file chooser: give GSettings schema a path
 692188 Backspace should not be used for navigation
 692203 applicationwindow: fix mem leak
 692467 x11: Add "support" for XI2.3
 692481 gtkimage: Add GtkImage::resource property
 692605 Optimize gdk_x11_screen_get_setting()
 692659 migrating-2to3: Add more words about GSEAL_ENABLE is...
 692766 textlayout: respect preedit color attribute
 692844 Incorrect (out) annotation on gtk_tree_drag_source_d...
 692934 Defer cairo surface creation for image URLs in CSS t...
 682824 Don't build gtk-launch when gio-unix is not available
 692637 Only build native-update-icon-cache when no external...
 692823 GdkDeviceCore should be public as GdkWaylandDevice
 692899 global_remove handler is missing
 693015 Deprecate gtk_scrolled_window_add_with_viewport()
 693066 GTK notification code attempts to create an X notifi...
 525226 All actions' names and descriptions should be transl...
 553334 gailrange exposes an action which does nothing
 658148 The pop-up window in a GtkEntryCompletion lacks an a...
 680048 Prefer symbolic icons for the default message dialog...
 687825 weight-set in GtkCellRendererText not working
 693050 GtkTextView focus handler doesn't honor can-focus pr...

* Translation updates:
 Aragonese
 Assamese
 Basque
 Brazilian Portuguese
 Dutch
 German
 Hebrew
 Hungarian
 Polish
 Portuguese
 Serbian
 Slovenian
 Spanish
 Uyghur


Overview of Changes in GTK+ 3.7.6
=================================

* We now use state flags for text direction: GTK_STATE_FLAG_LTR/RTL.
  gtk_style_context_set_direction() has been deprecated.

* We install headers for accessible implementations of GTK+ widgets.
  This makes it possible to implement accessibility for third-party
  widgets by subclassing the proper GTK+ implementation. To do this,
  include gtk/gtk-a11y.h.

* Invisible widgets now return a size of 0x0. This is an experimental
  change that makes GtkWidget::visible essentially behave the same way
  that "display: none" does in CSS. If you want the effect of CSS's
  "visibility: hidden", you can use a GtkNotebook with an empty page.

* GtkFrame now draws a background.

* The Broadway backend now installs a separate server: broadwayd.

* Bug fixes:
 687025 iconhelper: Treat empty string as NULL stock-id
 687633 gtk_color_chooser_get_rgba: wrong annotations, broke bind...
 688140 Add missing annotation for gtk_combo_box_text_get_active_...
 688362 GtkApplication: Fix memory leak
 689810 Include guard optimization
 690305 Typo in SECTION:gtkbuildable : (thier -> their)
 691186 Gtk+ 3.6.3 crashes when opening printing dialog: segfault...
 691301 Better support for cross-compiling
 691515 Insufficient checks for EWMH support
 691677 Gtk Scale (slider) does not react in clicks outside the c...

* Translation updates:
 Assamese
 Bulgarian
 Estonian
 Galician
 Hungarian
 Kazakh
 Latvian
 Lithuanian
 Norwegian bokmål
 Persian
 Portuguese
 Slovenian
 Tamil
 Thai
 Uyghur


Overview of Changes in GTK+ 3.7.4
=================================

* GtkBuilder now lets you refer to external objects from a ui
  file if the objects have been exported with the new function
  gtk_builder_expose_object()

* Font handling has been improved:
 - The default font is no longer handled like a custom style sheet
   that overrides everything, but as the initial value. This is the
   same behavior as in web browsers.
 - It is now possible to set font-family and font-size like other
   CSS properties, and relative font sizes are supported. Font
   sizes in CSS can be specified as numbers or with keywords
   like xx-small, medium, smaller, larger,...

* GTK+ now uses proper Unicode ellipses in strings.

* The releases includes several noticable performance improvements:
 - Size allocation has been optimized, by avoiding excessive
   resizing in various situations.
 - The performance of size groups has been improved.
 - Text rendering in GtkLabel and other widgets has been optimized
   to avoid excessive recreation of Pango layouts.
 - Icon loading overhead was reduced by caching of GtkIconInfo.
 - The CSS is now keeping a tree of selectors to speed up matchinh.

* Deprecations and removals:
 - Custom CSS properties have been deprecated
 - Support for color schemes has been removed
 - gtk_style_provider_get_style, gtk_style_provider_get_icon_factory
 - GtkGradient and GtkSymbolicColor
 - All the padding style properties in menus

* Bugs closed:
 132333 Can't add a palette to the dialog of a color button
 371034 Doc for gtk_file_chooser_get_filename: Is the resulting path...
 447972 Add a way to specify user_data sent to signals
 548793 funny pattern for iterating GtkTreeModel
 595615 Use proper ellipses
 626499 GtkClipboard unnotified on change of OS X pasteboard owner
 668239 texts disappear when notebook switch page at zh_CN locate!
 677339 GTK+ 3 documentation wrong about GtkWidget scroll-event signal
 680065 treemodelfilter: Make the constructor binding friendly
 687065 InstallableOptions is not filtered in cups backend
 687816 GtkTreeView does not draw correctly since commit aaedc7b6
 688710 [PATCH] Splash screens shouldn't stay on top of all applicat...
 688744 Don't use gtk_style_context_set_background() to render icon/...
 688884 Typo in gtk_tree_view_set_tooltip_column documentation
 689012 "Copy file's location" menu item in file chooser dialog uses...
 689047 Obtain the recent files max age setting from xsettings
 689081 No caching of icons
 689168 Deprecate some menu style properties
 689401 xi2: Abort early if we don't have a proper GDK window
 689584 Add summary and description to "show-hidden" key
 689847 Add fast repeated typename -> GType resolver
 689923 Missing null-check in GtkEntryAccessible
 690099 GtkScrolledWindow with NEVER policy don't resize with children
 690266 Freeze with F10/Shift-F10 on submenus

* Translation updates:
 Assamese
 British English
 Dutch
 German
 Hebrew
 Polish
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.7.2
=================================

* Theming:
 - Improve touch text handle theming
 - Always draw background of menuitems

* Geometry management
 - Size groups now handle height-for-width
 - Fix corner cases in label size allocation

* Accessibility
 - Make entry icons accessible

* Filechooser
 - Don't add duplicate bookmarks
 - Remember sidebar width

* Wayland: Build against wayland-client 1.0

* Bugs fixed:
 524295 remember the file chooser side pane's position
 577806 gtk_file_chooser_add_shortcut_folder adds duplicates...
 677609 GtkSizeGroup regression in GTK+ 3.3.20
 683896 Clean up global resources when the display is closed
 686021 spinner animation should not be subject to enable-an...
 686347 Clickable icons are not accessible as children of te...
 687059 icon-theme: support loading symbolic GFileIcons from...
 687196 filesystemmodel: invalidate nodes on file remove
 687467 Commit "Implement proper cross-fades for gradients" ...
 687842 Support partially transparent widgets
 687872 Segfault when attempting to get character extents fo...
 687977 icon-theme: Add some preconditions for NULL arguments

* Translation updates:
 Assamese
 Brazilian Portuguese
 Estonian
 Galician
 German
 Greek
 Gujarati
 Indonesian
 Latvian
 Lithuanian
 Marathi
 Norwegian bokmål
 Serbian
 Slovenian
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.7.0
=================================

* Add an "inverted" property to GtkLevelBar

* Support RTL flipping in GtkLevelBar

* Various memory leak fixes

* Wayland: Update for protocol changes

* Bugs fixed:
 684288 level-bar: add an "inverted" property like GtkProgr...
 684415 Fix drag-motion event handling
 684980 Improve the appearance of the dragged header
 686013 CSS: crash drawing a GtkEntry in gedit
 686152 Calls gdk_window_get_frame_extents with a potential...
 686209 memleak with "text-shadow" css
 686265 scrolledwindow: set GDK_EXPOSURE_MASK on the oversh...
 686280 GtkScrollbar and GtkScale rendering broken in gtk 3.6
 686366 Use named union for _GtkSymbolicColor in gtk/gtksym...

* Translation updates:
 Czech
 Estonian
 Galician
 Indonesian
 Lithuanian
 Serbian
 Slovak
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.6.1
=================================

* CSS:
 - huge refactoring to avoid computing wrong values
 - treeview: Invalidate children properly
 - treeview: Fix computing child paths

* Broadway:
 - use binary websockets when available

* Bugs fixed:
 646221 Imperfect Russian translation of 'Print preview'...
 682395 Nautilus tabs have black background
 684517 window: Delay showing auto mnemonics on focus in
 684639 GTK+ 3.5.18 makes Epiphany unusable
 684984 No focus rendering for Icon Views in SELECTION_N...
 685449 Non-uniform borders on GtkScrolledWindow break c...
 685996 trivial build fix: test uses = not ==
        Fix a multi-display problem in touch handle code
        App chooser: respect NoDisplay

* Translation updates:
 Catalan
 Catalan (Valencian)
 Italian
 Japanese
 Khmer
 Norwegian bokmål
 Russian
 Slovak


Overview of Changes in GTK+ 3.6.0
=================================

* Add support for blur to CSS shadows

* Bugs fixed:
 679883 When printing Custom paper sizes GTK Print Dialog...
 684258 Crash when calling gtk_application_set_menubar twice
 684606 GtkMenuButton: implement rtl flipping
 684607 GtkSearchEntry: flip the clear icon in rtl
        Fix style context path for internal buttons

* Translation updates:
 Bengali
 Brazilian Portuguese
 Bulgarian
 Catalan
 Catalan (Valencian)
 Czech
 Galician
 German
 Gujarati
 Hebrew
 Hindi
 Kannada
 Kyrgyz
 Latvian
 Malayalam
 Punjabi
 Russian
 Serbian
 Telugu


Overview of Changes in GTK+ 3.5.18
==================================

* GMenu:
 - Support namespaces for actions
 - Allow submenus to have actions for opening
 - New function: gtk_menu_shell_bind_model

* CSS:
 - Parse and support CSS animations
 - Support cross-fading and transitions

* OS X:
 - Adjust scrollbar and scale behavior according to platform

* Bugs fixed
 643611 Leak on gail_widget_get_description
 658694 GtkAssistant: Unable to change current page in prepare...
 670390 -GtkMenuBar-shadow-type: none disables background inst...
 671786 Glade XML files cannot set an ImageMenuItem accelerato...
 674108 Hard crash due to wrong NSAutoreleasePool stacking
 676890 GtkButton are still highlighted after removing them fr...
 677559 argument of Gdk.Keymap.map_virtual_modifiers is not co...
 680962 GtkMenuButton doesn't display accelerators when used w...
 682630 GMenuModel attribute for an action to toggle on submen...
 682831 gtkmodelmenu: expose API for action namespace
 683474 Print dialog lists custom paper sizes twice for "Print...
 683627 Memory leak in style_data_lookup
 683718 box: Fix typo
 683738 Simplify GtkApplicationWindow accel handling
 683874 Load settings.ini also from XDG_CONFIG_DIRS
 683896 Clean up global resources when the display is closed
 684038 togglebutton: always set PRELIGHT state when in_button...
 684076 clean up a11y on shutdown
 684096 GtkWidget:drag-data-received code sample refers to rem...
 684156 fontchooserwidget: scroll to the currently selected row

* Translation updates
 Arabic
 Assamese
 Belarusian
 Brazilian Portuguese
 British English
 Danish
 Finnish
 French
 Galician
 Greek
 Hebrew
 Hungarian
 Indonesian
 Korean
 Lithuanian
 Persian
 Polish
 Portuguese
 Punjabi
 Serbian
 Slovenian
 Thai
 Spanish
 Russian
 Traditional Chinese


Overview of Changes in GTK+ 3.5.16
==================================

* Fix critical warnings on startup in nautilus


Overview of Changes in GTK+ 3.5.14
==================================

* Input method support
 - Propagate input purpose and hints to individual IMs
 - Add a hint to suppress on-screen keyboards

* GtkEntry can now set Pango attributes for its text

* GtkEntry and GtkTextView show 'selection handles' when
  used with touch devices

* GtkSpinButton can be oriented vertically

* Bugs fixed
 645065 GtkFileChooserButton doesn't handle closing its dialo...
 661973 gtk+ reacts on F10 press incorrectly with xkeyboard-c...
 672046 Issues with widget state propagation
 672431 the alt+tab app switch makes mnemonics flash
 676787 Update printing demo to use new print setting
 679144 Gdk doesn't properly find the child area with alpha
 681617 radio button text isn't centered when draw indicator ...
 682129 Print Dialog / Improving "Print to file" option
 682291 GtkMenuButton .ui issues
 682552 Improve the layout of the mount operations dialog
 682662 GtkAspectFrame: vertical alignment should be top/bott...
 682724 Fix a typo in the the comments
 682825 Also compile gtkdbusgenerated.c on non-UNIX environme...
 682919 Crash in GTK+-3.x (3.0.x-3.5.12+) on Windows with CJK...
 683001 Make headings bold in message dialogs by default
 683168 Make spinbutton orientable

* Translation updates
 Assamese
 French
 Galician
 Greek
 Indonesian
 Japanese
 Kazakh
 Latvian
 Lithuanian
 Norwegian bokmål
 Persian
 Polish
 Punjabi
 Spanish
 Vietnamese


Overview of Changes in GTK+ 3.5.12
==================================

* GtkApplication:
 - Add gtk_application_get_active_window to get the active window
 - Add gtk_widget_insert_action_group to allow more flexibility
   when associating widgets with actions

* GtkMenuButton:
 - The gtk_menu_button_set_menu function is getting renamed
   to gtk_menu_button_set_popup. The old name is still available
   for now, but will be removed before 3.6

* GtkToolbar:
 - use CSS properties instead of style properties for padding

* Input method support:
 - GtkEntry and GtkTextView now have input-purpose and input-hints
   properties that let applications provide useful hints to
   input methods, like 'this entry is for a phone nr'.

* Bugs:
 373279 Toggling a GtkToggleButton emits "clicked", not "toggled"
 651244 Add a "purpose" tag for GtkEntries
 673478 Chain up notify implementations
 681577 Missing mnemonic in "Find applications online"
 681591 Masked string for password fields is not exposed to accessibility
 681613 icon view doesn't emit selection changed when the model changes
 682193 404 in GTK+ docs for duplicated "stable" URL suffix to ATK link
 682235 gtkmenubutton: repurpose set_menu for GMenuModel

* Translation updates:
 Assamese
 Esperanto
 Galician
 Lithuanian
 Marathi
 Portuguese
 Serbian
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.5.10
==================================

* Wayland:
 - Add keyboard handling
 - Improve clipboard handling
 - Add default settings implementation

* GDK thread support has been deprecated

* Bugs fixed:
 679910 GtkTreeModelFilter: Fix _iter_previous() when iter...
 679978 Optimize gtk_widget_path_copy() by preallocating "...
 680754 deprecate gdk thread functions
 680803 menubutton: Clear references in dispose, not finalize
 680822 Document return value of GtkWidget::draw
 680901 GTK+: The chinese translations of "even sheet" and...
 680949 GtkColorButton documentation seems self-contradictory
 680988 GtkMenuButton down direction positioning suboptimal
 681005 [IconView] wrong transfer annotation for get_toolt...
 681006 Escape should cancel DnD operation
 681064 container: restyle queue leaks

* Updated translations
 Galician
 German
 Greek
 Gujarati
 Japanese
 Kazakh
 Norwegian bokmål
 Persian
 Serbian
 Slovenian
 Spanish
 Telugu
 Traditional Chinese


Overview of Changes in GTK+ 3.5.8
=================================

* gtk-launch: A new commandline utility to launch an application
  from its desktop file

* GtkStrengthBar: A new widget for displaying the strength
  or level or some quantity

* Wayland: Updates for changes in the Wayland protocol

* Bugs fixed:
 667808 Accept -1 as the position where insert an element...
 671437 GtkStyle background color regression
 671817 GTK+ doesn't create ~/.local/share (path) and ~/.local...
 675990 gtk_tree_column_set_visible badly interact with the a1...
 677347 he accessible name of the 'Lock'/'Unlock' button is al...
 677491 'toolkit-accessibility' default value should be 'true'...
 678828 gtk_application_add_accelerator() (and remove) missing...
 678829 Bloatpad example application has "parse" action instea...
 679092 gtkstyle: add a gtkstyle-fallback style class for RC c...
 679166 modelmenu: set the accel group on the GtkMenu
 679228 signal parameter names are not valid C identifiers
 679409 docs: link against libgdk-3.la
 679449 menubutton: set DROPDOWN_MENU hint on the menu topleve...
 679454 modelmenu: listen for toplevel changes on the attach w...
 679537 Crash in GtkEntry gtk_entry_get_icon_pixbuf()
 679705 Using NULL with gtk_application_set_menubar causes seg...
 677892 Add a GtkStrengthBar widget
 679342 Add a gtk-launch utility

* Translation updates:
 Bulgarian
 Greek
 Norwegian nynorsk
 Telugu
 Vietnamese

Overview of Changes in GTK+ 3.5.6
=================================

* GtkSearchEntry is a subclass of GtkEntry that is set up to be
  used as a search entry

* GtkMenuButton is button that pops up a menu. The menu can be
  generated from a GMenu or provided manually

* The GtkMountOperation code will now use gnome-shell to present
  a system-modal mount dialog when available

* The accessibility bridge code that exports accessible objects
  on the bus is used by default (atk-bridge has been converted into
  a library that GTK+ links against). To avoid the linking, you can
  pass --without-atk-bridge when configuring GTK+.

* Bugs fixed:
 613561 single quote missing in translation of gtk-2-18.kn.po
 652809 Add "search" entry
 668013 Add menu button
 669986 Some keyboard navigation breakage with GtkNotebook
 670369 gdk: annotate the attributes_mask type for gdk_window_new
 674963 GtkMountOperation should proxy to the Shell for modal dial...
 676077 Windows: Weird characters appearing when using certain key...
 677491 'toolkit-accessibility' default value should be 'true' for...
 677551 a11y: fix a typo leading to a crash
 677649 gtk[list,tree]store: fix transformation of GValues upon set
 677774 gdk: add missing annotations to gdk_event_get_scroll_deltas
 677809 Regression: gtkiconview changes in 3.4.2 / master break ch...
 677915 entry-completion: don't move to leftmost character with in...
 677941 Gtk.ListStore doesn't have the method "reorder" as its doc...
 677943 DnD of notebook tabs lead to Gtk-WARNING
 678175 Memory leak in GtkImage
 678407 GtkImage: fix get_property('stock')
 678418 Lacks a way to get the position of an item in the icon view

* Translation updates:
 Arabic
 Galician
 Greek
 Spanish
 Telugu


Overview of Changes in GTK+ 3.5.4
=================================

* GtkIconView size allocation has been rewritten to support
  height-for-width and work better.

* The theming code now supports multiple backgrounds and
  transitions

* Bug fixes:
 162865 F1 should be the shortcut for Help/Contents, not ...
 460908 gtk_paper_size_get_[width|height] doesn't support...
 478344 GtkTreeRowReference falsely said to auto-subscrib...
 531319 "weight-set" cellrenderertext attribute misbehave...
 571254 Constructing a pixel value from components
 587873 Documentation should explain MessageDialogs don't...
 643490 gtk-style-context-add-provider () documentation n...
 645514 Add placeholder-text property to GtkCellrendererText
 646798 Add a tip about "cloning contexts"
 647779 Doesn't mention GtkDialog replacements
 649569 GDK_THREADS_ENTER in file_print_cb@modules/printb...
 652304 themingengine: don't hardcode the slider lines in...
 657322 GtkPrintSettings requires every application to wo...
 659613 GtkLockButton docs are inaccurate
 663072 GtkSelectionData is incorrectly documented
 663991 _XOPEN_SOURCE 500 causes error in Solaris Studio ...
 664646 dnd pointer lock when dragging tab between two ge...
 665243 settings: Add support for disabling middle click ...
 670449 Splash screen stays
 671025 Constants and identifiers starting with a number ...
 671249 GApplication: Allow a null application_id?
 672947 GtkEntryCompletion sizing/position fixes
 673237 window: Remove needless call to ensure_state_flag...
 673749 Error Message When Creating Tray Icon
 674192 out-of-tree build failure: demos/widget-factory/w...
 674409 need a way to identify GtkApplicationWindows remo...
 674549 widget receives leave event when button released
 675365 immulticontext: Always check if the global contex...
 675421 GtkFileChooser should set its role
 675423 [Patch] doc: Add missing CDATA around a XML progr...
 675501 gtkquartz.h is not the gtk+-3.5.2.tar.xz archive
 675535 GtkScale in GtkToolbar: strange behaviour with do...
 675809 Crash when clicking xrefs
 675895 Docs for certain functions are built unconditionally
 675899 Infobar not loadable by GTKBuilder (using python ...
 675951 gdkx.h inclusion breaks OotSD builds
 676087 gtk+ fails to build against uclibc due to isnan/i...
 676196 range: use a CSS margin to shrink the trough comp...
 676198 current color of a GtkColorButton should be set t...
 676243 Document removing of accelerators
 676329 GDK_SMOOTH_SCROLL_MASK lacks "Since"
 676356 icon-theme: Allow symbolic GFileIcons
 676429 no way to force showing icons in buttons
 677055 gtkmenutoolbutton bug fixes
 677109 Fixes for interactions between background-repeat ...
 677127 Misc annotation fixes
 677202 docs: Add section for new 3.6 symbols
 677203 docs: Fix duplicate declarations in sections
 677293 GtkFontSelectionDialog partially broken on gtk 3.4
 677363 grid: Add missing guard to gtk_grid_get_child_at()

* Translation updates:
 Dutch
 French
 Galician
 German
 Greek
 Hebrew
 Italian
 Norwegian bokmål
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.5.1
=================================

* Wayland:
 - Allow the wayland backend to be used without cairo-gl
 - Expose GdkWaylandDisplayManager for runtime checks

* Theming:
 - Optimizations to style invalidation
 - Support CSS animatable properties

* Bugs fixed
 563688 GtkScale (GtkRange) should jump to clicked position
 668931 Scrolling down via PageDown/PageUp keys impossible ...
 669989 gtk_grid_attach(): Documentation doesn't mention mu...
 670373 modules/printing/cups/gtkprintbackendcups.c won't b...
 672361 Remove cairo-gl dependency from wayland backend
 672789 gtk_builder_add_objects_from_file() crashes on GtkU...
 672993 print dialog overrides default cups number-up settings
 673259 The gdk/gdkkeysyms-update.pl script and the keysym ...
 673644 Scroll not working in document overview
 673650 Evince 3.4: adding new annotation is not possible (...
 674050 Free image->priv->icon_helper in gtk_image_finalize...
 674102 Defaults to wayland over x11 backend
 674118 application-window: Desktop file handling improvements
 674200 ./configure gives wrong error message if -lXext is ...
 674286 "Delete confirmation" dialog has wrong padding
 674326 Use localizations of option names and values contai...
 674468 Add GTK_STYLE_CLASS_DIM_LABEL
 674577 Non static variable in GtkStyleProviderPrivate
 674587 treemodelsort: allow iter_previous() to go past the...
 674806 icontheme: search first in all themes if the reques...
 674807 spinbutton: port to GtkIconHelper
 674808 themingengine: render a frame in gtk_render_handle()
 674809 themingengine: simplify render_extension() default ...
 674890 Fix the colord support in GtkPrinterCups when the P...
 646631 GTK should use XDG base dir spec instead of home

* Translation updates
 Bulgarian
 Crimean Tatar
 Czech
 Galician
 German
 Hebrew
 Norwegian bokmål
 Russian
 Serbian
 Simplified Chinese
 Slovenian


Overview of Changes in GTK+ 3.4.1
=================================

* Win32 fixes:
 - Fix wintab support
 - Fall back to Raleigh with th eclassic theme

* OS X fixes:
 - Fix manual resizing of windows

* Bugs fixed:
 672961 Custom theme can crash apps with GtkEntryCompletion
 587441 Window expands horizontally rather than the text entry growing...
 672133 conflict between srcdir != builddir and generated enum types
 672358 Wayland and X11 backends simultaneously enabled is broken
 672544 Anchored widgets inside GtkTextView are drawn out of place...
 673090 gtk file-chooser: Autocompletion - Dropdown-list: selection fails
 673125 windows draw as unfocused/backdrop on window managers that do...
 673139 URL to mailing lists in README incorrect
 673200 gactionmuxer: Fix list_actions
 673328 After clicking empty parts of a toolbar/menubar the next mouse...
 673440 shouldn't set GDK_SOURCE_TOUCHSCREEN based on the name
 673441 GtkTreeView should not handle extra mouse buttons
 673458 GdkEventButton contains wrong buttons in modifier mask...
 673693 entrycompletion: set_property() should use property setter...
 673882 application-window: try to use the desktop name in the fallback...
        Deal more gracefully with a flood of scroll events

* Translation updates:
 Catalan
 Czech
 German
 Marathi
 Odia
 Swedish
 Ukrainian


Overview of Changes in GTK+ 3.4.0
=================================

* Bugs fixed:
 658875 Should limit Num Lock warning to notebooks
 671006 keygrab: don't translate Alt+Print to SysRq
 672163 GtkWindows (comboboxes, menus, etc.) do not show up...
 672587 regression in about dialog credits spacing
 672763 Floating point exception in Gtk.Grid() if grid emptied

* Translation updates:
 Arabic
 Czech
 Hebrew
 Hindi
 Japanese
 Kannada
 Latvian
 Simplified Chinese
 Telugu


Overview of Changes in GTK+ 3.3.20
==================================

* Theming:
 - Reduced memory consumption in the css parser
 - Fixed Windows theme rendering under XP
 - Support for background-position

* Build requirements:
 - cups 1.2 is now required for the cups print backend
 - X11 pre-R6 is no longer supported
 - XI2 is a build requirement

* Bug fixes
 657385 gtk_menu_popup() not introspected
 662023 gnome-panel crashes with multiple screens
 670176 Warning when removing a child from a box if the child has...
 671065 gtk: Prefer group-0 keycodes
 671453 Improve the configure check for XInput 2.2
 671488 smooth-scroll support for textview
 671659 generates too many scroll events with a delta of 0
 671819 Crash (stack overflow) in gtk_range_grab_notify
 671898 Collate should be enabled by default
 672009 gtk 3.3.18, missing "enter" events with pads devices, le...
 672117 Link from stable gtk reference to unstable broken
 672125 gtk_enumerate_printers() doesn't call the destroy notify...
 672173 shell window: category view broken with gtk+ 3.3.19+
 672182 Commit 66c99016 breaks building if cups 1.2 is not available
 672367 Toggle-able table cells lack the 'toggle' action
 671588 selectable labels loose the selection too easily
        x11: Avoid spurious focus events on grabs

* Translation updates
 Arabic
 Assamese
 Basque
 Brazilian Portuguese
 British English
 Bulgarian
 Catalan
 Catalan (Valencian)
 Danish
 Esperanto
 French
 Galician
 German
 Gujarati
 Hungarian
 Latvian
 Lithuanian
 Norwegian bokmål
 Portuguese
 Punjabi
 Russian
 Serbian
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.3.18
==================================

* Add support for touch devices
 - New device types GDK_SOURCE_TOUCHSCREEN and
   GDK_SOURCE_TOUCHPAD for direct and indirect
   touch devices
 - New event GdkEventTouch and GDK_TOUCH_MASK
 - New signal GtkWidget::touch-event

* Add support for smooth scrolling
 - Scroll events can contain scroll deltas,
   obtainable via gdk_event_get_scroll_deltas()
 - Scroll direction for such events is GDK_SCROLL_SMOOTH
 - To receive scroll events, widgets must now
   set either GDK_SCROLL_MASK or GDK_SMOOTH_SCROLL_MASK

* GtkScrolledWindow will do kinetic scrolling
  with touch devices

* XInput2 is now required for building the X11
  backend, support for XInput1 has been removed

* Deprecations are now versioned, and new API is
  marked with the version it was introduced.
  Use these with GDK_VERSION_{MIN,MAX}_REQUIRED

* Theming:
 - Memory consumption of the CSS parser has been reduced
 - CSS selectors of the form "a + b" and "a ~ b" work now

* Bug fixes:
 650693 Drawing errors in column headers when adding...
 655065 Build failure on OS X 10.7 Lion
 668141 button: don't be active when holding the mouse...
 669335 Render a background in the scrollbars junction area
 669342 overlay: add left/right/top/bottom style classes...
 670555 I can't change GtkInfoBar text color via the theme
 670881 Deactivate the menu if the window is withdrawn
 671057 colorchooser can't remove palette
 671070 Correct GroupSwitch mask
 671170 GtkTable and GtkGrid alignment problem

* Translation updates:
 Basque
 Belarusian
 Brazilian Portuguese
 Bulgarian
 Estonian
 Finnish
 Galician
 Hungarian
 Kazakh
 Korean
 Polish
 Persian
 Punjabi
 Serbian
 Slovenian
 Swedish
 Telugu
 Spanish
 Ukranian
 Vietnamese


Overview of Changes in GTK+ 3.3.16
==================================

* The widget-factory theme test is now installed
  as a demo named gtk3-widget-factory

* The Raleigh theme is now a pure fallback theme
  that doesn't share any CSS with other themes
  anymore

* GtkColorSelectionDialog has been deprecated in
  favor of a new color chooser widget named
  GtkColorChooserDialog

* The GtkApplication session support has been simplified

* Bug fixes:
 612283 Clarification for GtkListStore::gtk_list_store_insert_with_values
 668114 odd spacing in about dialog credits
 669116 GtkNotebook's child-notify::position not always emitted...
 669208 x11: Cancel _NET_WM_MOVERESIZE if we get a matching ButtonRelease
 669511 gtkcsstypes.c: variable is declared at middle of block
 669636 gtkactiongroup: clarify set_translation_domain docs
 669638 gtkbuilder-menus: translation-domain can be NULL
 669794 Orca + Trees/Tables == incorrect cells presented, crashes...
 669947 gtkuimanager: clarify @pos of insert_action_group
 670077 license text has poor alignment with close button
 670078 no stroke around credits scrollable area
 670400 First shortcut capture is broken

* Translation updates:
 Belarusian
 Bulgarian
 Danish
 Estonian
 Galician
 Hebrew
 Italian
 Japanese
 Kazakh
 Lithuanian
 Norwegian bokmål
 Spanish
 Traditional Chinese


Overview of Changes in GTK+ 3.3.14
==================================

* Theming
 - Fixes for border handling in GtkEntry,
   GtkCellRendererText, GtkComboBox
 - Parse values more carefully, supporting
   percentages, angles
 - Implement CSS linear-gradient syntax
 - Support background-size
 - Support a gtk.gresource file in themes

* Bugs fixed
 543520 Cups custom options are not sent properly
 649121 Crash in GtkAppChooserDialog packagekit button
 669176 Regression: atk-add-key-event-listener doesn't work

* Updated translations
 Galician
 Norwegian bokmål
 Spanish


Overview of Changes in GTK+ 3.3.10
==================================

* GtkApplication:
 - Move application menu handling over from GIO
 - Fix resize grip positioning in GtkApplicationWindow

* Wayland:
 - Make combo boxes work
 - Make key modifiers work like on X11
 - Make mouse buttons work correctly

* Quartz:
 - Make key modifiers work more like they do on X11

* Printing:
 - Fix handling of custom cups options

* Accessibility:
 - Bring key snooping support back for now

* Translation updates:
 Spanish


Overview of Changes in GTK+ 3.3.8
=================================

* GtkApplication:
 - Supports logout notification and inhibiting
 - Buttons, toolbuttons and switches can now be connected
   to GActions

* GtkSpinButton no longer allows to change the value
  when not editable

* GtkLabel link support has been rewritten to be be
  more robust

* GtkBuilder:
 - Supports the 'id' in GtkComboBoxText
 - Can parse GVariant-valued properties
 - Support loading from a GResource

* GtkImage:
 - Support loading from a GResource

* GtkUIManager:
 - Support loading from a GResource

* Accessibility:
 - key snooping support has been removed

* Wayland backend:
 - Cursor handling updates
 - Look for cursors in the 'weston' directory
 - Make resize grips work
 - Implement device grabs
 - Implement window geometry hints
 - Set surface type based on window type hint
 - Add basic clipboard and selection implementations
 - Implement client-side keyboard repeat
 - Update GdkWindow focus state to match reality

* Theming:
 - Improved CSS compliance for selector matching
 - Improved CSS compliance for value resolution,
   including full support for 'inherit', 'initial',
   'currentColor', 'none'
 - Support border-style properties
 - 'window-unfocused' has been renamed to 'backdrop'

* New deprecations:
 - GdkColor
 - GtkButton::inner-border

* Miscellaneous:
 - Turn default theme css files and dnd cursors into
   GResources

* Bugs fixed:
 543520 Cups custom options are not sent properly
 612396 ...default of entry-text-column for GtkComboBoxText
 613728 Rationalize GtkTreeView focus
 620240 GNOME Drag & Drop broken for remote X sessions
 629878 Missing "Back" and "Forward" icons for Firefox
 631414 Add symbolic constants for event emission control
 639875 crashes when unparenting a tab from a window...
 657367 GtkAction: Hold a reference to proxy widgets
 659516 gtk_css_provider_to_string lacks "since" tag
 660139 GtkGrid gives Gtk-Warnings about negative sizes when empty
 660309 check x11 backend when create xim module
 663479 "Finishing" ("Completion") and "Advanced" tabs are empty
 665015 "Widget (%s) has more than one label" unwanted warnings
 666103 Should be able to match the parent where a dropdown menu...
 666600 allocate the CSS border and deprecate GtkButton-inner-border
 666685 SIGSEGV in _gtk_tree_selection_internal_select_node
 666710 Fix compose sequences disabling other sequences
 666842 [patch] "sticky" window state reported wrongly on X11
 667018 Fix compilation on Windows
 667229 gtkspinbutton: Respect value of inherited 'editable' property
 667394 Gtk(Tool)Button: add an 'action-name' property
 667473 gdk_rgba_free (NULL)
 667485 gdk_rgba_parse error checking
 667534 Non-XInput2 build fix
 667546 GApplication doc mentions g_application_set_app_menu
 667628 GtkWindow:application property should have G_PARAM_CONSTRUCT
 667695 GAction leaked in examples/plugman.c
 667705 fix up GtkApplication on OS X
 666921 Fix the _NET_SUPPORTING_WM_CHECK window fetch to be spec...

* Translation updates:
 Arabic
 Bulgarian
 Finnish
 Hebrew
 Norwegian bokmål
 Spanish


Overview of Changes in GTK+ 3.3.6
=================================

* GtkApplication has grown support for exporting application
  menus and menubars on the bus, as a GMenuModel. The
  new GtkApplicationWindow toplevel automatically
  displays these menu models when needed.

* GtkSpinButtons have received a long-overdue face-lift
  to make them easier to use with both mouse and touch.

* GtkScale has gained a has-origin property to request
  filled-in drawing of the trough.

* GtkWindow can now request that the window manager hide
  the titlebar when the window is maximized.

* The GtkTreeView accessibility support and the core
  treeview code have been extensively refactored;
  performance should be much improved. But watch out
  for regressions.

* The GtkFileChooser entry completion code has been
  extensively refactored; it now uses GtkEntryCompletion

* Excessive dependencies have been culled from Requires:
  lines in pc files. Dependent modules may have to declare
  dependencies that they were getting 'for free' in the past.

* Theming improvements:
 - The background-clip and background-origin CSS properties
   have been implemented

* Win32 improvements:
 - Theming of column headers, radio buttons and menuitems,
   notebook tabs, etc has been fixed
 - Menus, tooltips, and other popups show above the task bar

* Wayland:
 - The Wayland backend has been updated to the current Wayland API

* Bugs fixed:
 603823 Print to File suggests ".ps" as filename...
 640317 gtk_draw_insertion_cursor should be moved to gtk_render
 646461 Leak in gtkfilechooserbutton.c: model_free_row_data
 650943 Clicking resize grip causes strange mouse grabbing beh...
 661428 Allow themes to know when a toplevel window appears un...
 662814 Request for way to tell gtk_recent_manager_add_item_qu...
 664137 Crash in Audacious audio player when browsing the add ...
 664456 segfault on arrow keypress in empty GtkIconView
 664467 prop-editor is broken for GdkColor properties
 664469 color button doesn't notify "color" and "alpha" when c...
 664537 GtkCssProvider: don't segfault when CSS file is not found
 664640 CUPS authentication does not work
 665140 Draw the scale split
 665326 FTBFS: missing Xi/Pango/Fc for gtk-query-immodules-3.0
 665616 Add hide-titlebar-when-maximized setting
 665741 Crashes in treeview when pressing End key.
 665999 Introspection wrong for GDK_INPUT_ONLY vs GDK_INPUT_OUTPUT
 666242 Separators in menuitem are not vertically aligned
 641999 Consider adding a workarea API
 657578 Toggling the state of a GtkCheckButton causes accessible...
 659445 Accessible event.any_data is incorrect for text-removed...
 663573 Rework GtkFileChooserEntry
 666392 widget: Flip the sensitive flag even if the state doesn't...
 666552 Layered region is leaked in GdkWindow

* Updated translations
 Breton
 Kazakh
 Russian
 Slovak
 Spanish


Overview of Changes in GTK+ 3.3.4
=================================

* The beagle search backend has been dropped

* Stop using GDK/GTK_DISABLE_DEPRECATED guards for deprecated
  functions; instead use function attributes

* Make GtkCellRendererAccel support naked keyvals, so it can
  be used in gnome-control-center

* GDK changes
 - Make the Mod1 == Alt assumption official
 - The Broadway backend has initial support for V7+ websockets

* GtkApplication no longer uses gtk_main internally

* GtkNotebook now destroys its action widgets, instead of leaking them

* Theming improvements:
 - Background images can now be tiled instead of stretched,
   using the background-repeat CSS property
 - Unfocused windows can be themed differently, using
   the 'window-unfocused' state flag

* Accessibility improvements:
 - Much better treeview performance
 - Completely ignore invisible columns in treeviews
 - Many a11y/treeview-related crashes fixed
 - Combo box keybindings are reported again
 - Textview respects display lines again

* OS X improvements:
 - Improved handling of motion events and event state
 - Handle recursive CFRunLoops
 - More fixes to accel handling

* Win32 improvements:
 - Many fixes, making this the first version of GTK+ 3 that
   works well on Windows

* Bugs fixed:
  84314 gdk_display_sync() and gdk_flush()
 142874 use of SetWindowLong in gdkwindow-win32.c causes incorrect...
 169811 configure_event and window-state-event are not emitted con...
 171456 "Keep Above" option in Gimp broken on Win32
 324254 Realizing a top-level window widget early positions it at 0,0
 516822 gtk_window_fullscreen does not resize correctly if removing...
 542777 Scroll-Wheel doesn't scroll (Win)
 552041 Windows' System Menu from taskbar is buggy
 603559 gtk should handle missing immodules better
 604156 gtk_window_set_modal() freezes application completely
 606727 Can't bind keys on numerical keypad with numlock on
 612359 Dialog positioning hints fail on Windows 7
 616544 win32 drag and drop (DnD) broken for GTK+ 3
 628049 Native windows don't work very well
 631384 Images pasted from clipboard are shifted/wrapped
 647460 typo in msw_style.c?
 652239 win32: resurect Windows clipboard selection notification
 658841 Ensure native window in gdk_win32_drawable_get_handle()...
 658842 Fix win32 _gdk_windowing_window_at_pointer - port to gtk3
 659151 Cannot obtain accessible keybinding for comboboxes
 659257 Gtk-WARNING **: GtkRecentChooserWidget 0x80da890 is mapped...
 661858 Add annotations for some GtkRadio* constructors
 661859 Add annotations for some GtkSymbolicColor constructors
 661997 Gtk crashes when changing the TreeView model while rubber...
 662160 gtk_print_operation_cancel fails
 662628 Add keyboard brightness to keyname-table.h
 662670 Pressing "Enter" in print dialog box will not cause printing
 662691 menuitem: Always treat submenus as popup
 662755 Keycode support in GtkCellRendererAccel broken
 662839 Fix XIGrabKeycode usage
 662870 Fix introspection annotations for GtkRadioToolButton
 662953 x11: Fix window manager change detection
 663073 gtk_dialog_new_with_buttons should be G_GNUC_NULL_TERMINATED
 663138 iconview: layout items immediately when setting a GtkTreeModel
 663182 Dragging any item on OS X crashes Banshee
 663345 'from gi.repository import Gtk' fails in jhbuild
 663396 With multiple master devices, right clicking may show popup...
 663522 css: start background-repeat
 663605 Fix event->state of many event types on quartz
 663694 GtkTreeViewAccessibleCellInfo are leaked
 663761 gtk: Fix GtkCellRenderer ignoring keycodes
 663825 calling gtk_progress_bar_set_fraction with a fraction > 1.0...
 663856 Make option-foo accelerators use the right symbol
 663994 GtkTextView no longer reports the correct line text to ATs...
 664021 GtkSpinButton: Clarify clamping behavior in gtk_spin_button...
 664027 Build fails with undefined reference to `gdk_keymap_get_mod...
 664132 gdk_cairo_region_create_from_surface broken on PPC...


Overview of Changes in GTK+ 3.3.2
=================================

* GtkCellRendererAccel can show virtual modifiers

* Theming improvements:
 - CSS: 'transparent' can be used a color
 - Improved notebook tab rendering
 - Support opacity and rounded corners for tooltips

* OS X improvements:
 - Disable mnemonics
 - Make Option work as a modifier
 - Cleanup of modifiers: Alt/Option is MOD1, Command is MOD2
 - Fix keyval <> Unicode and lowercase/uppercase mapping

* Improvements of cross-platform key and button event handling:
 - Support '<Primary>' in accelerator strings
 - Use approprivate modifiers for extending and modifying
   selections, depending on the platform
 - Use the appropriate button for triggering context menus,
   depending on the platform

* Bugs fixed:
 628936 gtk build fails because of objective-c elements
 653289 GtkCellRendererText "edited" signal not emitted...
 655057 rendering issues with map plugin
 657770 Write to released memory in gtkdnd-quartz.c
 658767 Drag and Drop NSEvent capture is racy
 658772 Directory paths for resource directories are hard-coded
 659022 gtk_tree_model_filter_clear_cache_helper: assertion failed
 659655 3 errors in Spanish translation of gtk+
 660687 roxterm X crashes with accessibility enabled
 660730 Use of "struct stat" breaks Windows
 659602 Provide an abstraction for the platform's use...
 659406 Abstract what triggers a context menu
 660619 __SIZEOF_INT__ and __SIZEOF_POINTER__ may not be defined
 599617 a modern tooltip look
 628936 gtk build fails because of objective-c elements
 631167 GtkComboBox with has-entry=true should not require...
 651818 Crash in gtk_app_chooser_refresh()
 659672 gtk_tree_view_column_dispose() does not remove from tree...
 660139 GtkGrid gives Gtk-Warnings about negative sizes...
 660833 all: add an 'only-child' pseudo-class selector
 661032 out-of-tree builds result in broken gtk-doc documentation
 661089 gtkfontbutton.c will not compile on Solaris
 661780 GTK_STOCK_INDENT references wrong images
 661835 GMountOperation on OpenBSD: remove the need for kvm(3)
 662024 tests/css/parser/selector.errors missing from EXTRA_DIST
 662132 --sync
 662177 Toolbar returns invalid paths for toolbar items
 662230 treemodel: document gtk_tree_path_free() as allow-none
 662308 Scrollbars seem to unconditionally reserve a space...
 662467 tooltip: only update shape if the window is realized
 662481 Clean up the gtkprivate directory redefinition mess
 662629 notebook: update tab area allocation when switching page

* Translation updates
 Brazilian Portuguese
 British English
 Catalan (Valencian)
 Czech
 Dutch
 Esperanto
 Japanese
 Galician
 Latvian
 Serbian
 Spanish
 Simplified Chinese
 Traditional Chinese
 Vietnamese


Overview of Changes in GTK+ 3.2
===============================

* GtkFontChooser:
 - More speed ups. The font chooser will now load
   instanteously, even if you have thousands of fonts

* Bug fixes
 659826 new broadband connection weirdness in assistant
 659966 Fix module blacklisting
 640741 Fix return value fo gtk_tree_view_column_cell_get_position
        Assertion in the treeview accessible code
        Fix erroneous beeping in textview keynav

* Translation updates
 Assamese
 Basque
 Brazilian Portuguese
 Bulgarian
 Catalan
 Czech
 Danish
 French
 Galician
 German
 Hungarian
 Japanese
 Korean
 Latvian
 Lithuanian
 Oriya
 Polish
 Portuguese
 Russian
 Slovenian
 Spanish
 Swedish
 Telugu


Overview of Changes in GTK+ 3.1.92
==================================

* GtkIconView:
 - Cells will now be prelighted, if you set the
   GtkCellRendererPixbuf::follow-state property.

* GtkFontChooser:
 - Speed up population of the font list somewhat.
   More speedups are expected in 3.2

* Bugs fixed:
 615501 GtkIconView does not support prelight cells
 658981 Inability to effectively clear string indicator in stf imp...
 659241 GtkPaned initially allocates space for separator, even if...
 659247 link-button: Reset the mouse cursor when destroyed

* Translation updates:
 Asturian
 Belarussian
 Brazilian Portuguese
 British English
 Bulgarian
 French
 Galician
 German
 Latvian
 Portuguese
 Punjabi
 Russian
 Serbian
 Slovenian
 Swedish


Overview of Changes in GTK+ 3.1.90
==================================

* GtkAppChooserButton: A new function has been added
  that makes it possible to have the button select the
  default app (as opposed to the most-recently-used app).

* A lot of feedback on the the tree model refactoring has
  been incorporated via new test cases and bug fixes

* The filechooser search has been ported to tracker 0.12
  and is using the tracker DBus API directly now.

* The new fontchooser API has been reworked a bit to make
  it follow the same pattern we use else where. GtkFontChooser
  is now an interface that is implemented by GtkFontChooserButton,
  GtkFontChooserDialog and GtkFontChooserWidget (to which the
  original GtkFontChooser has been renamed).

* Bugs fixed
 514843 gtkfilechooser should be more robust to malformed URIs...
 617583 Dead accents keys don't work in GTK+ applications on OSX
 642706 No way to select the default entry
 657353 GtkTreeModelFilter hangs when filtering
 657627 new font chooser API inconsistent
 658272 Port gtksearchenginetracker.c to tracker 0.11/0.12
 658379 Disabled devices still added to list on startup
 658398 Use of uninitialized variable reported by Valgrind
 658507 better comboboxes for right to left languages
 658600 Geany crashes when reopening file chooser dialog
 658696 Crash when inserting a new node
 658774 Regression: GtkFileChooserButtons do not expand

* Translation updates:
 Belarusian
 British English
 French
 Galician
 Indonesian
 Italian
 Latvian
 Norwegian bokmål
 Persian
 Polish
 Portuguese
 Punjabi
 Simplified Chinese
 Slovenian
 Spanish
 Swedish
 Tamil


Overview of Changes in GTK+ 3.1.18
==================================

* GtkFileChooser:
 - It is no possible to go to the containing folder of a
   selected file in recent files or search results.

* Bugs fixed
 530253 typo ifaces under gtk_tree_view_set_reorderable
 566202 GTK_SELECTION_MULTIPLE description unclear
 581435 gtk_tree_view_set_drag_dest_row() needs more documentation
 655631 Description of x and y parameters in gtk_render_arrow is in...
 657793 Support NULL sibling in gtk_grid_attach_next_to
 657882 gtk_css_provider_propagate_error's signature not updated...
 657963 themingengine: remove xthickness FIXME from gtk_render_line()
 657985 reeview: add GTK_STYLE_CLASS_SEPARATOR for tree view separators
 658008 Centered text alignment in GtkAssistant is wrong
 658077 Add theming support to GtkPathBar
 658111 gtk_label_set_pattern() is reset by a call to gtk_box_pack_...
 658168 Gtk-Message: Failed to load module "gail"
 658200 gtk_toolbar_finalize() does stuff it shouldn't
        Fix colord support in the print dialog

* Translation updates
 Belarusian
 Brazilian Portuguese
 Esperanto
 Galician
 Korean
 Lithuanian


Overview of Changes in GTK+ 3.1.16
==================================

* Make distcheck work again, and fix errors that crept in by
  lack of a working distcheck.

* Bugs fixed:
 656223 GtkToolShell: Move vfunc default results to default impl...


Overview of Changes in GTK+ 3.1.14
==================================

* GtkTreeView:
 - The GtkTreeModelFilter and GtkTreeModelSort implementations
   have been improved and a comprehensive test suite has been added.

* GtkFileChooser:
 - The selected file(s) can now be copied to the clipboard

* Bugs fixed:
 656851 Allow use of GVariant in GtkListStore
 344858 gtk_menu_item_new_with_label() created widget with refcount 2
 349502 option to copy full path in "Save AS"/"Open file" dialogs
 621076 GtkTreeModelFilter does not emit all signals in some situations
 634136 GtkTable::children accessor
 649588 crash when sending a notification: "Gdk-CRITICAL **: gdk_visual_...
 650762 gtk_misc_set_alignment replacement with the new API functions
 651827 Crash in check_application()
 656986 GtkSwitch is unusable when added to primary toolbar.
 657146 Missing files in POTFILEs.in
 657260 Gtk should use AtkWindow and remove that hack on GailUtil
 657359 Crash when specifying data length in gtk_css_provider_load_...
 657384 missing accessors for GdkEvent structures

* Translation updates:
 Galician
 German
 Gujarati
 Indonesian
 Norwegian bokmål
 Persian
 Russian
 Serbian
 Spanish
 Swedish
 Traditional Chinese
 Uighur


Overview of Changes in GTK+ 3.1.12
==================================

* GtkFontChooserDialog: A newly designed font selection dialog
  that is intended to replace GtkFontSelectionDialog

* Drawing of focus rectangles is now optional; it can be turned
  off altogether, or until actual keyboard interaction happens,
  with the gtk-visible-focus setting.

* OS X: Fixes for 10.7 (Lion)

* Bugs fixed:
 407885 A new GtkFontSelectionDialog
 508601 Copying from GTK+ applications causes crash
 599664 The print dialog should not block while looking for an...
 645258 Add gtk_text_iter_assign API
 649567 hide focus rectangles when not keynavigating
 652991 Remove local copy of introspection.m4
 653817 Would like GtkGrid methods to insert rows/columns
 653964 Installing MinGW32 build misses gdk/win32 headers
 655074 Fix crash with undecorated windows on MacOS Lion
 655122 Crash when resizing window on MacOS Lion
 655173 small memory leak in GtkStyleProperty
 655495 Make X11-specific functions introspectable
 655496 X11-specific objects methods are introspected as static functions
 655545 condition can never be true in gtk_tree_view_real_set_cursor
 655822 Removal of GSettings key causes crash on upgrades
 656098 Tweak GtkAppChooser's short description
 656421 3.1.10: G_DISABLE_DEPRECATED detection breaks compilation

* Translation updates
 Brazilian Portuguese
 Bulgarian
 Russian
 Spanish
 Swedish
 Traditional Chinese


Overview of Changes in GTK+ 3.1.10
==================================

* Assorted file chooser improvements/redesign:
 - Remove the expander in Save mode
 - Move the path bar up in Save mode
 - Remember the last opened directory
 - Start in recently-used mode when no folder is set
 - Update recent-files when confirming in the file chooser

* Accessibility:
 - Gail has been merged into GTK+ and is no longer a module
 - A testsuite for a11y functionality has been added

* Theming:
 - Icon view cells can now have a border

* GtkMountOperation can now show processes on OpenBSD

* Gdk input devices now expose their XInput2 device ID
  via gdk_x11_device_get_id()

* Bugs fixed:
 653450 gtkfilechooser crashes when adding favorite
 653705 GtkAssistant doesn't notice destroyed pages
 653947 Crash in gdk/x11/gdkdevicemanager-xi2.c:get_event_window
 654125 gdkoffscreenwindow set any impl handlers to null...
 654179 iconview: make it possible for selected cells to render...
 654428 focusable labels are emitting inappropriate object:text-sel...
 654678 Message dialog's primary text font increases on every call...
 654695 Memory corruption in gtk_theming_engine_register_property()
 654720 void return issues cause compile issues for GTK 3.1.8
 655009 Clamp border radius following CSS specs
 654266 No longer possible to set empty text on a GtkProgressBar

* Translation updates:
 Galician
 German
 Hebrew
 Latvian
 Lithuanian
 Norwegian bokmål
 Persian
 Polish
 Slovenian
 Spanish
 Uighur


Overview of Changes in GTK+ 3.1.8
=================================

* Theming improvements:
  - Multiple colors are now supported
  - Support CSS font properties like font-size, font-family, etc
  - nth-child works for toolbars too

* Bug fixes:
 652506 Improve GtkAssistant button labels
 652618 themingengine: shrink the background size to the padding-box
 652769 Reordering/removing hidden children in GtkBox results in 100% CPU
 653053 Avoid GApplication being released twice...
 653191 uninitialized variable in completion_match_func
 653333 Assigned value is garbage or undefined in gtktoolpalette.c:565
 653512 GtkEntryCompletion: Use a PAGE_STEP macro instead of a magic number
 653785 GtkStyleContext ignores style classes when getting style properties

* Translation updates:
 Belarusian
 Dutch
 Galician
 Hebrew
 Norwegian bokmål
 Persian
 Slovenian
 Spanish

Overview of Changes in GTK+ 3.1.6
=================================

* GtkOverlay is a new container that allows to place one or more
  'overlay' widgets on top of another widget. This can be used
  for 'floating statusbars' and similar interfaces.

* GtkLockButton has been simplified in appearance to look like
  a normal button

* GtkNotebook now supports height-for-width layout

* Accessibility for menuitems and combo boxes has been restored

* The horizontal and vertical subclasses of GtkBox, GtkPaned,
  GtkSeparator, GtkScrollbar, GtkScale and GtkButtonBox have
  been deprecated

* The print dialog can now display color profile information

* Many enhancements and fixes to CSS theming
 - The CSS parser has been rewritten with the goal of better
   CSS compliance and improved error handling
 - A testsuite for the parser has been added
 - Attributes can be inherited from parent widgets
 - Shorthand properties are supported
 - Color and font attributes are now inherited
 - Borders and padding are now handled much more consistently,
   and border-radius support is more complete
 - text-shadow, box-shadow and icon-shadow attributes are now
   supported
 - nth-child works for boxes

* Bug fixes:
 353712 allow reducing selection in GtkLabel
 576492 GtkBuilder does not respect G_PARAM_CONSTRUCT properties
 624539 Keep track of last focused window
 634491 gtk_tree_path_append_index() is linear in the number of indices
 634994 Explicitly declare internal reserved bits in GdkModifierType
 641087 Wish: GtkApplication::window-added signal
 642768 Make tracker search backend a bit less verbose
 642773 Make file search non-case sensitive
 642929 GtkFileChooserDialog with GTK_FILE_CHOOSER_ACTION_CREATE_...
 644906 gtkimcontextime.c: NULL pointer reference
 646859 GtkCssProvider.load_from_data introspection
 649314 Add support for the text-shadow property
 649779 Add missing gtk_widget_override_* annotations
 649972 Crash when loading an ui file with an empty GtkGrid
 649979 Argument count TypeError from Gtk.TreeView.enable_model_drag_...
 650012 GtkAppChooser* documentation does not document the content_type
 650110 Add sanity check in GtkEntryCompletion
 650114 gtk_entry_set_completion does not destroy idle source
 650167 Unused variable in GtkEditable example code
 650202 Optimization in theme_subdir_load (gtkicontheme.c)
 650302 Combo box menu items should expose their displayed text
 650382 GtkButton uses wrong values in grab
 650418 menu: don't use the border as a padding value
 650420 all: avoid boxed structs copying where possible
 650424 treeview: theming-related fixes
 650530 GtkAssistant beautification patches
 650664 gtkstatusbar: gtk_misc_set_alignment () function replacement
 651194 Should support border-image as a shorthand property
 651706 gdk: Update keysyms list from latest X.org headers
 651707 Move private functions to private headers
 651734 GtkLockButton: symbolic icon is fuzzy
 651979 compose-parse.py can not work with the newest gdkkeysyms.h...
 652045 file open dialog refuses to open or complete non-local files
 652102 Issues when redrawing multiple GdkWindows
 652103 Add a GtkPrinterOptionWidget type of label to just show info...
 652282 build: fix win32 configure checks

 * Updated translations
 Catalan (Valencian)
 Esperanto
 Galician
 Hebrew
 Norwegian bokmål
 Slovenian
 Spanish


Overview of Changes in GTK+ 3.1.4
=================================

* GtkAssistant has received a visual refresh; as a side-effect,
  the various image properties are no longer used

* GtkTextView can now handle RGBA colors

* GtkFileChooser now remembers the last opened directory

* GtkLockButton is a new widget to control dialogs with
  PolicyKit (or other) permissions

* Size allocation changes:
 - GtkPaned and GtkMenuBar now do height-for-width
 - GtkAccelLabel is smarter about hiding the accel if too small
 - GTK+ now warns if widgets are under-allocated; this
   may cause considerable noise, it will be turned off
   before the next stable release
 - Label size allocation has been reworked, check your labels
 - No longer try to guess the size of labels; this makes
   it more important to give windows reasonable default
   sizes or set width-chars/max-width-chars on labels
 - The computation of initial window size has been reworked,
   check your windows

* A test framework for mozilla-style reftests has been added

* GDK Broadway backend changes:
 - Improved key event handling
 - Make resize grips work
 - Make window close buttons work
 - Stream data over websocket

* Bugs fixed:
 618815  mnemonics aren't displayed when Alt is already pressed...
 626457  Add a lock button widget
 626503  Critical warning in GtkTreeView
 642214  GTK+ 3.0 fails to compile caused by linking with libuuid...
 644426  GNOME-wide default to remember last folder
 646517  "Sending message (completed)" ellipsized in French
 646876  Free MenuPopulateData struct in all the cases.
 647284  GtkLabel does not honor width-chars anymore.
 647790  GtkMenuShell: don't leak a GSList
 647806  gtk_combo_box_set_active_id() nit picks
 647962  Desensitize "Select All" when GtkEntry is empty
 648136  design refresh for gtkassistant
 648419  crash in remove_capslock_feedback at gtkentry.c...
 648570  Mnemonics don't show under some letters
 648943  Drop the last remaining translated g_warning/g_error calls
 649295  gtkdnd: Add API that takes GIcon
 649313  gdk_window_set_cursor() sets cursor for random set of devices
 649457  probable leak in icon theme
 649593  GtkProgressBar theming fixes

* Translation updates:
 Galician
 Greek
 Lithuanian
 Luganda
 Spanish
 Uighur


Overview of Changes in GTK+ 3.1.2
=================================

* Theming fixes and enhancements
 - GtkNotebook has an initial-gap style property
 - GtkNotebook tab drawing fixes
 - Fix problems with transparent backgrounds in panel applets
 - Style classes for 'inline' and 'primary' toolbars and sidebars
 - Dark theme information is made available to window managers via
   the _GTK_THEME_VARIANT property
 - Improved rendering of insensitive text
 - Support non-uniform border withs in the default engine
 - Fix prelight on treeview expanders
 - Make it possible to give combo boxes, buttons, entries a
   uniform height

* GtkEntry supports 'hinting'

* GtkExpander can resize toplevel windows when expanding

* GtkGrid supports RTL flipping

* GtkStatusIcon reads the _NET_SYSTEM_TRAY_ICON_SIZE property
  to get information about the preferred icon size

* To help with debugging of rendering problems, GDK consults
  the GDK_RENDERING environment variable. Possible values include
  'similar', 'image' and 'recording'

* Fix some problems with XI2 and input methods

* New, experimental GDK backends:
 - broadway, which targets HTML5
 - wayland, which targets the wayland display server
 To build these backends, use the --enable-broadway-backend
 and --enable-wayland-backend configure options.
 To use them at runtime, set the GDK_BACKEND environment variable
 to 'broadway' or 'wayland'. Other backend-specific setup may
 still be required, such as running a wayland server.

* Bugs fixed:
 440963 Add hinting to GtkEntry
 635254 Check whether a resolution is set in GtkPrintSettings...
 639584 initial emission of GtkWidget:style-set is not happening
 640692 GtkNotebook has wrong background colour when border and...
 642712 improve the file chooser design
 642918 Sensitivity of buttons sometimes screws up
 643805 Allow GtkExpander to resize the toplevel upon expanding...
 643841 Make initial gap before the first tab of the notebook...
 644276 paned: don't set the "pane-separator" style class...
 644348 notebook: make GtkNotebook respect the focus-padding...
 644353 Missing annotations in Gtk/Gdk Window...
 644355 credits toggle inconsintency
 644570 handles with a background image don't work
 644777 range: allow stepper-spacing > 0 and trough-under-...
 644836 gdk_keyval_to_unicode returns incorrect value...
 644847 GdkDeviceManagerXI2: process send_event core events
 644925 widget: reset widget style after applying style classes...
 644975 styleproperties: make sure to merge the font...
 644976 Fix "backspace", "enter", "escape" input.
 645057 ./configure fails on gtk+3.0 git head
 645134 switch: fix boundaries for the switch motion
 645172 radiobutton: don't forget to set the insensitive state...
 645176 Closing display causes segfault
 645232 symbolic status icons are the wrong size
 645234 Leaky calls to gdk_device_manager_list_devices()
 645235 Free the motion hint infos in GdkDisplay
 645236 Don't leak translate queue in GdkDisplay
 645341 pre dialog set CAPSLOCK is ignored.
 645354 window: Export theme variant to X11
 645405 themingengine: don't hardcode white to draw insensitive...
 645458 styleproperties: don't replace when merging...
 645937 Drawing model docs are outdated
 645960 GtkTreeSelection has no property to set mode
 646338 gdk_x_io_error() should call _exit(), not exit()
 646446 gtkprintunixdialog.c: set_cell_sensitivity_func leaks badly
 646457 Leak in gtkfilechooserdefault.c: search_selected_foreach...
 646458 Leak in gtkfilechooserdefault.c: list_row_activated
 646460 Weirdness in gtkfilechooserbutton.c: set_info_get_info_cb
 646461 Leak in gtkfilechooserbutton.c: model_free_row_data
 646462 Leak in gtkappchooserbutton.c: select_application_func_cb
 646500 GTK+ 3.1 causes terminals to start up with 0 height
 646815 Ref leak in gtk_color_button_clicked
 646882 Theming fixes for GtkButton and GtkCombobox
 646886 Do not leak list when drawing notebook.
 647086 Mismatched style_context_[save/restore] calls
 647152 Assertion `GTK_IS_PRINTER (printer)' failed...
 647244 Toggling the 'Deletable' option under the general...
 647275 Opening messages in Evolution and Empathy...
 647278 Small cleanup in statusbar
 647594 README link to mailing list is broken
 554057 Calling gtk_menu_shell_select_item() on GtkMenuBar...

Updated translations:
 Afrikaans
 Assamese
 Bengali
 Brazilian Portuguese
 British English
 Bulgarian
 Catalan
 Czech
 Danish
 Dutch
 French
 Galician
 German
 Greek
 Hindi
 Hungarian
 Indonesian
 Japanese
 Korean
 Kurdish
 Portuguese
 Romanian
 Russian
 Serbian
 Simplified Chinese
 Slovenian
 Spanish
 Swedish
 Traditional Chinese
 Uighur
 Ukrainian


Overview of Changes in GTK+ 3.0.2
=================================

* GtkSettings have been made multi-backend-safe

* Many improvements to themability and the default theme
 - GtkScale slider theming can adjust to scale marks, using style classes
 - A new style class for 'primary' toolbars
 - Widget style classes can now be specified in GtkBuilder files
 - Improved scrollbar drawing
 - Improved combobox drawing
 - Improved spinbutton drawing
 - Improved switch drawing
 - Improved checkbutton drawing
 - Improved menu drawing
 - Improved notebook tab drawing

* Bugs fixed:
 643041 Gtk-CRITICAL **: gtk_render_slider: assertion `height > 0'...
 643131 gtk_tray_icon_dispose
 643170 gtk_file_chooser_set_filename does not work if "Show hidden...
 643216 Extraneous emits of GdkScreen::monitors-changed
 643321 Keypresses in window contextual menu go through to app
 643347 consider allowing style data in builder data
 643370 gtk_style_context_get_font return NULL
 643440 gdkconfig.h included in tarball
 643496 GtkDialog does not use separators any more. Description is...
 643543 App Chooser classes abort if no content-type is given
 643584 crash in gdk_event_free()
 643630 Tabs disappear from notebook on scrolling back and resizing...
 643685 Normalise marks positions internally in GtkScale
 643911 Inactive tab content allocation should respect tab-overlap
 643912 Tab allocation should respect tab-curvature
 643925 Mouse wheel is following URLs
 643967 Add a style property to flip rendering order
 644089 treeview: propagate the selected state from the row

* Translation updates:
 Esperanto
 German
 Latvian
 Portuguese
 Russian
 Simplified Chinese
 Slovenian
 Spanish
 Ukrainian


Overview of Changes in GTK+ 3.0.1
=================================

* A autoconf macro, GTK_CHECK_BACKEND, has been added
  to allow easy checking for certain gdk backends

* A number of memory leaks and segfaults involving accessibility
  have been fixed

* Bugs fixed:
 586201 GtkLinkButton doesn't implement neither HyperLink nor...
 599907 Gail implementation of atk_add_key_event_listener return...
 626730 Check menu item does not set indeterminate state
 630971 gailstatusbar attempts to cast a GtkHBox to a GtkBin
 633291 Handle Shift-keys in X11 gdk_test_simulate_key()
 642213 gtk_widget_render_icon_pixbuf fails with non-standard...
 642263 undefined reference to "GTK_IS_SOCKET" and "GTK_IS_PLUG"
 642541 Missing semi-colon in gtkseparatormenuitem.c
 642677 "migrating" guide not in sync with GTK+ 3.0
 642681 gtk_combo_box_text_get_active_text doesn't work as stated
 642751 Typo in migrating-2to3.xml
 642771 Fix tiny leak in tracker backend
 642772 GTK does not correctly process input sent via SendInput...
 642778 TextView broken for large files
 642782 gail_misc_buffer_get_run_attributes doesn't set background-gdk...
 642791 Fix a typo in gtk_socket_notify


* Translation updates:
 Bengali India
 British English
 Bulgarian
 Hebrew
 Hungarian
 Korean
 Norwegian bokmål
 Punjabi
 Spanish
 Uighur
 Ukranian
 Vietnamese


Overview of Changes in GTK+ 3.0.0
=================================

* Library sonames have been changed from libgdk-3.0 and libgtk-3.0
  to libgdk-3 and libgtk-3.

* Bugs fixed:
 632775 Back / Forward button's icons don't respect RTL settings
 639846 GdkEventScroll events are sent twice
 639945 Gtk.Widget does not have drag_* methods (but in pygtk it did)
 640801 Crash gtk_tree_view_reset_header_styles at gtktreeview.c:11871
 641196 Fix another GtkFixed regression, in gtk_fixed_forall()
 641302 show something nicer than XF86AudioMute etc
 641367 [region] gnome-applications ignore layout switching
 641409 not chaining up in ::style-updated
 641429 Errors creating a GtkWidget without a display
 641431 Apply button goes grey after two mode switching
 641517 "Migrating from libunique to GtkApplication" examples do not do...
 641558 GtkCssProvider leaks path string
 641621 Use faster new G_VALUE_COLLECT_INIT variant instead...
 641640 Update autotools configuration

* Translation updates:
 Arabic
 English
 Galician
 Hebrew
 Korean
 Norwegian bokmål
 Polish


Overview of Changes in GTK+ 2.99.3
==================================

* This release adds some forgotten padding to class structs,
  and thus breaks ABI for a last time before 3.0

* Many Introspection annotation improvements

* We no longer build the gtk-update-icon-cache utility, and
  use a preexisting one, if --enable-gtk2-dependency is passed
  to configure

* GtkBuilder can now fill GtkComboBoxText and GtkMenToolButton
  widgets with data, as well as GtkFileFilters and GtkTextTagTables

* GtkImage now has a ::use-fallback property to allow generic
  fallback with GIcons and icon-names (e.g. for symbolic icons)

* There's a new gtk_text_view_get_cursor_locations() to enable
  popup-at-cursor functionality

* The application chooser widgets can now set a custom
  dialog heading

* The file chooser and application chooser widgets have received
  minor visual improvements

* gtk-auto-mnemonics is now backed by an XSetting

* Defaults for GtkSettings, as well as theme-specific settings,
  are now read from key files

* Key themes are now supported again, their syntax has been changed
  to be CSS-like

* More objects use GtkStyleContext directly now:
  GtkTreeView
  GtkIconView
  GtkCellArea
  GtkCellRendererText
  GtkCellRendererPixbuf
  GtkCellRendererAccel
  GtkCellRendererProgress

* GtkPlug and GtkSocket have been reduced to X11-specific API, and
  using them requires including the <gtk/gtkx.h> header, and uses
  of GdkNativeWindow in their APIs have been replaced by the X11
  Window type.
  A number of other API changes were necessary in GDK to ensure
  that multiple GDK backends can coexist:
  - GdkNativeWindow has been dropped
  - The GdkEventOwnerChange owner field is a GdkWindow now
  - The GdkEventSelection requestor field is a GdkWindow now
  - The GtkWidget::client_event vfunc is gone
  - GdkEventClient is gone, together with related API:
    gdk_add_client_message_filter
    gdk_display_add_client_message_filter
    gdk_screen_broadcast_client_message
    gdk_event_send_client_message
    gdk_event_send_client_message_for_display
    gdk_event_send_clientmessage_toall
  - gdk_drag_get_protocol_for_display has been changed to
    gdk_window_get_drag_protocol

* Migration guide and tutorial and other documentation improvements

* Bug fixes
 322926 FileChooser: Alt-Shift-Down should work like Alt-Down
 351755 GTK_RANGE (range) -> round_digits should be exposed...
 586635 gtk_info_bar_add_button() should return GtkButton*
 590459 Text is sometimes not pasted at the right location
 598952 Implement object attribute to expose toolkit/source
 626336 Warning when activating GtkButton outside of an event...
 634677 assertion in finalize assuring that buffer is NULL...
 635287 Specify packages when generating GIR
 636691 Rendering icons with prelight state doesn't...
 638920 gail should provide toolkit as an AtkAttribute
 639139 Subclassing GtkIconView broken lately in master
 639186 gtk_paper_size_new fails to recognize valid name
 639325 Generated introspection broken
 639380 Critical warnings when detaching tab
 639455 accel cell renderer critical warning
 639520 Update docs about colormap to use visual instead.
 639531 No error is given when attempting to save to "nonexistent...
 639625 Crashes on dereferencing a NULL GtkBorder.
 639750 Support css3 colors
 639754 Must widget class names begin with uppercase letter?
 639767 password not accepted in gnome-screensaver dialog
 639792 Regional panel: "Add" dialog: combos not sorted
 639822 Synthesized button2/button3 does not transfer source_device
 639845 insensitive and separator items in comboboxes not working...
 639931 gtk_application_add_window() docs should mention window destr...
 639949 pygobject leaks references on GtkWindows
 640005 removable media dialog should use app names
 640006 choose app dialog shows other apps by default
 640011 Selects application on cancel
 640105 Crash showing a offscreen window with a textview inside
 640161 GtkFileChooserWidget 0xbbf6c0 is mapped but visible=1...
 640188 gdk_pixbuf_get_from_drawable missing from migration guide
 640195 gdk_cairo_create gets cairo context with badly clipped...
 640282 insensitive, active check button becomes sensitive
 640313 BadDevice X error when ungrabbing a SLAVE device
 640391 Display lines between rows when window is focused
 640487 crash on gtk_statusbar_remove_all()
 640698 Incompatibility in 'matched-selected' signal invocation
 640712 GtkAssistant fonts are too big
